<?php
/**
 * Amazon Product Advertising API v5
 *
 * The use of this library is strictly prohibited without explicit permission.
 *
 * Copyright 2020 flowdee. All Rights Reserved.
 *
 * Twitter: https://twitter.com/flowdee
 * GitHub: https://github.com/flowdee
 *
 * @version: 1.1.1
 */ 
namespace Flowdee\AmazonPAAPI5WP;

// Load core files.
require_once( 'Core/ABAmazonAPI.php' );
require_once( 'Core/ABAWSSignatureV4.php' );
require_once( 'Core/ABConfiguration.php' );
require_once( 'Core/ABItem.php' );

// Load request files.
require_once( 'Requests/ABBaseRequest.php' );
require_once( 'Requests/ABGetItemsRequest.php' );
require_once( 'Requests/ABGetVariationsRequest.php' );
require_once( 'Requests/ABSearchItemsRequest.php' );
require_once( 'Requests/ABTestRequest.php' );

// Load resource files.
require_once( 'Resources/ABGetItemsResource.php' );
require_once( 'Resources/ABGetVariationsResource.php' );
require_once( 'Resources/ABSearchItemsResource.php' );