class ReviewImageTop extends React.Component {

	render() {

		const { attributes } = this.props 

		let url_chk = ""
		if( typeof attributes.imageTop !== "undefined" && attributes.imageTop !== null && attributes.imageTop !=="" ){
			url_chk = attributes.imageTop.url
		}
		
		let url = ""
		if( url_chk !== "" ){
			let size = attributes.imageTop.sizes
			let imageTopSize = attributes.imageTopSize

			if ( typeof size !== "undefined" && typeof size[imageTopSize] !== "undefined" ) {
			  url = size[imageTopSize].url 
			}else{
			  url = url_chk 
			}

			return (				
				<div className="affiliate-coupon-imagetop">
					<img
						className =""
						src = { url }                        
						alt = { attributes.imageTop.alt }                    
					/>						
				</div>				                 
			)
		} else {
			return null
		}       
	}
}

export default ReviewImageTop
