/**
 * Set inline styles.
 * @param  {object} props - The block object.
 * @return {object} The inline background type CSS.
 */

import affiliate_generateCSS from "./generateCSS"
import { cssGradient, cssBoxShadow,cssWithoutSelector,cssTextShadow, cssBackground } from '../components/cssHelper'
function affiliate_styling( props, id ) {

	const {
            uniqueId,
                block_id,
                className,
                numberOfBlock,                
                boxShadow,
                minRate,
                maxRate,                

                //Box 1
                boxBgColor1,
                flagStyle1,
                ratings1,
                ratingsColor1,
                selectedStars1, 
                starsSize1,
                starsSizeMobile1,
                starsSizeTablet1,
                titleTag1,
                titleText1,
                titleLoadGoogleFonts1,
                titleTextColor1,
                titlefontFamily1,
                titlefontWeight1,
                titlefontSubset1,
                titlefontSizeType1,
                titlefontSizeTypeMobile1,
                titlefontSizeTypeTablet1,
                titlefontSizeDesktop1,
                titlefontSizeMobile1,
                titlefontSizeTablet1,
                titlelineHeight1,
                titlelineHeightMobile1,
                titlelineHeightTablet1,
                titleletterSpacing1,
                titleletterSpacingMobile1,
                titleletterSpacingTablet1,
                titleletterSpacingType1,
                titleletterSpacingTypeTablet1,
                titleletterSpacingTypeMobile1,
                titletextTransform1,
                titletextDecoration1,
                titlefontStyle1,
                image1,
                imageSize1,
                imagePadding1,
                imagePaddingMobile1,
                imagePaddingTablet1,
                customImgWidth1,
                customImgWidthMobile1,
                customImgWidthTablet1,
                imageDesignType1,
                listItems1,
                listTextItems1,
                listType1,
                alignment1,
                listLoadGoogleFonts1,
                listfontFamily1,
                listfontWeight1,    
                bulletStyle1,
                numberCorner1,
                numberFontSize1,
                numberBgSize1,
                useNumberBg1,                
                listTextColor1,
                listIconColor1,
                listColor1,
                recreateStyles1,
                btnLoadGoogleFonts1,
                btnfontFamily1,
                btnfontWeight1,                
                btnfontSubset1,
                btnfontSizeType1,
                btnfontSizeTypeMobile1,
                btnfontSizeTypeTablet1,
                btnfontSizeDesktop1,
                btnfontSizeMobile1,
                btnfontSizeTablet1,
                btnlineHeight1,
                btnlineHeightMobile1,
                btnlineHeightTablet1,
                btnletterSpacing1,
                btnletterSpacingMobile1,
                btnletterSpacingTablet1,
                btnletterSpacingType1,
                btnletterSpacingTypeTablet1,
                btnletterSpacingTypeMobile1,
                btntextTransform1,
                btntextDecoration1,
                btnfontStyle1,
                btnBgColor1,
                btnHoverBgColor1,
                btnTextColor1,
                btnTextHoverColor1,
                btnBorderColor1,
                btnBorderHoverColor1,
                btn_Htarget1,
                spBtnText1,
                spBtnHref1,
                btnPadding1,
                btnPaddingMobile1,
                btnPaddingTablet1,
                btnMargin1,
                btnMarginMobile1,
                btnMarginTablet1,
                btnAlignment1,
                btnAlignmentMobile1,
                btnAlignmentTablet1,
                btnBorder1,
                btnBorderType1,
                btnBorderMobile1,
                btnBorderTablet1,
                btnBorderRadius1,
                btnBorderRadiusMobile1,
                btnBorderRadiusTablet1,                
                iconPosition1,
                btnSize1,
                buttonIcon1,
                buttonWidth1,
                bntRounded1,                
                btnRel1,  




                //Box 2
                boxBgColor2,
                flagStyle2,
                ratings2,
                ratingsColor2,
                selectedStars2, 
                starsSize2,
                starsSizeMobile2,
                starsSizeTablet2,
                titleTag2,
                titleText2,
                titleLoadGoogleFonts2,
                titleTextColor2,
                titlefontFamily2,
                titlefontWeight2,
                titlefontSubset2,
                titlefontSizeType2,
                titlefontSizeTypeMobile2,
                titlefontSizeTypeTablet2,
                titlefontSizeDesktop2,
                titlefontSizeMobile2,
                titlefontSizeTablet2,
                titlelineHeight2,
                titlelineHeightMobile2,
                titlelineHeightTablet2,
                titleletterSpacing2,
                titleletterSpacingMobile2,
                titleletterSpacingTablet2,
                titleletterSpacingType2,
                titleletterSpacingTypeTablet2,
                titleletterSpacingTypeMobile2,
                titletextTransform2,
                titletextDecoration2,
                titlefontStyle2,
                image2,
                imageSize2,
                imagePadding2,
                imagePaddingMobile2,
                imagePaddingTablet2,
                customImgWidth2,
                customImgWidthMobile2,
                customImgWidthTablet2,
                imageDesignType2,
                listItems2,
                listTextItems2,
                listType2,
                alignment2,
                listLoadGoogleFonts2,
                listfontFamily2,
                listfontWeight2,    
                bulletStyle2,
                numberCorner2,
                numberFontSize2,
                numberBgSize2,
                useNumberBg2,                
                listTextColor2,
                listIconColor2,
                listColor2,
                recreateStyles2,
                btnLoadGoogleFonts2,
                btnfontFamily2,
                btnfontWeight2,                
                btnfontSubset2,
                btnfontSizeType2,
                btnfontSizeTypeMobile2,
                btnfontSizeTypeTablet2,
                btnfontSizeDesktop2,
                btnfontSizeMobile2,
                btnfontSizeTablet2,
                btnlineHeight2,
                btnlineHeightMobile2,
                btnlineHeightTablet2,
                btnletterSpacing2,
                btnletterSpacingMobile2,
                btnletterSpacingTablet2,
                btnletterSpacingType2,
                btnletterSpacingTypeTablet2,
                btnletterSpacingTypeMobile2,
                btntextTransform2,
                btntextDecoration2,
                btnfontStyle2,
                btnBgColor2,
                btnHoverBgColor2,
                btnTextColor2,
                btnTextHoverColor2,
                btnBorderColor2,
                btnBorderHoverColor2,
                btn_Htarget2,
                spBtnText2,
                spBtnHref2,
                btnPadding2,
                btnPaddingMobile2,
                btnPaddingTablet2,
                btnMargin2,
                btnMarginMobile2,
                btnMarginTablet2,
                btnAlignment2,
                btnAlignmentMobile2,
                btnAlignmentTablet2,
                btnBorder2,
                btnBorderType2,
                btnBorderMobile2,
                btnBorderTablet2,
                btnBorderRadius2,
                btnBorderRadiusMobile2,
                btnBorderRadiusTablet2,                
                iconPosition2,
                btnSize2,
                buttonIcon2,
                buttonWidth2,
                bntRounded2,                
                btnRel2,  




                //Box 3
                boxBgColor3,
                flagStyle3,
                ratings3,
                ratingsColor3,
                selectedStars3, 
                starsSize3,
                starsSizeMobile3,
                starsSizeTablet3,
                titleTag3,
                titleText3,
                titleLoadGoogleFonts3,
                titleTextColor3,
                titlefontFamily3,
                titlefontWeight3,
                titlefontSubset3,
                titlefontSizeType3,
                titlefontSizeTypeMobile3,
                titlefontSizeTypeTablet3,
                titlefontSizeDesktop3,
                titlefontSizeMobile3,
                titlefontSizeTablet3,
                titlelineHeight3,
                titlelineHeightMobile3,
                titlelineHeightTablet3,
                titleletterSpacing3,
                titleletterSpacingMobile3,
                titleletterSpacingTablet3,
                titleletterSpacingType3,
                titleletterSpacingTypeTablet3,
                titleletterSpacingTypeMobile3,
                titletextTransform3,
                titletextDecoration3,
                titlefontStyle3,
                image3,
                imageSize3,
                imagePadding3,
                imagePaddingMobile3,
                imagePaddingTablet3,
                customImgWidth3,
                customImgWidthMobile3,
                customImgWidthTablet3,
                imageDesignType3,
                listItems3,
                listTextItems3,
                listType3,
                alignment3,
                listLoadGoogleFonts3,
                listfontFamily3,
                listfontWeight3,    
                bulletStyle3,
                numberCorner3,
                numberFontSize3,
                numberBgSize3,
                useNumberBg3,                
                listTextColor3,
                listIconColor3,
                listColor3,
                recreateStyles3,
                btnLoadGoogleFonts3,
                btnfontFamily3,
                btnfontWeight3,                
                btnfontSubset3,
                btnfontSizeType3,
                btnfontSizeTypeMobile3,
                btnfontSizeTypeTablet3,
                btnfontSizeDesktop3,
                btnfontSizeMobile3,
                btnfontSizeTablet3,
                btnlineHeight3,
                btnlineHeightMobile3,
                btnlineHeightTablet3,
                btnletterSpacing3,
                btnletterSpacingMobile3,
                btnletterSpacingTablet3,
                btnletterSpacingType3,
                btnletterSpacingTypeTablet3,
                btnletterSpacingTypeMobile3,
                btntextTransform3,
                btntextDecoration3,
                btnfontStyle3,
                btnBgColor3,
                btnHoverBgColor3,
                btnTextColor3,
                btnTextHoverColor3,
                btnBorderColor3,
                btnBorderHoverColor3,
                btn_Htarget3,
                spBtnText3,
                spBtnHref3,
                btnPadding3,
                btnPaddingMobile3,
                btnPaddingTablet3,
                btnMargin3,
                btnMarginMobile3,
                btnMarginTablet3,
                btnAlignment3,
                btnAlignmentMobile3,
                btnAlignmentTablet3,
                btnBorder3,
                btnBorderType3,
                btnBorderMobile3,
                btnBorderTablet3,
                btnBorderRadius3,
                btnBorderRadiusMobile3,
                btnBorderRadiusTablet3,                
                iconPosition3,
                btnSize3,
                buttonIcon3,
                buttonWidth3,
                bntRounded3,                
                btnRel3,  



                //Box 4
                boxBgColor4,
                flagStyle4,
                ratings4,
                ratingsColor4,
                selectedStars4, 
                starsSize4,
                starsSizeMobile4,
                starsSizeTablet4,
                titleTag4,
                titleText4,
                titleLoadGoogleFonts4,
                titleTextColor4,
                titlefontFamily4,
                titlefontWeight4,
                titlefontSubset4,
                titlefontSizeType4,
                titlefontSizeTypeMobile4,
                titlefontSizeTypeTablet4,
                titlefontSizeDesktop4,
                titlefontSizeMobile4,
                titlefontSizeTablet4,
                titlelineHeight4,
                titlelineHeightMobile4,
                titlelineHeightTablet4,
                titleletterSpacing4,
                titleletterSpacingMobile4,
                titleletterSpacingTablet4,
                titleletterSpacingType4,
                titleletterSpacingTypeTablet4,
                titleletterSpacingTypeMobile4,
                titletextTransform4,
                titletextDecoration4,
                titlefontStyle4,
                image4,
                imageSize4,
                imagePadding4,
                imagePaddingMobile4,
                imagePaddingTablet4,
                customImgWidth4,
                customImgWidthMobile4,
                customImgWidthTablet4,
                imageDesignType4,
                listItems4,
                listTextItems4,
                listType4,
                alignment4,
                listLoadGoogleFonts4,
                listfontFamily4,
                listfontWeight4,    
                bulletStyle4,
                numberCorner4,
                numberFontSize4,
                numberBgSize4,
                useNumberBg4,                
                listTextColor4,
                listIconColor4,
                listColor4,
                recreateStyles4,
                btnLoadGoogleFonts4,
                btnfontFamily4,
                btnfontWeight4,                
                btnfontSubset4,
                btnfontSizeType4,
                btnfontSizeTypeMobile4,
                btnfontSizeTypeTablet4,
                btnfontSizeDesktop4,
                btnfontSizeMobile4,
                btnfontSizeTablet4,
                btnlineHeight4,
                btnlineHeightMobile4,
                btnlineHeightTablet4,
                btnletterSpacing4,
                btnletterSpacingMobile4,
                btnletterSpacingTablet4,
                btnletterSpacingType4,
                btnletterSpacingTypeTablet4,
                btnletterSpacingTypeMobile4,
                btntextTransform4,
                btntextDecoration4,
                btnfontStyle4,
                btnBgColor4,
                btnHoverBgColor4,
                btnTextColor4,
                btnTextHoverColor4,
                btnBorderColor4,
                btnBorderHoverColor4,
                btn_Htarget4,
                spBtnText4,
                spBtnHref4,
                btnPadding4,
                btnPaddingMobile4,
                btnPaddingTablet4,
                btnMargin4,
                btnMarginMobile4,
                btnMarginTablet4,
                btnAlignment4,
                btnAlignmentMobile4,
                btnAlignmentTablet4,
                btnBorder4,
                btnBorderType4,
                btnBorderMobile4,
                btnBorderTablet4,
                btnBorderRadius4,
                btnBorderRadiusMobile4,
                btnBorderRadiusTablet4,                
                iconPosition4,
                btnSize4,
                buttonIcon4,
                buttonWidth4,
                bntRounded4,                
                btnRel4,  


                //Box 5
                boxBgColor5,
                flagStyle5,
                ratings5,
                ratingsColor5,
                selectedStars5, 
                starsSize5,
                starsSizeMobile5,
                starsSizeTablet5,
                titleTag5,
                titleText5,
                titleLoadGoogleFonts5,
                titleTextColor5,
                titlefontFamily5,
                titlefontWeight5,
                titlefontSubset5,
                titlefontSizeType5,
                titlefontSizeTypeMobile5,
                titlefontSizeTypeTablet5,
                titlefontSizeDesktop5,
                titlefontSizeMobile5,
                titlefontSizeTablet5,
                titlelineHeight5,
                titlelineHeightMobile5,
                titlelineHeightTablet5,
                titleletterSpacing5,
                titleletterSpacingMobile5,
                titleletterSpacingTablet5,
                titleletterSpacingType5,
                titleletterSpacingTypeTablet5,
                titleletterSpacingTypeMobile5,
                titletextTransform5,
                titletextDecoration5,
                titlefontStyle5,
                image5,
                imageSize5,
                imagePadding5,
                imagePaddingMobile5,
                imagePaddingTablet5,
                customImgWidth5,
                customImgWidthMobile5,
                customImgWidthTablet5,
                imageDesignType5,
                listItems5,
                listTextItems5,
                listType5,
                alignment5,
                listLoadGoogleFonts5,
                listfontFamily5,
                listfontWeight5,    
                bulletStyle5,
                numberCorner5,
                numberFontSize5,
                numberBgSize5,
                useNumberBg5,                
                listTextColor5,
                listIconColor5,
                listColor5,
                recreateStyles5,
                btnLoadGoogleFonts5,
                btnfontFamily5,
                btnfontWeight5,                
                btnfontSubset5,
                btnfontSizeType5,
                btnfontSizeTypeMobile5,
                btnfontSizeTypeTablet5,
                btnfontSizeDesktop5,
                btnfontSizeMobile5,
                btnfontSizeTablet5,
                btnlineHeight5,
                btnlineHeightMobile5,
                btnlineHeightTablet5,
                btnletterSpacing5,
                btnletterSpacingMobile5,
                btnletterSpacingTablet5,
                btnletterSpacingType5,
                btnletterSpacingTypeTablet5,
                btnletterSpacingTypeMobile5,
                btntextTransform5,
                btntextDecoration5,
                btnfontStyle5,
                btnBgColor5,
                btnHoverBgColor5,
                btnTextColor5,
                btnTextHoverColor5,
                btnBorderColor5,
                btnBorderHoverColor5,
                btn_Htarget5,
                spBtnText5,
                spBtnHref5,
                btnPadding5,
                btnPaddingMobile5,
                btnPaddingTablet5,
                btnMargin5,
                btnMarginMobile5,
                btnMarginTablet5,
                btnAlignment5,
                btnAlignmentMobile5,
                btnAlignmentTablet5,
                btnBorder5,
                btnBorderType5,
                btnBorderMobile5,
                btnBorderTablet5,
                btnBorderRadius5,
                btnBorderRadiusMobile5,
                btnBorderRadiusTablet5,                
                iconPosition5,
                btnSize5,
                buttonIcon5,
                buttonWidth5,
                bntRounded5,                
                btnRel5,  


                //Box 6
                boxBgColor6,
                flagStyle6,
                ratings6,
                ratingsColor6,
                selectedStars6, 
                starsSize6,
                starsSizeMobile6,
                starsSizeTablet6,
                titleTag6,
                titleText6,
                titleLoadGoogleFonts6,
                titleTextColor6,
                titlefontFamily6,
                titlefontWeight6,
                titlefontSubset6,
                titlefontSizeType6,
                titlefontSizeTypeMobile6,
                titlefontSizeTypeTablet6,
                titlefontSizeDesktop6,
                titlefontSizeMobile6,
                titlefontSizeTablet6,
                titlelineHeight6,
                titlelineHeightMobile6,
                titlelineHeightTablet6,
                titleletterSpacing6,
                titleletterSpacingMobile6,
                titleletterSpacingTablet6,
                titleletterSpacingType6,
                titleletterSpacingTypeTablet6,
                titleletterSpacingTypeMobile6,
                titletextTransform6,
                titletextDecoration6,
                titlefontStyle6,
                image6,
                imageSize6,
                imagePadding6,
                imagePaddingMobile6,
                imagePaddingTablet6,
                customImgWidth6,
                customImgWidthMobile6,
                customImgWidthTablet6,
                imageDesignType6,
                listItems6,
                listTextItems6,
                listType6,
                alignment6,
                listLoadGoogleFonts6,
                listfontFamily6,
                listfontWeight6,    
                bulletStyle6,
                numberCorner6,
                numberFontSize6,
                numberBgSize6,
                useNumberBg6,                
                listTextColor6,
                listIconColor6,
                listColor6,
                recreateStyles6,
                btnLoadGoogleFonts6,
                btnfontFamily6,
                btnfontWeight6,                
                btnfontSubset6,
                btnfontSizeType6,
                btnfontSizeTypeMobile6,
                btnfontSizeTypeTablet6,
                btnfontSizeDesktop6,
                btnfontSizeMobile6,
                btnfontSizeTablet6,
                btnlineHeight6,
                btnlineHeightMobile6,
                btnlineHeightTablet6,
                btnletterSpacing6,
                btnletterSpacingMobile6,
                btnletterSpacingTablet6,
                btnletterSpacingType6,
                btnletterSpacingTypeTablet6,
                btnletterSpacingTypeMobile6,
                btntextTransform6,
                btntextDecoration6,
                btnfontStyle6,
                btnBgColor6,
                btnHoverBgColor6,
                btnTextColor6,
                btnTextHoverColor6,
                btnBorderColor6,
                btnBorderHoverColor6,
                btn_Htarget6,
                spBtnText6,
                spBtnHref6,
                btnPadding6,
                btnPaddingMobile6,
                btnPaddingTablet6,
                btnMargin6,
                btnMarginMobile6,
                btnMarginTablet6,
                btnAlignment6,
                btnAlignmentMobile6,
                btnAlignmentTablet6,
                btnBorder6,
                btnBorderType6,
                btnBorderMobile6,
                btnBorderTablet6,
                btnBorderRadius6,
                btnBorderRadiusMobile6,
                btnBorderRadiusTablet6,                
                iconPosition6,
                btnSize6,
                buttonIcon6,
                buttonWidth6,
                bntRounded6,                
                btnRel6,  

                //Box 7
                boxBgColor7,
                flagStyle7,
                ratings7,
                ratingsColor7,
                selectedStars7, 
                starsSize7,
                starsSizeMobile7,
                starsSizeTablet7,
                titleTag7,
                titleText7,
                titleLoadGoogleFonts7,
                titleTextColor7,
                titlefontFamily7,
                titlefontWeight7,
                titlefontSubset7,
                titlefontSizeType7,
                titlefontSizeTypeMobile7,
                titlefontSizeTypeTablet7,
                titlefontSizeDesktop7,
                titlefontSizeMobile7,
                titlefontSizeTablet7,
                titlelineHeight7,
                titlelineHeightMobile7,
                titlelineHeightTablet7,
                titleletterSpacing7,
                titleletterSpacingMobile7,
                titleletterSpacingTablet7,
                titleletterSpacingType7,
                titleletterSpacingTypeTablet7,
                titleletterSpacingTypeMobile7,
                titletextTransform7,
                titletextDecoration7,
                titlefontStyle7,
                image7,
                imageSize7,
                imagePadding7,
                imagePaddingMobile7,
                imagePaddingTablet7,
                customImgWidth7,
                customImgWidthMobile7,
                customImgWidthTablet7,
                imageDesignType7,
                listItems7,
                listTextItems7,
                listType7,
                alignment7,
                listLoadGoogleFonts7,
                listfontFamily7,
                listfontWeight7,    
                bulletStyle7,
                numberCorner7,
                numberFontSize7,
                numberBgSize7,
                useNumberBg7,                
                listTextColor7,
                listIconColor7,
                listColor7,
                recreateStyles7,
                btnLoadGoogleFonts7,
                btnfontFamily7,
                btnfontWeight7,                
                btnfontSubset7,
                btnfontSizeType7,
                btnfontSizeTypeMobile7,
                btnfontSizeTypeTablet7,
                btnfontSizeDesktop7,
                btnfontSizeMobile7,
                btnfontSizeTablet7,
                btnlineHeight7,
                btnlineHeightMobile7,
                btnlineHeightTablet7,
                btnletterSpacing7,
                btnletterSpacingMobile7,
                btnletterSpacingTablet7,
                btnletterSpacingType7,
                btnletterSpacingTypeTablet7,
                btnletterSpacingTypeMobile7,
                btntextTransform7,
                btntextDecoration7,
                btnfontStyle7,
                btnBgColor7,
                btnHoverBgColor7,
                btnTextColor7,
                btnTextHoverColor7,
                btnBorderColor7,
                btnBorderHoverColor7,
                btn_Htarget7,
                spBtnText7,
                spBtnHref7,
                btnPadding7,
                btnPaddingMobile7,
                btnPaddingTablet7,
                btnMargin7,
                btnMarginMobile7,
                btnMarginTablet7,
                btnAlignment7,
                btnAlignmentMobile7,
                btnAlignmentTablet7,
                btnBorder7,
                btnBorderType7,
                btnBorderMobile7,
                btnBorderTablet7,
                btnBorderRadius7,
                btnBorderRadiusMobile7,
                btnBorderRadiusTablet7,                
                iconPosition7,
                btnSize7,
                buttonIcon7,
                buttonWidth7,
                bntRounded7,                
                btnRel7,  

                btnBg,
                btnBgHover,
                btnBg2,
                btnBgHover2,
                btnBg3,
                btnBgHover3,
                btnBg4,
                btnBgHover4,
                btnBg5,
                btnBgHover5,
                btnBg6,
                btnBgHover6,
                btnBg7,
                btnBgHover7,


      } = props.attributes
      
      const Tag1 = titleTag1
      const Tag2 = titleTag2
      const Tag3 = titleTag3
      const Tag4 = titleTag4
      const Tag5 = titleTag5
      const Tag6 = titleTag6
      const Tag7 = titleTag7


      var mobile_selectors = {}
      var tablet_selectors = {}
      var style = {} 

      var styleBtnBg = cssBackground(btnBg);
      var styleBtnBgHover = cssBackground(btnBgHover);
      var styleBtnBg2 = cssBackground(btnBg2);
      var styleBtnBgHover2 = cssBackground(btnBgHover2);
      var styleBtnBg3 = cssBackground(btnBg3);
      var styleBtnBgHover3 = cssBackground(btnBgHover3);
      var styleBtnBg4 = cssBackground(btnBg4);
      var styleBtnBgHover4 = cssBackground(btnBgHover4);
      var styleBtnBg5 = cssBackground(btnBg5);
      var styleBtnBgHover5 = cssBackground(btnBgHover5);
      var styleBtnBg6 = cssBackground(btnBg6);
      var styleBtnBgHover6 = cssBackground(btnBgHover6);
      var styleBtnBg7 = cssBackground(btnBg7);
      var styleBtnBgHover7 = cssBackground(btnBgHover7);

        var selectors = {

            " .affiliate-coupon-inner.style2 .affiliate-block-col":{
                  "box-shadow":cssBoxShadow(boxShadow),
            },

            
            " .affiliate-coupon-inner.style2 .affiliate-block-col.box1":{
                "background": boxBgColor1,
            },
            " .box1 .affiliate-coupon-image1":{
                "padding" : ( imagePadding1 && undefined !== imagePadding1[ 'top' ] && null !== imagePadding1[ 'top' ] ? imagePadding1[ 'top' ] + imagePadding1['unit'] + ' ' + imagePadding1[ 'right' ] + imagePadding1['unit'] + ' ' + imagePadding1[ 'bottom' ] + imagePadding1['unit'] + ' ' + imagePadding1[ 'left' ] + imagePadding1['unit'] : '' ),
            },
            " .box1 .affiliate-coupon-image1 img":{
                "width": customImgWidth1 + 'px'                  
            },
          
            " .box1 .affiliate-coupon-starrating1 .affiliate-star-item svg":{
                "height": starsSize1 + 'px',
                "width": starsSize1 + 'px',
            },
            " .box1 .affiliate-coupon-list1 li":{
                "color":listColor1,
            }, 
            " .box1 .affiliate-coupon-list1 li:before":{
                "color":listIconColor1,
            }, 
            " .box1 .affiliate-list1 ":{
                "font-family": listfontFamily1,
                "font-weight":listfontWeight1,
            },
            " .box1 .affiliate-coupon-btn-wrapper1 .affiliate-btn":{
                "font-family": btnfontFamily1,
                "font-size": btnfontSizeDesktop1 + btnfontSizeType1,
                "font-style":btnfontStyle1,
                "font-weight":btnfontWeight1,
                "letter-spacing":btnletterSpacing1 + btnletterSpacingType1,
                "line-height":btnlineHeight1,
                "text-decoration":btntextDecoration1,
                "text-transform":btntextTransform1,
                "background":styleBtnBg,
                "color":btnTextColor1,
                "border-color":btnBorderColor1,
                "border-style":btnBorderType1,
                "border-radius":( btnBorderRadius1 && undefined !== btnBorderRadius1[ 'top' ] && null !== btnBorderRadius1[ 'top' ] ? btnBorderRadius1[ 'top' ] + btnBorderRadius1['unit'] + ' ' + btnBorderRadius1[ 'right' ] + btnBorderRadius1['unit'] + ' ' + btnBorderRadius1[ 'bottom' ] + btnBorderRadius1['unit'] + ' ' + btnBorderRadius1[ 'left' ] + btnBorderRadius1['unit'] : '' ),
                "border-width" : ( btnBorder1 && undefined !== btnBorder1[ 'top' ] && null !== btnBorder1[ 'top' ] ? btnBorder1[ 'top' ] + btnBorder1['unit'] + ' ' + btnBorder1[ 'right' ] + btnBorder1['unit'] + ' ' + btnBorder1[ 'bottom' ] + btnBorder1['unit'] + ' ' + btnBorder1[ 'left' ] + btnBorder1['unit'] : '' ),
                "padding" : ( btnPadding1 && undefined !== btnPadding1[ 'top' ] && null !== btnPadding1[ 'top' ] ? btnPadding1[ 'top' ] + btnPadding1['unit'] + ' ' + btnPadding1[ 'right' ] + btnPadding1['unit'] + ' ' + btnPadding1[ 'bottom' ] + btnPadding1['unit'] + ' ' + btnPadding1[ 'left' ] + btnPadding1['unit'] : '' ),
                "margin" : ( btnMargin1 && undefined !== btnMargin1[ 'top' ] && null !== btnMargin1[ 'top' ] ? btnMargin1[ 'top' ] + btnMargin1['unit'] + ' ' + btnMargin1[ 'right' ] + btnMargin1['unit'] + ' ' + btnMargin1[ 'bottom' ] + btnMargin1['unit'] + ' ' + btnMargin1[ 'left' ] + btnMargin1['unit'] : '' ),
            },
            " .box1 .affiliate-coupon-btn-wrapper1 .affiliate-btn:hover":{
                "background":styleBtnBgHover,
                "border-color":btnBorderHoverColor1,
                "color":btnTextHoverColor1
            },


            " .affiliate-coupon-inner.style2 .affiliate-block-col.box2":{
                "background": boxBgColor2,
            },
            " .box2 .affiliate-coupon-image2":{
                "padding" : ( imagePadding2 && undefined !== imagePadding2[ 'top' ] && null !== imagePadding2[ 'top' ] ? imagePadding2[ 'top' ] + imagePadding2['unit'] + ' ' + imagePadding2[ 'right' ] + imagePadding2['unit'] + ' ' + imagePadding2[ 'bottom' ] + imagePadding2['unit'] + ' ' + imagePadding2[ 'left' ] + imagePadding2['unit'] : '' ),
            },
            " .box2 .affiliate-coupon-image2 img":{
                "width": customImgWidth2 + 'px'                  
            },
          
            " .box2 .affiliate-coupon-starrating2 .affiliate-star-item svg":{
                "height": starsSize2 + 'px',
                "width": starsSize2 + 'px',
            },          
            " .box2 .affiliate-coupon-list2 li":{
                "color":listColor2,
            }, 
            " .box2 .affiliate-coupon-list2 li:before":{
                "color":listIconColor2,
            }, 
            " .box2 .affiliate-list2 ":{
                "font-family": listfontFamily2,
                "font-weight":listfontWeight2,
            },
            " .box2 .affiliate-coupon-btn-wrapper2 .affiliate-btn":{
                "font-family": btnfontFamily2,
                "font-size": btnfontSizeDesktop2 + btnfontSizeType2,
                "font-style":btnfontStyle2,
                "font-weight":btnfontWeight2,
                "letter-spacing":btnletterSpacing2 + btnletterSpacingType2,
                "line-height":btnlineHeight2,
                "text-decoration":btntextDecoration2,
                "text-transform":btntextTransform2,
                "background":styleBtnBg2,
                "color":btnTextColor2,
                "border-color":btnBorderColor2,
                "border-style":btnBorderType2,
                "border-radius":( btnBorderRadius2 && undefined !== btnBorderRadius2[ 'top' ] && null !== btnBorderRadius2[ 'top' ] ? btnBorderRadius2[ 'top' ] + btnBorderRadius2['unit'] + ' ' + btnBorderRadius2[ 'right' ] + btnBorderRadius2['unit'] + ' ' + btnBorderRadius2[ 'bottom' ] + btnBorderRadius2['unit'] + ' ' + btnBorderRadius2[ 'left' ] + btnBorderRadius2['unit'] : '' ),
                "border-width" : ( btnBorder2 && undefined !== btnBorder2[ 'top' ] && null !== btnBorder2[ 'top' ] ? btnBorder2[ 'top' ] + btnBorder2['unit'] + ' ' + btnBorder2[ 'right' ] + btnBorder2['unit'] + ' ' + btnBorder2[ 'bottom' ] + btnBorder2['unit'] + ' ' + btnBorder2[ 'left' ] + btnBorder2['unit'] : '' ),
                "padding" : ( btnPadding2 && undefined !== btnPadding2[ 'top' ] && null !== btnPadding2[ 'top' ] ? btnPadding2[ 'top' ] + btnPadding2['unit'] + ' ' + btnPadding2[ 'right' ] + btnPadding2['unit'] + ' ' + btnPadding2[ 'bottom' ] + btnPadding2['unit'] + ' ' + btnPadding2[ 'left' ] + btnPadding2['unit'] : '' ),
                "margin" : ( btnMargin2 && undefined !== btnMargin2[ 'top' ] && null !== btnMargin2[ 'top' ] ? btnMargin2[ 'top' ] + btnMargin2['unit'] + ' ' + btnMargin2[ 'right' ] + btnMargin2['unit'] + ' ' + btnMargin2[ 'bottom' ] + btnMargin2['unit'] + ' ' + btnMargin2[ 'left' ] + btnMargin2['unit'] : '' ),
            },
            " .box2 .affiliate-coupon-btn-wrapper2 .affiliate-btn:hover":{
                "background":styleBtnBgHover2,
                "border-color":btnBorderHoverColor2,
                "color":btnTextHoverColor2
            },


            " .affiliate-coupon-inner.style2 .affiliate-block-col.box3":{
                "background": boxBgColor3,
            },
            " .box3 .affiliate-coupon-image3":{
                "padding" : ( imagePadding3 && undefined !== imagePadding3[ 'top' ] && null !== imagePadding3[ 'top' ] ? imagePadding3[ 'top' ] + imagePadding3['unit'] + ' ' + imagePadding3[ 'right' ] + imagePadding3['unit'] + ' ' + imagePadding3[ 'bottom' ] + imagePadding3['unit'] + ' ' + imagePadding3[ 'left' ] + imagePadding3['unit'] : '' ),
            },
            " .box3 .affiliate-coupon-image3 img":{
                "width": customImgWidth3 + 'px'                  
            },
            " .box3 .affiliate-coupon-starrating3 .affiliate-star-item svg":{
                "height": starsSize3 + 'px',
                "width": starsSize3 + 'px',
            },
            " .box3 .affiliate-coupon-list3 li":{
                "color":listColor3,
            }, 
            " .box3 .affiliate-coupon-list3 li:before":{
                "color":listIconColor3,
            }, 
            " .box3 .affiliate-list3 ":{
                "font-family": listfontFamily3,
                "font-weight":listfontWeight3,
            },
            " .box3 .affiliate-coupon-btn-wrapper3 .affiliate-btn":{
                "font-family": btnfontFamily3,
                "font-size": btnfontSizeDesktop3 + btnfontSizeType3,
                "font-style":btnfontStyle3,
                "font-weight":btnfontWeight3,
                "letter-spacing":btnletterSpacing3 + btnletterSpacingType3,
                "line-height":btnlineHeight3,
                "text-decoration":btntextDecoration3,
                "text-transform":btntextTransform3,
                "background":styleBtnBg3,
                "color":btnTextColor3,
                "border-color":btnBorderColor3,
                "border-style":btnBorderType3,
                "border-radius":( btnBorderRadius3 && undefined !== btnBorderRadius3[ 'top' ] && null !== btnBorderRadius3[ 'top' ] ? btnBorderRadius3[ 'top' ] + btnBorderRadius3['unit'] + ' ' + btnBorderRadius3[ 'right' ] + btnBorderRadius3['unit'] + ' ' + btnBorderRadius3[ 'bottom' ] + btnBorderRadius3['unit'] + ' ' + btnBorderRadius3[ 'left' ] + btnBorderRadius3['unit'] : '' ),
                "border-width" : ( btnBorder3 && undefined !== btnBorder3[ 'top' ] && null !== btnBorder3[ 'top' ] ? btnBorder3[ 'top' ] + btnBorder3['unit'] + ' ' + btnBorder3[ 'right' ] + btnBorder3['unit'] + ' ' + btnBorder3[ 'bottom' ] + btnBorder3['unit'] + ' ' + btnBorder3[ 'left' ] + btnBorder3['unit'] : '' ),
                "padding" : ( btnPadding3 && undefined !== btnPadding3[ 'top' ] && null !== btnPadding3[ 'top' ] ? btnPadding3[ 'top' ] + btnPadding3['unit'] + ' ' + btnPadding3[ 'right' ] + btnPadding3['unit'] + ' ' + btnPadding3[ 'bottom' ] + btnPadding3['unit'] + ' ' + btnPadding3[ 'left' ] + btnPadding3['unit'] : '' ),
                "margin" : ( btnMargin3 && undefined !== btnMargin3[ 'top' ] && null !== btnMargin3[ 'top' ] ? btnMargin3[ 'top' ] + btnMargin3['unit'] + ' ' + btnMargin3[ 'right' ] + btnMargin3['unit'] + ' ' + btnMargin3[ 'bottom' ] + btnMargin3['unit'] + ' ' + btnMargin3[ 'left' ] + btnMargin3['unit'] : '' ),
            },
            " .box3 .affiliate-coupon-btn-wrapper3 .affiliate-btn:hover":{
                "background":styleBtnBgHover3,
                "border-color":btnBorderHoverColor3,
                "color":btnTextHoverColor3
            },


            " .affiliate-coupon-inner.style2 .affiliate-block-col.box4":{
                "background": boxBgColor4,
            },
            " .box4 .affiliate-coupon-image4":{
                "padding" : ( imagePadding4 && undefined !== imagePadding4[ 'top' ] && null !== imagePadding4[ 'top' ] ? imagePadding4[ 'top' ] + imagePadding4['unit'] + ' ' + imagePadding4[ 'right' ] + imagePadding4['unit'] + ' ' + imagePadding4[ 'bottom' ] + imagePadding4['unit'] + ' ' + imagePadding4[ 'left' ] + imagePadding4['unit'] : '' ),
            },
            " .box4 .affiliate-coupon-image4 img":{
                "width": customImgWidth4 + 'px'                  
            },
            " .box4 .affiliate-coupon-starrating4 .affiliate-star-item svg":{
                "height": starsSize4 + 'px',
                "width": starsSize4 + 'px',
            },
            " .box4 .affiliate-coupon-list4 li":{
                "color":listColor4,
            }, 
            " .box4 .affiliate-coupon-list4 li:before":{
                "color":listIconColor4,
            }, 
            " .box4 .affiliate-list4 ":{
                "font-family": listfontFamily4,
                "font-weight":listfontWeight4,
            },
            " .box4 .affiliate-coupon-btn-wrapper4 .affiliate-btn":{
                "font-family": btnfontFamily4,
                "font-size": btnfontSizeDesktop4 + btnfontSizeType4,
                "font-style":btnfontStyle4,
                "font-weight":btnfontWeight4,
                "letter-spacing":btnletterSpacing4 + btnletterSpacingType4,
                "line-height":btnlineHeight4,
                "text-decoration":btntextDecoration4,
                "text-transform":btntextTransform4,
                "background":styleBtnBg4,
                "color":btnTextColor4,
                "border-color":btnBorderColor4,
                "border-style":btnBorderType4,
                "border-radius":( btnBorderRadius4 && undefined !== btnBorderRadius4[ 'top' ] && null !== btnBorderRadius4[ 'top' ] ? btnBorderRadius4[ 'top' ] + btnBorderRadius4['unit'] + ' ' + btnBorderRadius4[ 'right' ] + btnBorderRadius4['unit'] + ' ' + btnBorderRadius4[ 'bottom' ] + btnBorderRadius4['unit'] + ' ' + btnBorderRadius4[ 'left' ] + btnBorderRadius4['unit'] : '' ),
                "border-width" : ( btnBorder4 && undefined !== btnBorder4[ 'top' ] && null !== btnBorder4[ 'top' ] ? btnBorder4[ 'top' ] + btnBorder4['unit'] + ' ' + btnBorder4[ 'right' ] + btnBorder4['unit'] + ' ' + btnBorder4[ 'bottom' ] + btnBorder4['unit'] + ' ' + btnBorder4[ 'left' ] + btnBorder4['unit'] : '' ),
                "padding" : ( btnPadding4 && undefined !== btnPadding4[ 'top' ] && null !== btnPadding4[ 'top' ] ? btnPadding4[ 'top' ] + btnPadding4['unit'] + ' ' + btnPadding4[ 'right' ] + btnPadding4['unit'] + ' ' + btnPadding4[ 'bottom' ] + btnPadding4['unit'] + ' ' + btnPadding4[ 'left' ] + btnPadding4['unit'] : '' ),
                "margin" : ( btnMargin4 && undefined !== btnMargin4[ 'top' ] && null !== btnMargin4[ 'top' ] ? btnMargin4[ 'top' ] + btnMargin4['unit'] + ' ' + btnMargin4[ 'right' ] + btnMargin4['unit'] + ' ' + btnMargin4[ 'bottom' ] + btnMargin4['unit'] + ' ' + btnMargin4[ 'left' ] + btnMargin4['unit'] : '' ),
            },
            " .box4 .affiliate-coupon-btn-wrapper4 .affiliate-btn:hover":{
                "background":styleBtnBgHover4,
                "border-color":btnBorderHoverColor4,
                "color":btnTextHoverColor4
            },


            " .affiliate-coupon-inner.style2 .affiliate-block-col.box5":{
                "background": boxBgColor5,
            },
            " .box5 .affiliate-coupon-image5":{
                "padding" : ( imagePadding5 && undefined !== imagePadding5[ 'top' ] && null !== imagePadding5[ 'top' ] ? imagePadding5[ 'top' ] + imagePadding5['unit'] + ' ' + imagePadding5[ 'right' ] + imagePadding5['unit'] + ' ' + imagePadding5[ 'bottom' ] + imagePadding5['unit'] + ' ' + imagePadding5[ 'left' ] + imagePadding5['unit'] : '' ),
            },
            " .box5 .affiliate-coupon-image5 img":{
                "width": customImgWidth5 + 'px'                  
            },
            " .box5 .affiliate-coupon-starrating5 .affiliate-star-item svg":{
                "height": starsSize5 + 'px',
                "width": starsSize5 + 'px',
            },
            " .box5 .affiliate-coupon-list5 li":{
                "color":listColor5,
            }, 
            " .box5 .affiliate-coupon-list5 li:before":{
                "color":listIconColor5,
            }, 
            " .box5 .affiliate-list5 ":{
                "font-family": listfontFamily5,
                "font-weight":listfontWeight5,
            },
            " .box5 .affiliate-coupon-btn-wrapper5 .affiliate-btn":{
                "font-family": btnfontFamily5,
                "font-size": btnfontSizeDesktop5 + btnfontSizeType5,
                "font-style":btnfontStyle5,
                "font-weight":btnfontWeight5,
                "letter-spacing":btnletterSpacing5 + btnletterSpacingType5,
                "line-height":btnlineHeight5,
                "text-decoration":btntextDecoration5,
                "text-transform":btntextTransform5,
                "background":styleBtnBg5,
                "color":btnTextColor5,
                "border-color":btnBorderColor5,
                "border-style":btnBorderType5,
                "border-radius":( btnBorderRadius5 && undefined !== btnBorderRadius5[ 'top' ] && null !== btnBorderRadius5[ 'top' ] ? btnBorderRadius5[ 'top' ] + btnBorderRadius5['unit'] + ' ' + btnBorderRadius5[ 'right' ] + btnBorderRadius5['unit'] + ' ' + btnBorderRadius5[ 'bottom' ] + btnBorderRadius5['unit'] + ' ' + btnBorderRadius5[ 'left' ] + btnBorderRadius5['unit'] : '' ),
                "border-width" : ( btnBorder5 && undefined !== btnBorder5[ 'top' ] && null !== btnBorder5[ 'top' ] ? btnBorder5[ 'top' ] + btnBorder5['unit'] + ' ' + btnBorder5[ 'right' ] + btnBorder5['unit'] + ' ' + btnBorder5[ 'bottom' ] + btnBorder5['unit'] + ' ' + btnBorder5[ 'left' ] + btnBorder5['unit'] : '' ),
                "padding" : ( btnPadding5 && undefined !== btnPadding5[ 'top' ] && null !== btnPadding5[ 'top' ] ? btnPadding5[ 'top' ] + btnPadding5['unit'] + ' ' + btnPadding5[ 'right' ] + btnPadding5['unit'] + ' ' + btnPadding5[ 'bottom' ] + btnPadding5['unit'] + ' ' + btnPadding5[ 'left' ] + btnPadding5['unit'] : '' ),
                "margin" : ( btnMargin5 && undefined !== btnMargin5[ 'top' ] && null !== btnMargin5[ 'top' ] ? btnMargin5[ 'top' ] + btnMargin5['unit'] + ' ' + btnMargin5[ 'right' ] + btnMargin5['unit'] + ' ' + btnMargin5[ 'bottom' ] + btnMargin5['unit'] + ' ' + btnMargin5[ 'left' ] + btnMargin5['unit'] : '' ),
            },
            " .box5 .affiliate-coupon-btn-wrapper5 .affiliate-btn:hover":{
                "background":styleBtnBgHover5,
                "border-color":btnBorderHoverColor5,
                "color":btnTextHoverColor5
            },


            " .affiliate-coupon-inner.style2 .affiliate-block-col.box6":{
                "background": boxBgColor6,
            },
            " .box6 .affiliate-coupon-image6":{
                "padding" : ( imagePadding6 && undefined !== imagePadding6[ 'top' ] && null !== imagePadding6[ 'top' ] ? imagePadding6[ 'top' ] + imagePadding6['unit'] + ' ' + imagePadding6[ 'right' ] + imagePadding6['unit'] + ' ' + imagePadding6[ 'bottom' ] + imagePadding6['unit'] + ' ' + imagePadding6[ 'left' ] + imagePadding6['unit'] : '' ),
            },
            " .box6 .affiliate-coupon-image6 img":{
                "width": customImgWidth6 + 'px'                  
            },
            " .box6 .affiliate-coupon-starrating6 .affiliate-star-item svg":{
                "height": starsSize6 + 'px',
                "width": starsSize6 + 'px',
            },
            " .box6 .affiliate-coupon-list6 li":{
                "color":listColor6,
            }, 
            " .box6 .affiliate-coupon-list6 li:before":{
                "color":listIconColor6,
            }, 
            " .box6 .affiliate-list6 ":{
                "font-family": listfontFamily6,
                "font-weight":listfontWeight6,
            },
            " .box6 .affiliate-coupon-btn-wrapper6 .affiliate-btn":{
                "font-family": btnfontFamily6,
                "font-size": btnfontSizeDesktop6 + btnfontSizeType6,
                "font-style":btnfontStyle6,
                "font-weight":btnfontWeight6,
                "letter-spacing":btnletterSpacing6 + btnletterSpacingType6,
                "line-height":btnlineHeight6,
                "text-decoration":btntextDecoration6,
                "text-transform":btntextTransform6,
                "background":styleBtnBg6,
                "color":btnTextColor6,
                "border-color":btnBorderColor6,
                "border-style":btnBorderType6,
                "border-radius":( btnBorderRadius6 && undefined !== btnBorderRadius6[ 'top' ] && null !== btnBorderRadius6[ 'top' ] ? btnBorderRadius6[ 'top' ] + btnBorderRadius6['unit'] + ' ' + btnBorderRadius6[ 'right' ] + btnBorderRadius6['unit'] + ' ' + btnBorderRadius6[ 'bottom' ] + btnBorderRadius6['unit'] + ' ' + btnBorderRadius6[ 'left' ] + btnBorderRadius6['unit'] : '' ),
                "border-width" : ( btnBorder6 && undefined !== btnBorder6[ 'top' ] && null !== btnBorder6[ 'top' ] ? btnBorder6[ 'top' ] + btnBorder6['unit'] + ' ' + btnBorder6[ 'right' ] + btnBorder6['unit'] + ' ' + btnBorder6[ 'bottom' ] + btnBorder6['unit'] + ' ' + btnBorder6[ 'left' ] + btnBorder6['unit'] : '' ),
                "padding" : ( btnPadding6 && undefined !== btnPadding6[ 'top' ] && null !== btnPadding6[ 'top' ] ? btnPadding6[ 'top' ] + btnPadding6['unit'] + ' ' + btnPadding6[ 'right' ] + btnPadding6['unit'] + ' ' + btnPadding6[ 'bottom' ] + btnPadding6['unit'] + ' ' + btnPadding6[ 'left' ] + btnPadding6['unit'] : '' ),
                "margin" : ( btnMargin6 && undefined !== btnMargin6[ 'top' ] && null !== btnMargin6[ 'top' ] ? btnMargin6[ 'top' ] + btnMargin6['unit'] + ' ' + btnMargin6[ 'right' ] + btnMargin6['unit'] + ' ' + btnMargin6[ 'bottom' ] + btnMargin6['unit'] + ' ' + btnMargin6[ 'left' ] + btnMargin6['unit'] : '' ),
            },
            " .box6 .affiliate-coupon-btn-wrapper6 .affiliate-btn:hover":{
                "background":styleBtnBgHover6,
                "border-color":btnBorderHoverColor6,
                "color":btnTextHoverColor6
            },


            " .affiliate-coupon-inner.style2 .affiliate-block-col.box7":{
                "background": boxBgColor7,
            },
            " .box7 .affiliate-coupon-image7":{
                "padding" : ( imagePadding7 && undefined !== imagePadding7[ 'top' ] && null !== imagePadding7[ 'top' ] ? imagePadding7[ 'top' ] + imagePadding7['unit'] + ' ' + imagePadding7[ 'right' ] + imagePadding7['unit'] + ' ' + imagePadding7[ 'bottom' ] + imagePadding7['unit'] + ' ' + imagePadding7[ 'left' ] + imagePadding7['unit'] : '' ),
            },
            " .box7 .affiliate-coupon-image7 img":{
                "width": customImgWidth7 + 'px'                  
            },
            " .box7 .affiliate-coupon-starrating7 .affiliate-star-item svg":{
                "height": starsSize7 + 'px',
                "width": starsSize7 + 'px',
            },
            " .box7 .affiliate-coupon-list7 li":{
                "color":listColor7,
            }, 
            " .box7 .affiliate-coupon-list7 li:before":{
                "color":listIconColor7,
            }, 
            " .box7 .affiliate-list7 ":{
                "font-family": listfontFamily7,
                "font-weight":listfontWeight7,
            },
            " .box7 .affiliate-coupon-btn-wrapper7 .affiliate-btn":{
                "font-family": btnfontFamily7,
                "font-size": btnfontSizeDesktop7 + btnfontSizeType7,
                "font-style":btnfontStyle7,
                "font-weight":btnfontWeight7,
                "letter-spacing":btnletterSpacing7 + btnletterSpacingType7,
                "line-height":btnlineHeight7,
                "text-decoration":btntextDecoration7,
                "text-transform":btntextTransform7,
                "background":styleBtnBg7,
                "color":btnTextColor7,
                "border-color":btnBorderColor7,
                "border-style":btnBorderType7,
                "border-radius":( btnBorderRadius7 && undefined !== btnBorderRadius7[ 'top' ] && null !== btnBorderRadius7[ 'top' ] ? btnBorderRadius7[ 'top' ] + btnBorderRadius7['unit'] + ' ' + btnBorderRadius7[ 'right' ] + btnBorderRadius7['unit'] + ' ' + btnBorderRadius7[ 'bottom' ] + btnBorderRadius7['unit'] + ' ' + btnBorderRadius7[ 'left' ] + btnBorderRadius7['unit'] : '' ),
                "border-width" : ( btnBorder7 && undefined !== btnBorder7[ 'top' ] && null !== btnBorder7[ 'top' ] ? btnBorder7[ 'top' ] + btnBorder7['unit'] + ' ' + btnBorder7[ 'right' ] + btnBorder7['unit'] + ' ' + btnBorder7[ 'bottom' ] + btnBorder7['unit'] + ' ' + btnBorder7[ 'left' ] + btnBorder7['unit'] : '' ),
                "padding" : ( btnPadding7 && undefined !== btnPadding7[ 'top' ] && null !== btnPadding7[ 'top' ] ? btnPadding7[ 'top' ] + btnPadding7['unit'] + ' ' + btnPadding7[ 'right' ] + btnPadding7['unit'] + ' ' + btnPadding7[ 'bottom' ] + btnPadding7['unit'] + ' ' + btnPadding7[ 'left' ] + btnPadding7['unit'] : '' ),
                "margin" : ( btnMargin7 && undefined !== btnMargin7[ 'top' ] && null !== btnMargin7[ 'top' ] ? btnMargin7[ 'top' ] + btnMargin7['unit'] + ' ' + btnMargin7[ 'right' ] + btnMargin7['unit'] + ' ' + btnMargin7[ 'bottom' ] + btnMargin7['unit'] + ' ' + btnMargin7[ 'left' ] + btnMargin7['unit'] : '' ),
            },
            " .box7 .affiliate-coupon-btn-wrapper7 .affiliate-btn:hover":{
                "background":styleBtnBgHover7,
                "border-color":btnBorderHoverColor7,
                "color":btnTextHoverColor7
            },

      }

        selectors[' .box1 .affiliate-coupon-title1 '] = {
            "font-family": titlefontFamily1,
            "font-size": titlefontSizeDesktop1 + titlefontSizeType1,
            "font-style":titlefontStyle1,
            "font-weight":titlefontWeight1,
            "letter-spacing":titleletterSpacing1 + titleletterSpacingType1,
            "line-height":titlelineHeight1,
            "text-decoration":titletextDecoration1,
            "text-transform":titletextTransform1,
            "color":titleTextColor1,
        }, 


        selectors[' .box2 .affiliate-coupon-title2 '] = {
            "font-family": titlefontFamily2,
            "font-size": titlefontSizeDesktop2 + titlefontSizeType2,
            "font-style":titlefontStyle2,
            "font-weight":titlefontWeight2,
            "letter-spacing":titleletterSpacing2 + titleletterSpacingType2,
            "line-height":titlelineHeight2,
            "text-decoration":titletextDecoration2,
            "text-transform":titletextTransform2,
            "color":titleTextColor2,
        }, 



        selectors[' .box3 .affiliate-coupon-title3 '] = {
            "font-family": titlefontFamily3,
            "font-size": titlefontSizeDesktop3 + titlefontSizeType3,
            "font-style":titlefontStyle3,
            "font-weight":titlefontWeight3,
            "letter-spacing":titleletterSpacing3 + titleletterSpacingType3,
            "line-height":titlelineHeight3,
            "text-decoration":titletextDecoration3,
            "text-transform":titletextTransform3,
            "color":titleTextColor3,
        }, 


        selectors[' .box4 .affiliate-coupon-title4 '] = {
            "font-family": titlefontFamily4,
            "font-size": titlefontSizeDesktop4 + titlefontSizeType4,
            "font-style":titlefontStyle4,
            "font-weight":titlefontWeight4,
            "letter-spacing":titleletterSpacing4 + titleletterSpacingType4,
            "line-height":titlelineHeight4,
            "text-decoration":titletextDecoration4,
            "text-transform":titletextTransform4,
            "color":titleTextColor4,
        }, 


        selectors[' .box5 .affiliate-coupon-title5 '] = {
            "font-family": titlefontFamily5,
            "font-size": titlefontSizeDesktop5 + titlefontSizeType5,
            "font-style":titlefontStyle5,
            "font-weight":titlefontWeight5,
            "letter-spacing":titleletterSpacing5 + titleletterSpacingType5,
            "line-height":titlelineHeight5,
            "text-decoration":titletextDecoration5,
            "text-transform":titletextTransform5,
            "color":titleTextColor5,
        }, 


        selectors[' .box6 .affiliate-coupon-title6 '] = {
            "font-family": titlefontFamily6,
            "font-size": titlefontSizeDesktop6 + titlefontSizeType6,
            "font-style":titlefontStyle6,
            "font-weight":titlefontWeight6,
            "letter-spacing":titleletterSpacing6 + titleletterSpacingType6,
            "line-height":titlelineHeight6,
            "text-decoration":titletextDecoration6,
            "text-transform":titletextTransform6,
            "color":titleTextColor6,
        }, 


        selectors[' .box7 .affiliate-coupon-title7 '] = {
            "font-family": titlefontFamily7,
            "font-size": titlefontSizeDesktop7 + titlefontSizeType7,
            "font-style":titlefontStyle7,
            "font-weight":titlefontWeight7,
            "letter-spacing":titleletterSpacing7 + titleletterSpacingType7,
            "line-height":titlelineHeight7,
            "text-decoration":titletextDecoration7,
            "text-transform":titletextTransform7,
            "color":titleTextColor7,
        }, 


  
        tablet_selectors = {
       
        }

        mobile_selectors = {
       
        }



	var affiliate_styling_css = ""

	affiliate_styling_css = affiliate_generateCSS( selectors, `#${id}-${ props.clientId }` )

  affiliate_styling_css += affiliate_generateCSS( tablet_selectors, `#${id}-${ props.clientId }`, true, "tablet" )

  affiliate_styling_css += affiliate_generateCSS( mobile_selectors, `#${id}-${ props.clientId }`, true, "mobile" )

	return affiliate_styling_css
}

export default affiliate_styling
