import './style.scss';
import Edit from './Edit';
import Save from './Save';
import attributes from './attributes';
import icons from '../../icons/icons';
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

registerBlockType('affiliate-booster/ab-dynamic-block', {
    title: __('AB Dynamic Block'),
    description: __(''),
    category: 'affiliate-booster',
    icon: icons.dynamic,
    keywords: [
        __('Dynamic Block'),
        __('AB Dynamic Block'),
        __('Advanced Dynamic Block'),
    ],
    example: {
        attributes: {
            background: '#fff'
        },
    },
    attributes,
    edit: Edit,
    save: Save,
});
