const attributes = {
	idtbl: {
		type: 'string',
	},
	block_id:{
		type: 'string',
		default: ''
    },
    boxShadow:{
        type: 'object',
        default: {
            openShadow: true,
            blur:35,
            color:"rgba(0, 0, 0, 0.14)",
            inset : 0,
            spread : 0,
            horizontal: 0,
            vertical : 8
        }
    },
    boxBgColor : { 
        type: 'string', 
        default: '#ffffff',         
    },

    boxBorderType:{
        type: 'string',
        default:'solid',
    },
    boxBorderColor:{
        type: 'string',
        default:'#dedede',
    },
    boxBorderWidth:{
        type: 'object',
        default: {
            unit:'px',
            top: 4,
            right: 4,
            bottom: 4,
            left: 4,
        }
    },
    btn_Htarget:{
        type: 'boolean',
        default: false
    },

    // Title settings
    titleInsideOutside:{
        type: 'boolean',
        default: false
    },
    titleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    titleBgColor: {
        type: 'string',
        default:'',
    },
    titleTextColor: {
        type: 'string',
        default:'#ec4422',
    },
    titlefontFamily: {
        type: 'string',
        default:'',
    },
    titlefontWeight: {
        type: 'number',
        default: '900',
    },
    titlefontSubset: {
        type: 'string',
        default: '',
    },
    titlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeDesktop: {
        type: 'number',
        default: '22',
    },
    titlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    titlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    titlelineHeight: {
        type: 'string',
        default: ''
    },
    titlelineHeightMobile: {
        type: 'string',
        default: ''
    },
    titlelineHeightTablet: {
        type: 'string',
        default: ''
    },
    titleletterSpacing: {
        type: 'number',
        default: ''
    },
    titleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    titleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    titleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    titletextTransform: {
        type: 'string',
        default: ''
    },
    titletextDecoration: {
        type: 'string',
        default: ''
    },
    titlefontStyle: {
        type: 'string',
        default: ''
    },
    titleTag: {
        type: 'string',
        default: 'p'
    },
    titleText:{
        type: 'string',
        default: 'KEY POINTS'
    }, 
    titleShow:{
        type: 'boolean',
        default: true
    },
    
    subTitleTag: {
        type: 'string', 
        default: 'p'
    },

    // Key Points 
    keypoints: {
        type: 'array',
        default: [
                    {
                        label: '',
                        content: '', 
                    }
                ],
    },

    // Key Points Label
    kpLabelText:{
        type: 'string',
        default: ''
    },
    kpLabelLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    kpLabelColor:{
        type: 'string',
        default: '#000000'
    },
    kpLabelfontFamily: {
        type: 'string',
        default:'',
    },
    kpLabelfontWeight: {
        type: 'string',
        default: '900',
    },
    kpLabelfontSubset: {
        type: 'string',
        default: '',
    },
    kpLabelfontSizeType: {
        type: 'string',
        default: 'px',
    },
    kpLabelfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    kpLabelfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    kpLabelfontSizeDesktop: {
        type: 'number',
        default: '20',
    },
    kpLabelfontSizeMobile: {
        type: 'number',
        default: '',
    },
    kpLabelfontSizeTablet: {
        type: 'number',
        default: '',
    },
    kpLabellineHeight: {
        type: 'number',
        default: ''
    },
    kpLabellineHeightMobile: {
        type: 'number',
        default: ''
    },
    kpLabellineHeightTablet: {
        type: 'number',
        default: ''
    },
    kpLabelletterSpacing: {
        type: 'number',
        default: ''
    },
    kpLabelletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    kpLabelletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    kpLabelletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    kpLabelletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    kpLabelletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    kpLabeltextTransform: {
        type: 'string',
        default: ''
    },
    kpLabeltextDecoration: {
        type: 'string',
        default: ''
    },
    kpLabelfontStyle: {
        type: 'string',
        default: ''
    },     
    kpLabelAlignment: {
        type: 'string',
        default: 'left',
    },
    kpLabelAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    kpLabelAlignmentTablet: {
        type: 'string',
        default: 'left',
    },    
    
    // Key Points Content
    kpContentText: {
        type: 'string',
        default: ''
    },
    kpContentText:{
        type: 'string',
        default: 'Conclusion'
    },
    kpContentLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    kpContentColor:{
        type: 'string',
        default: '#000000'
    },
    kpContentfontFamily: {
        type: 'string',
        default:'',
    },
    kpContentfontWeight: {
        type: 'string',
        default: '400',
    },
    kpContentfontSubset: {
        type: 'string',
        default: '',
    },
    kpContentfontSizeType: {
        type: 'string',
        default: 'px',
    },
    kpContentfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    kpContentfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    kpContentfontSizeDesktop: {
        type: 'number',
        default: '18',
    },
    kpContentfontSizeMobile: {
        type: 'number',
        default: '',
    },
    kpContentfontSizeTablet: {
        type: 'number',
        default: '',
    },
    kpContentlineHeight: {
        type: 'number',
        default: ''
    },
    kpContentlineHeightMobile: {
        type: 'number',
        default: ''
    },
    kpContentlineHeightTablet: {
        type: 'number',
        default: ''
    },
    kpContentletterSpacing: {
        type: 'number',
        default: ''
    },
    kpContentletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    kpContentletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    kpContentletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    kpContentletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    kpContentletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    kpContenttextTransform: {
        type: 'string',
        default: ''
    },
    kpContenttextDecoration: {
        type: 'string',
        default: ''
    },
    kpContentfontStyle: {
        type: 'string',
        default: ''
    }, 
    kpContentAlignment: {
        type: 'string',
        default: 'left',
    },
    kpContentAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    kpContentAlignmentTablet: {
        type: 'string',
        default: 'left',
    },
	
    //Star Rating
    starRatingShow:{
        type: 'boolean',
        default: true
    },
    starRatingCount:{
        type:'number',
        default:5
    },
    starRatingColor:{
        type: 'string',
        default: '#ffa500'
    },
    starRatingSelectedStars: {
        type: 'number',
        default: 0
    },
    starRatingSize:{
        type:'string',
        default: 26
    },
    starRatingSizeMobile:{
        type:'string',
        default: 18
    },
    starRatingSizeTablet:{
        type:'string',
        default: 22
    },
    

    //Button
    btnShow:{
        type: 'boolean',
        default: true
    },
    btnText:{
        type: 'string',
        default: 'Get Discount'
    },
    btnHref:{
        type: 'string',
        default: ''
    },
    btnRel: {
        type: 'string',
        default: 'nofollow'
    },
    btnLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    btnBgColor: {
        type: 'string',
        default:'#F9CC29',
    },
    btnTextColor: {
        type: 'string',
        default:'#000000',
    },
    btnfontFamily: {
        type: 'string',
        default:'',
    },
    btnfontWeight: {
        type: 'string',
        default: '',
    },
    btnfontSubset: {
        type: 'string',
        default: '',
    },
    btnfontSizeType: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeDesktop: {
        type: 'number',
        default: '18',
    },
    btnfontSizeMobile: {
        type: 'number',
        default: '',
    },
    btnfontSizeTablet: {
        type: 'number',
        default: '',
    },
    btnlineHeight: {
        type: 'string',
        default: ''
    },
    btnlineHeightMobile: {
        type: 'string',
        default: ''
    },
    btnlineHeightTablet: {
        type: 'string',
        default: ''
    },
    btnletterSpacing: {
        type: 'number',
        default: ''
    },
    btnletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    btnletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    btnletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    btntextTransform: {
        type: 'string',
        default: ''
    },
    btntextDecoration: {
        type: 'string',
        default: ''
    },
    btnfontStyle: {
        type: 'string',
        default: ''
    },
    btnBgColor:{
        type: 'string',
        default:'#F9CC29',
    },
    btnHoverBgColor:{
        type: 'string',
        default: '#00ffcc'
    },
    btnTextColor:{
        type: 'string',
        default: '#000000'
    },
    btnTextHoverColor:{
        type: 'string',
        default: '#000000'
    },
    btnBorderColor:{
        type: 'string',
        default: '#F9CC29'
    },
    btnBorderType:{
        type: 'string',
        default: ''
    },
    btnBorderHoverColor:{
        type: 'string',
        default: '#00ffcc'
    },
    btnAlignment: {
        type: 'string',
    },
    btnAlignmentMobile: {
        type: 'string',
    },
    btnAlignmentTablet: {
        type: 'string',
    },
    btnPadding:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMargin:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorder:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadius:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnIconPosition:{
        type: 'string',
        default:'af-icon-is-left'
    },
    bntRounded:{
        type: 'boolean',
        default: false
    },
    btnSize:{
        type: 'string',
        default:'small'
    },
    btnWidth:{
        type: 'string',
        default:'full'
    },
    btnIcon:{
        type: 'string',
        default:''
    },

    //Extra Content
    showExtraContent:{
        type: 'boolean',
        default: false
    },
    extraContentText:{
        type: 'string',
        default: 'Nullam et nibh ac nulla commodo ultricies ac in dui. Mauris mollis leo vel nulla scelerisque lobortis. Nam ultrices dui eget suscipit euismod. Duis id metus condimentum, interdum mauris a'
    },
    extraContentLoadGoogleFonts:{
        type: 'boolean',
        default: false
    }, 
    extraContentTextColor: {
        type: 'string',
        default:'#000',
    },
    extraContentfontFamily: {
        type: 'string',
        default:'',
    },
    extraContentfontWeight: {
        type: 'number',
        default: '400',
    },
    extraContentfontSubset: {
        type: 'string',
        default: '',
    },
    extraContentfontSizeType: {
        type: 'string',
        default: 'px',
    },
    extraContentfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    extraContentfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    extraContentfontSizeDesktop: {
        type: 'number',
        default: '16',
    },
    extraContentfontSizeMobile: {
        type: 'number',
        default: '',
    },
    extraContentfontSizeTablet: {
        type: 'number',
        default: '',
    },
    extraContentlineHeight: {
        type: 'string',
        default: '20px'
    },
    extraContentlineHeightMobile: {
        type: 'string',
        default: ''
    },
    extraContentlineHeightTablet: {
        type: 'string',
        default: ''
    },
    extraContentletterSpacing: {
        type: 'number',
        default: ''
    },
    extraContentletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    extraContentletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    extraContentletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    extraContentletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    extraContentletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    extraContenttextTransform: {
        type: 'string',
        default: ''
    },
    extraContenttextDecoration: {
        type: 'string',
        default: ''
    },
    extraContentfontStyle: {
        type: 'string',
        default: ''
    },

    btnBg: {
        type: 'object',
        default: {
            openBg : true, 
            bgDefaultColor: '#ffc207',   
            bgGradient:{
                color1:'#35c9ff',
                color2:'#39f768',
            },         
        },
    },

    btnBgHover: {
        type: 'object',
        default: {
            openBg : true,              
            bgDefaultColor: '#00ffcc',
            bgGradient:{
                color1:'#aefa57',
                color2:'#f7da1e',
            },
        },
    },

    enableGlimmerEffect:{
        type: 'boolean',
        default: false
    },


    enableSchema:{
        type: 'boolean',
        default: false
    },
    schemaType: {
        type: 'string',
        default: 'Product'
    },
    schemaSubType: {
        type: 'string',
        default: ''
    },
    schemaTitle: {
        type: 'string',
        default: ''
    },
    schemaDescription: {
        type: 'string',
        default: ''
    },
    schemaRating:{
        type: 'string',
        default: ''
    }, 
    schemaApplicationCategory:{
        type: 'string',
        default: ''
    },
    schemaOperatingSystem:{
        type: 'string',
        default: ''
    },
    schemaOffer:{
        type: 'string',
        default: 'In Stock'
    },
    schemaOfferPrice:{
        type: 'string',
        default: ''
    }, 
    schemaOfferPriceCurrency:{
        type: 'string',
        default: 'USD'
    }, 
    schemaBrand:{
        type: 'string',
        default: ''
    },
    schemaSku:{
        type: 'string',
        default: ''
    },
    schemaIdentifierType:{
        type: 'string',
        default: 'gtin'
    },
    schemaIdentifier:{
        type: 'string',
        default: ''
    },
    schemaImage: { 
        type: 'object', 
        default: {
            id:'',
            url:'',
            alt:'',
        } 
    },
    schemaAuthor:{
        type: 'string',
        default: ''
    },

};

export default attributes;