import './editor.scss';
import './style.scss';
import Edit from './Edit';
import Save from './Save';
import attributes from './attributes';
import icons from '../../icons/icons';
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

registerBlockType('affiliate-booster/ab-product-rating-bar', {
    title: __('AB Product rating bar'),
    description: __(''),
    category: 'affiliate-booster',
    icon: icons.progress,
    keywords: [
        __('Product Rating'),
        __('Product Ratingbar'),
        __('Advanced Product Rating bar'),
    ],
    example: {
        attributes: {
            background: '#fff'
        },
    },
    attributes,
    edit: Edit,
    save: Save,
});