const attributes = {
    uniqueId: {
        type: 'string',
        default: ''
    },
    block_id: {
        type: 'string',
        default: ''
    },
    image: { 
        type: 'object', 
        default: {
            id:'',
            url:'',
            alt:'',
        } 
    },
    listTextItems: {
        type:'array',
        // source: 'children',
        filterElements: true,
        // selector: '.test-list',
        default:[],
    },
    listTextItemsTwo: {
        type:'array',
        // source: 'children',
        filterElements: true,
        // selector: '.test-list',
        default:[],
	},
    designType:{
        type: "string",
        default:'ab-fixed-design',
    },
    imagePadding:{
        type: 'object', 
        default: []
    },
    customImgWidth:{
        type: "string",
        default:'',
    },
    customImgWidthMobile:{
        type: "string",
        default:'',
    },
    customImgWidthTablet:{
        type: "string",
        default:'',
    },
    imagePaddingMobile:{
        type: 'object', 
        default: []
    },
    imagePaddingTablet:{
        type: 'object', 
        default: []
    },
    imageSize:{
		type: "string",
		default: "full",
	},
    boxShadow:{
        type: 'object',
        default: {
            openShadow: true,
            inset:'',
            horizontal: 0,
            vertical: 8,
            blur: 35,
            spread: 0,
            color:'rgba(0, 0, 0, 0.14)'
        }
    },
    showRatings:{
        type: 'boolean',
        default: false
    },
    titleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    listLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    propsTitle: {
        type: 'string',
        default: 'The Good'
    },
    consTitle: {
        type: 'string',
        default: 'The Bad',
    },
    recreateStyles: {
        type: 'boolean',
        default: true,
    },
    listType: {
        type: 'string',
        default: 'unordered',
    },
    alignment: {
        type: 'string',
        default: 'left',
    },
    layout: {
        type: 'string',
        default: 'fill'
    },
    listItems: {
        type: 'array',
        default: ['']
    },
    listItemsTwo: {
        type: 'array',
        default: ['']
    },
    bulletStyle: {
        type: 'object',
        default: {
            name: 'check-circle',
            value: 'far fa-check-circle'
        }
    },
    bulletStyleTwo: {
        type: 'object',
        default: {
            name: 'times-circle',
            value: 'far fa-times-circle'
        }
    },
    bulletSize: {
        type: 'string',
        default: '16px',
    },
    bulletSizeCustom: {
        type: 'object',
        default: {
            md: 18,
            unit: 'px'
        },
    },
    bulletColor: {
        type: 'string',
        default: '',
    },
    bulletColorHover: {
        type: 'string',
        default: '',
    },
    useNumberBg: {
        type: 'boolean',
        default: true
    },
    numberFontSize: {
        type: 'string',
        default: '14',
    },
    numberBgSize: {
        type: 'string',
        default: '5',
    },
    numberBg: {
        type: 'string',
        default: '#c2e5ff',
    },
    numberBgHover: {
        type: 'string',
        default: '',
    },
    numberCorner: {
        type: 'string',
        default: '50',
    },
    color: {
        type: 'string',
        default: '#333',
    },
    colorHover: {
        type: 'string',
        default: '',
    },
    spacing: {
        type: 'object',
        default: {
            md: 5, unit: 'px'
        },
    },
    backgroundSize: {
        type: 'object',
        default: {
            openPadding: 1,
            paddingType: 'global',
            global: {
                md: '10',
                unit: 'px'
            }
        },
    },
    background: {
        type: 'string',
        default: '#f5f5f5',
    },
    backgroundHover: {
        type: 'string',
        default: '',
    },
    borderRadius: {
        type: 'object',
        default: {
            openBorderRadius: 1,
            radiusType: 'global'
        },
    },
    titleBgColor: {
        type: 'string',
        default:'#30ac3d',
    },
    titleTextColor: {
        type: 'string',
        default:'#ffffff',
    },
    titlefontFamily: {
        type: 'string',
        default:'',
    },
    titlefontWeight: {
        type: 'string',
        default: '900',
    },
    titlefontSubset: {
        type: 'string',
        default: '',
    },
    titlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeDesktop: {
        type: 'number',
        default: '22',
    },
    titlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    titlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    titlelineHeight: {
        type: 'string',
        default: ''
    },
    titlelineHeightMobile: {
        type: 'string',
        default: ''
    },
    titlelineHeightTablet: {
        type: 'string',
        default: ''
    },
    titleletterSpacing: {
        type: 'number',
        default: ''
    },
    titleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    titleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    titleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    titletextTransform: {
        type: 'string',
        default: ''
    },
    titletextDecoration: {
        type: 'string',
        default: ''
    },
    titlefontStyle: {
        type: 'string',
        default: ''
    },
    // 
    listfontFamily: {
        type: 'string',
        default:'',
    },
    listfontWeight: {
        type: 'string',
        default: '',
    },
    listfontSubset: {
        type: 'string',
        default: '',
    },
    listfontSizeType: {
        type: 'string',
        default: 'px',
    },
    listfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    listfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    listfontSizeDesktop: {
        type: 'number',
        default: '',
    },
    listfontSizeMobile: {
        type: 'number',
        default: '',
    },
    listfontSizeTablet: {
        type: 'number',
        default: '',
    },
    listlineHeight: {
        type: 'number',
        default: ''
    },
    listlineHeightMobile: {
        type: 'number',
        default: ''
    },
    listlineHeightTablet: {
        type: 'number',
        default: ''
    },
    listletterSpacing: {
        type: 'number',
        default: ''
    },
    listletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    listletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    listletterSpacingType: {
        type: 'string',
        default: ''
    },
    listletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    listletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    listtextTransform: {
        type: 'string',
        default: ''
    },
    listtextDecoration: {
        type: 'string',
        default: ''
    },
    listfontStyle: {
        type: 'string',
        default: ''
    },
    listTextColor: {
        type: 'string',
        default: ''
    },
    propsBgColor: {
        type: 'string',
        default: ''
    },
    propsIconColor: {
        type: 'string',
        default: '#30ac3d'
    },
    propsTextColor: {
        type: 'string',
        default: '#000000'
    },
    consBgColor: {
        type: 'string',
        default: ''
    },
    consTextColor: {
        type: 'string',
        default: '#000000'
    },
    consIconColor: {
        type: 'string',
        default: '#ff1818'
    },
    consListColor: {
        type: 'string',
        default: '#000000'
    },
    propsListColor: {
        type: 'string',
        default: '#000000'
    },
    // CTA BUTTON
    btnLoadGoogleFonts:{
        type: 'boolean',
        default: false
	},
    btnBgColor: {
        type: 'string',
        default:'#F9CC29',
    },
    btnTextColor: {
        type: 'string',
        default:'#000000',
    },
    btnfontFamily: {
        type: 'string',
        default:'',
    },
    btnfontWeight: {
        type: 'string',
        default: '',
    },
    btnfontSubset: {
        type: 'string',
        default: '',
    },
    btnfontSizeType: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeDesktop: {
        type: 'number',
        default: '',
    },
    btnfontSizeMobile: {
        type: 'number',
        default: '',
    },
    btnfontSizeTablet: {
        type: 'number',
        default: '',
    },
    btnlineHeight: {
        type: 'string',
        default: ''
    },
    btnlineHeightMobile: {
        type: 'string',
        default: ''
    },
    btnlineHeightTablet: {
        type: 'string',
        default: ''
    },
    btnletterSpacing: {
        type: 'number',
        default: ''
    },
    btnletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    btnletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    btnletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    btntextTransform: {
        type: 'string',
        default: ''
    },
    btntextDecoration: {
        type: 'string',
        default: ''
    },
    btnfontStyle: {
        type: 'string',
        default: ''
	},
	btnBgColor:{
		type: 'string',
        default:'#F9CC29',
	},
	btnHoverBgColor:{
		type: 'string',
        default: '#00ffcc'
	},
	btnTextColor:{
		type: 'string',
        default: '#000000'
	},
	btnTextHoverColor:{
		type: 'string',
        default: '#000000'
	},
	btnBorderColor:{
		type: 'string',
        default: '#F9CC29'
    },
    btnBorderType:{
        type: 'string',
        default: ''
    },
	btnBorderHoverColor:{
		type: 'string',
        default: '#00ffcc'
    },
    spBtnText:{
        type: 'string',
        default: 'Buy Now'
    },
    spBtnHref:{
        type: 'string',
        default: ''
    },
    btnAlignment: {
        type: 'string',
    },
    btnAlignmentMobile: {
        type: 'string',
    },
    btnAlignmentTablet: {
        type: 'string',
    },
    btnPadding:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMargin:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorder:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadius:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    // progress
    progressText:{
        type: 'string',
        default: 'Great'
    },
    progressBgColor:{
        type: 'string',
        default: '#007bff'
    },
    minRate:{
        type: 'string',
        default: '9.5'
    },
    maxRate:{
        type: 'string',
        default: '10'
    },
    topPickMainTitle:{
        type: 'string',
        default: 'Main Title'
    },
    // Sub title
    subtitleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    subtitleColor:{
        type: 'string',
        default: '#000000'
    },
    subtitlefontFamily: {
        type: 'string',
        default:'',
    },
    subtitlefontWeight: {
        type: 'string',
        default: '900',
    },
    subtitlefontSubset: {
        type: 'string',
        default: '',
    },
    subtitlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeDesktop: {
        type: 'number',
        default: '20',
    },
    subtitlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    subtitlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    subtitlelineHeight: {
        type: 'number',
        default: ''
    },
    subtitlelineHeightMobile: {
        type: 'number',
        default: ''
    },
    subtitlelineHeightTablet: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacing: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    subtitleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    subtitleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    subtitletextTransform: {
        type: 'string',
        default: ''
    },
    subtitletextDecoration: {
        type: 'string',
        default: ''
    },
    subtitlefontStyle: {
        type: 'string',
        default: ''
    },
    titleTag1: {
        type: 'string',
        default: 'p'
    },
    titleTag2: {
        type: 'string',
        default: 'p'
    },
    btnRel: {
        type: 'string',
        default: 'nofollow'
    },
    subtitleTextColor: {
        type: 'string',
        default: ''
    },
    subtitleAlignment: {
        type: 'string',
        default: 'left',
    },
    subtitleAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    subtitleAlignmentTablet: {
        type: 'string',
        default: 'left',
    },
    // Progress
    progressHeight: {
        type: 'string',
        default: '15',
    },
    progressWidth: {
        type: 'string',
        default: '50',
    },
    progressLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    progressColor:{
        type: 'string',
        default: '#000000'
    },
    progressfontFamily: {
        type: 'string',
        default:'',
    },
    progressfontWeight: {
        type: 'string',
        default: '',
    },
    progressfontSubset: {
        type: 'string',
        default: '',
    },
    progressfontSizeType: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeDesktop: {
        type: 'number',
        default: '',
    },
    progressfontSizeMobile: {
        type: 'number',
        default: '',
    },
    progressfontSizeTablet: {
        type: 'number',
        default: '',
    },
    progresslineHeight: {
        type: 'number',
        default: ''
    },
    progresslineHeightMobile: {
        type: 'number',
        default: ''
    },
    progresslineHeightTablet: {
        type: 'number',
        default: ''
    },
    progressletterSpacing: {
        type: 'number',
        default: ''
    },
    progressletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    progressletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    progressletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    progressletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    progressletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    progresstextTransform: {
        type: 'string',
        default: ''
    },
    progresstextDecoration: {
        type: 'string',
        default: ''
    },
    progressfontStyle: {
        type: 'string',
        default: ''
    },
    progressTextColor: {
        type: 'string',
        default: ''
    },
    progressAlignment: {
        type: 'string',
        default: 'left',
    },
    progressAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    progressAlignmentTablet: {
        type: 'string',
        default: 'left',
    },
    rateSize:{
        type: 'string',
        default:'20',
    },
    rateColor:{
        type: 'string',
        default:'#000000',
    },
    enable_btn1:{
        type: 'boolean',
        default: true
    },
    bntRounded:{
        type: 'boolean',
        default: false
    },
    btnSize:{
        type: 'string',
        default:'small'
    },
    buttonWidth:{
        type: 'string',
        default:'full'
    },
    buttonIcon:{
        type: 'string',
        default:''
    },
    iconPosition:{
        type: 'string',
        default:'af-icon-is-left'
    },
    btn_Htarget:{
        type: 'boolean',
        default: false
    },


    enable_btn2:{
        type: 'boolean',
        default: false
    },
    btnLoadGoogleFonts2:{
        type: 'boolean',
        default: false
    },
    btnBgColor2: {
        type: 'string',
        default:'#F9CC29',
    },
    btnTextColor2: {
        type: 'string',
        default:'#000000',
    },
    btnfontFamily2: {
        type: 'string',
        default:'',
    },
    btnfontWeight2: {
        type: 'string',
        default: '',
    },
    btnfontSubset2: {
        type: 'string',
        default: '',
    },
    btnfontSizeType2: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeMobile2: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeTablet2: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeDesktop2: {
        type: 'number',
        default: '',
    },
    btnfontSizeMobile2: {
        type: 'number',
        default: '',
    },
    btnfontSizeTablet2: {
        type: 'number',
        default: '',
    },
    btnlineHeight2: {
        type: 'string',
        default: ''
    },
    btnlineHeightMobile2: {
        type: 'string',
        default: ''
    },
    btnlineHeightTablet2: {
        type: 'string',
        default: ''
    },
    btnletterSpacing2: {
        type: 'number',
        default: ''
    },
    btnletterSpacingMobile2: {
        type: 'number',
        default: ''
    },
    btnletterSpacingTablet2: {
        type: 'number',
        default: ''
    },
    btnletterSpacingType2: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeTablet2: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeMobile2: {
        type: 'string',
        default: 'px'
    },
    btntextTransform2: {
        type: 'string',
        default: ''
    },
    btntextDecoration2: {
        type: 'string',
        default: ''
    },
    btnfontStyle2: {
        type: 'string',
        default: ''
    },
    btnBgColor2:{
        type: 'string',
        default:'#F9CC29',
    },
    btnHoverBgColor2:{
        type: 'string',
        default: '#00ffcc'
    },
    btnTextColor2:{
        type: 'string',
        default: '#000000'
    },
    btnTextHoverColor2:{
        type: 'string',
        default: '#000000'
    },
    btnBorderColor2:{
        type: 'string',
        default: '#F9CC29'
    },
    btnBorderType2:{
        type: 'string',
        default: ''
    },
    btnBorderHoverColor2:{
        type: 'string',
        default: '#00ffcc'
    },
    spBtnText2:{
        type: 'string',
        default: 'Buy Now'
    },
    spBtnHref2:{
        type: 'string',
        default: ''
    },
    btnAlignment2: {
        type: 'string',
    },
    btnAlignmentMobile2: {
        type: 'string',
    },
    btnAlignmentTablet2: {
        type: 'string',
    },
    btnPadding2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingTablet2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingMobile2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMargin2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginTablet2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginMobile2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorder2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderMobile2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderTablet2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadius2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusMobile2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusTablet2:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnRel2: {
        type: 'string',
        default: 'nofollow'
    },
    bntRounded2:{
        type: 'boolean',
        default: false
    },
    btnSize2:{
        type: 'string',
        default:'small'
    },
    buttonWidth2:{
        type: 'string',
        default:'full'
    },
    buttonIcon2:{
        type: 'string',
        default:''
    },
    iconPosition2:{
        type: 'string',
        default:'af-icon-is-left'
    },
    btn_Htarget2:{
        type: 'boolean',
        default: false
    },



    enable_btn3:{
        type: 'boolean',
        default: false
    },
    btnLoadGoogleFonts3:{
        type: 'boolean',
        default: false
    },
    btnBgColor3: {
        type: 'string',
        default:'#F9CC29',
    },
    btnTextColor3: {
        type: 'string',
        default:'#000000',
    },
    btnfontFamily3: {
        type: 'string',
        default:'',
    },
    btnfontWeight3: {
        type: 'string',
        default: '',
    },
    btnfontSubset3: {
        type: 'string',
        default: '',
    },
    btnfontSizeType3: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeMobile3: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeTablet3: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeDesktop3: {
        type: 'number',
        default: '',
    },
    btnfontSizeMobile3: {
        type: 'number',
        default: '',
    },
    btnfontSizeTablet3: {
        type: 'number',
        default: '',
    },
    btnlineHeight3: {
        type: 'string',
        default: ''
    },
    btnlineHeightMobile3: {
        type: 'string',
        default: ''
    },
    btnlineHeightTablet3: {
        type: 'string',
        default: ''
    },
    btnletterSpacing3: {
        type: 'number',
        default: ''
    },
    btnletterSpacingMobile3: {
        type: 'number',
        default: ''
    },
    btnletterSpacingTablet3: {
        type: 'number',
        default: ''
    },
    btnletterSpacingType3: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeTablet3: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeMobile3: {
        type: 'string',
        default: 'px'
    },
    btntextTransform3: {
        type: 'string',
        default: ''
    },
    btntextDecoration3: {
        type: 'string',
        default: ''
    },
    btnfontStyle3: {
        type: 'string',
        default: ''
    },
    btnBgColor3:{
        type: 'string',
        default:'#F9CC29',
    },
    btnHoverBgColor3:{
        type: 'string',
        default: '#00ffcc'
    },
    btnTextColor3:{
        type: 'string',
        default: '#000000'
    },
    btnTextHoverColor3:{
        type: 'string',
        default: '#000000'
    },
    btnBorderColor3:{
        type: 'string',
        default: '#F9CC29'
    },
    btnBorderType3:{
        type: 'string',
        default: ''
    },
    btnBorderHoverColor3:{
        type: 'string',
        default: '#00ffcc'
    },
    spBtnText3:{
        type: 'string',
        default: 'Buy Now'
    },
    spBtnHref3:{
        type: 'string',
        default: ''
    },
    btnAlignment3: {
        type: 'string',
    },
    btnAlignmentMobile3: {
        type: 'string',
    },
    btnAlignmentTablet3: {
        type: 'string',
    },
    btnPadding3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingTablet3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingMobile3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMargin3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginTablet3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginMobile3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorder3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderMobile3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderTablet3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadius3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusMobile3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusTablet3:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnRel3: {
        type: 'string',
        default: 'nofollow'
    },
    bntRounded3:{
        type: 'boolean',
        default: false
    },
    btnSize3:{
        type: 'string',
        default:'small'
    },
    buttonWidth3:{
        type: 'string',
        default:'full'
    },
    buttonIcon3:{
        type: 'string',
        default:''
    },
    iconPosition3:{
        type: 'string',
        default:'af-icon-is-left'
    },
    btn_Htarget3:{
        type: 'boolean',
        default: false
    },

    externalImage:{
        type: 'boolean',
        default: false
    },
    externalImageSrc:{
        type: "string",
        default:'',
    },



    btnBg: {
        type: 'object',
        default: {
            openBg : true, 
            bgDefaultColor: '#ffc207',   
            bgGradient:{
                color1:'#35c9ff',
                color2:'#39f768',
            },         
        },
    },

    btnBgHover: {
        type: 'object',
        default: {
            openBg : true,              
            bgDefaultColor: '#00ffcc',
            bgGradient:{
                color1:'#aefa57',
                color2:'#f7da1e',
            },
        },
    },

    btnBg2: {
        type: 'object',
        default: {
            openBg : true, 
            bgDefaultColor: '#ffc207',   
            bgGradient:{
                color1:'#35c9ff',
                color2:'#39f768',
            },         
        },
    },

    btnBgHover2: {
        type: 'object',
        default: {
            openBg : true,              
            bgDefaultColor: '#00ffcc',
            bgGradient:{
                color1:'#aefa57',
                color2:'#f7da1e',
            },
        },
    },

    btnBg3: {
        type: 'object',
        default: {
            openBg : true, 
            bgDefaultColor: '#ffc207',   
            bgGradient:{
                color1:'#35c9ff',
                color2:'#39f768',
            },         
        },
    },

    btnBgHover3: {
        type: 'object',
        default: {
            openBg : true,              
            bgDefaultColor: '#00ffcc',
            bgGradient:{
                color1:'#aefa57',
                color2:'#f7da1e',
            },
        },
    },


    enableGlimmerEffect:{
        type: 'boolean',
        default: false
    },
    enableGlimmerEffect2:{
        type: 'boolean',
        default: false
    },
    enableGlimmerEffect3:{
        type: 'boolean',
        default: false
    },

}

export default attributes;