import './editor.scss';
import './style.scss';
import Edit from './Edit';
import Save from './Save';
import attributes from './attributes';
import icons from '../../icons/icons';
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

registerBlockType('affiliate-booster/ab-product-review', {
    title: __('AB Good-Bad Block'),
    description: __(''),
    category: 'affiliate-booster',
    icon: icons.goodbad,
    keywords: [
        __('AB Good-Bad Block'),
        __('AB Product Comparision'),
        __('AB Product Good-Bad Review')
    ],
    supports: {
    },
    example: {
        attributes: {
            background: '#fff'
        },
    },
    attributes,
    edit: Edit,
    save: Save,
});
