const { Component } = wp.element;
import classnames from "classnames"
const { RichText,InnerBlocks } = wp.blockEditor;
const NEW_TAB_REL = 'noopener noreferrer';
class Save extends Component {
    
    render() {
        const { attributes: { uniqueId,btnRel,className,titleTag1,titleTag2,ratingBarMainTitle,block_id, titlefontWeight, showRatings, inOut, progressText,showRatings1, inOut1, progressText1,showRatings2, inOut2, progressText2,showRatings3, inOut3, progressText3,showRatings4, inOut4, progressText4,
            showRatings5, inOut5, progressText5,
            showRatings6, inOut6, progressText6,
            showRatings7, inOut7, progressText7,
            showRatings8, inOut8, progressText8,
            showRatings9, inOut9, progressText9,
            ratingBarSubTitle,

            showTitle,
            showSubTitle,

     } } = this.props
                
        const Tag1  = titleTag1
        const Tag2  = titleTag2
        
        let ratingBarMainTitleSlug = ratingBarMainTitle.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");
        let ratingBarSubTitleSlug = ratingBarSubTitle.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");
        
        return (
            <div id={`affiliate-style-${block_id}`} className={`affiliate-block-${block_id}${className ? ` ${className}` : ''} affiliate-rb-wrapper`}>
                <div className={`affiliate-rb-inner`}>
                        <div className={`affiliate-rb-maintitle`}>
                        { showTitle && showTitle == true &&
                            <RichText.Content
                                tagName={Tag1}
                                value={ratingBarMainTitle}
                                className=""
                                id={ratingBarMainTitleSlug}
                            />     
                        }
                        </div>
                        <div className={`affiliate-rb-content-wrapper`}>
                        <div className={`affiliate-rb-content-inner`}>
                            
                            <div className={`affiliate-col`}>
                            { showSubTitle && showSubTitle == true &&
                                 <Tag2 className={`affiliate-ratingbar-sub-title`} id={ratingBarSubTitleSlug}> { ratingBarSubTitle } </Tag2>                                 
                             }
                            </div>
                            
                        </div>
                        <div className={`affiliate-rb-footer-wrapper`}>
                           
                                <div className={`affiliate-rb-progress`}>
                                { showRatings && showRatings == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut ? ` ${inOut}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress">
                                            <div class="affiliate-progress-bar" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>


                                <div className={`affiliate-rb-progress`}>
                                { showRatings1 && showRatings1 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut1 ? ` ${inOut1}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText1}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress1">
                                            <div class="affiliate-progress-bar1" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>


                                <div className={`affiliate-rb-progress`}>
                                { showRatings2 && showRatings2 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut2 ? ` ${inOut2}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText2}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress2">
                                            <div class="affiliate-progress-bar2" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>



                                <div className={`affiliate-rb-progress`}>
                                { showRatings3 && showRatings3 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut3 ? ` ${inOut3}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText3}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress3">
                                            <div class="affiliate-progress-bar3" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>


                                <div className={`affiliate-rb-progress`}>
                                { showRatings4 && showRatings4 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut4 ? ` ${inOut4}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText4}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress4">
                                            <div class="affiliate-progress-bar4" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>




                                <div className={`affiliate-rb-progress`}>
                                { showRatings5 && showRatings5 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut5 ? ` ${inOut5}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText5}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress5">
                                            <div class="affiliate-progress-bar5" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>

                                <div className={`affiliate-rb-progress`}>
                                { showRatings6 && showRatings6 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut6 ? ` ${inOut6}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText6}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress6">
                                            <div class="affiliate-progress-bar6" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>


                                <div className={`affiliate-rb-progress`}>
                                { showRatings7 && showRatings7 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut7 ? ` ${inOut7}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText7}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress7">
                                            <div class="affiliate-progress-bar7" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>


                                <div className={`affiliate-rb-progress`}>
                                { showRatings8 && showRatings8 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut8 ? ` ${inOut8}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText8}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress8">
                                            <div class="affiliate-progress-bar8" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>

                                <div className={`affiliate-rb-progress`}>
                                { showRatings9 && showRatings9 == true &&
                                    <div class="affiliate-block-progress-bar ">
                                        <div class="affiliate-block-progress-labels affiliate-position-outside">
                                            <div className={`affiliate-block-progress-bar-title ${inOut9 ? ` ${inOut9}` : ''} `}>
                                                <RichText.Content
                                                    tagName="span"
                                                    value={progressText9}
                                                    className="affiliate-progress-text"
                                                />
                                            </div>
                                        </div>
                                        <div class="affiliate-progress9">
                                            <div class="affiliate-progress-bar9" role="progressbar">
                                                <div class="affiliate-progress-striped">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                </div>



                                
                                </div>
                            </div>        
                        </div>
                     </div>
        );
    }
}

export default Save;