const attributes = {
    uniqueId: {
        type: 'string',
        default: ''
    },
    block_id: {
        type: 'string',
        default: ''
    },    
    boxShadow:{
        type: 'object',
        default: {
            openShadow: true,
            inset:'',
            horizontal: 0,
            vertical: 8,
            blur: 35,
            spread: 0,
            color:'rgba(0, 0, 0, 0.14)'
        }
    },
    
    titleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },    
    ratingBarSubTitle: {
        type: 'string',
        default: 'Product Sub Title'
    },
    recreateStyles: {
        type: 'boolean',
        default: true,
    },
    layout: {
        type: 'string',
        default: 'fill'
    },
    mainBgColor: {
        type: 'string',
        default:'#ffffff',
    },
    titleTextColor: {
        type: 'string',
        default:'#000000',
    },
    titlefontFamily: {
        type: 'string',
        default:'',
    },
    titlefontWeight: {
        type: 'string',
        default: '900',
    },
    titlefontSubset: {
        type: 'string',
        default: '',
    },
    titlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeDesktop: {
        type: 'number',
        default: '22',
    },
    titlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    titlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    titlelineHeight: {
        type: 'string',
        default: ''
    },
    titlelineHeightMobile: {
        type: 'string',
        default: ''
    },
    titlelineHeightTablet: {
        type: 'string',
        default: ''
    },
    titleletterSpacing: {
        type: 'number',
        default: ''
    },
    titleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    titleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    titleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    titletextTransform: {
        type: 'string',
        default: ''
    },
    titletextDecoration: {
        type: 'string',
        default: ''
    },
    titlefontStyle: {
        type: 'string',
        default: ''
    },
    // Sub title
    subtitleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    subtitleColor:{
        type: 'string',
        default: '#000000'
    },
    subtitlefontFamily: {
        type: 'string',
        default:'',
    },
    subtitlefontWeight: {
        type: 'string',
        default: '900',
    },
    subtitlefontSubset: {
        type: 'string',
        default: '',
    },
    subtitlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeDesktop: {
        type: 'number',
        default: '20',
    },
    subtitlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    subtitlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    subtitlelineHeight: {
        type: 'number',
        default: ''
    },
    subtitlelineHeightMobile: {
        type: 'number',
        default: ''
    },
    subtitlelineHeightTablet: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacing: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    subtitleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    subtitleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    subtitletextTransform: {
        type: 'string',
        default: ''
    },
    subtitletextDecoration: {
        type: 'string',
        default: ''
    },
    subtitlefontStyle: {
        type: 'string',
        default: ''
    },
    titleTag1: {
        type: 'string',
        default: 'h2'
    },
    titleTag2: {
        type: 'string',
        default: 'h3'
    },
    
    subtitleTextColor: {
        type: 'string',
        default: ''
    },
    subtitleAlignment: {
        type: 'string',
        default: 'left',
    },
    subtitleAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    subtitleAlignmentTablet: {
        type: 'string',
        default: 'left',
    },    
    subTitleTextColor: {
        type: 'string',
        default: '#000000'
    },
    
    // progress    
    ratingBarMainTitle:{
        type: 'string',
        default: 'Product Rating Bar'
    },
    
    // Progress
    progressLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    progressColor:{
        type: 'string',
        default: '#000000'
    },
    progressfontFamily: {
        type: 'string',
        default:'',
    },
    progressfontWeight: {
        type: 'string',
        default: '',
    },
    progressfontSubset: {
        type: 'string',
        default: '',
    },
    progressfontSizeType: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeDesktop: {
        type: 'number',
        default: '',
    },
    progressfontSizeMobile: {
        type: 'number',
        default: '',
    },
    progressfontSizeTablet: {
        type: 'number',
        default: '',
    },
    progresslineHeight: {
        type: 'number',
        default: ''
    },
    progresslineHeightMobile: {
        type: 'number',
        default: ''
    },
    progresslineHeightTablet: {
        type: 'number',
        default: ''
    },
    progressletterSpacing: {
        type: 'number',
        default: ''
    },
    progressletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    progressletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    progressletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    progressletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    progressletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    progresstextTransform: {
        type: 'string',
        default: ''
    },
    progresstextDecoration: {
        type: 'string',
        default: ''
    },
    progressfontStyle: {
        type: 'string',
        default: ''
    },
    progressTextColor: {
        type: 'string',
        default: ''
    },
    progressAlignment: {
        type: 'string',
        default: 'left',
    },
    progressAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    progressAlignmentTablet: {
        type: 'string',
        default: 'left',
    },
    
    progressText:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings:{
        type: 'boolean',
        default: true
    },
    inOut:{
        type: 'boolean',
        default: false
    },
    progressHeight: {
        type: 'string',
        default: '25',
    },
    progressWidth: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor:{
        type: 'string',
        default: '#30ac3d'
    },


    progressText1:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings1:{
        type: 'boolean',
        default: true
    },
    inOut1:{
        type: 'boolean',
        default: false
    },
    progressHeight1: {
        type: 'string',
        default: '25',
    },
    progressWidth1: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor1:{
        type: 'string',
        default: '#30ac3d'
    },


    progressText2:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings2:{
        type: 'boolean',
        default: true
    },
    inOut2:{
        type: 'boolean',
        default: false
    },
    progressHeight2: {
        type: 'string',
        default: '25',
    },
    progressWidth2: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor2:{
        type: 'string',
        default: '#30ac3d'
    },

    progressText3:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings3:{
        type: 'boolean',
        default: false
    },
    inOut3:{
        type: 'boolean',
        default: false
    },
    progressHeight3: {
        type: 'string',
        default: '25',
    },
    progressWidth3: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor3:{
        type: 'string',
        default: '#30ac3d'
    },

    progressText4:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings4:{
        type: 'boolean',
        default: false
    },
    inOut4:{
        type: 'boolean',
        default: false
    },
    progressHeight4: {
        type: 'string',
        default: '25',
    },
    progressWidth4: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor4:{
        type: 'string',
        default: '#30ac3d'
    },


    progressText5:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings5:{
        type: 'boolean',
        default: false
    },
    inOut5:{
        type: 'boolean',
        default: false
    },
    progressHeight5: {
        type: 'string',
        default: '25',
    },
    progressWidth5: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor5:{
        type: 'string',
        default: '#30ac3d'
    },


    progressText6:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings6:{
        type: 'boolean',
        default: false
    },
    inOut6:{
        type: 'boolean',
        default: false
    },
    progressHeight6: {
        type: 'string',
        default: '25',
    },
    progressWidth6: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor6:{
        type: 'string',
        default: '#30ac3d'
    },


    progressText7:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings7:{
        type: 'boolean',
        default: false
    },
    inOut7:{
        type: 'boolean',
        default: false
    },
    progressHeight7: {
        type: 'string',
        default: '25',
    },
    progressWidth7: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor7:{
        type: 'string',
        default: '#30ac3d'
    },

    progressText8:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings8:{
        type: 'boolean',
        default: false
    },
    inOut8:{
        type: 'boolean',
        default: false
    },
    progressHeight8: {
        type: 'string',
        default: '25',
    },
    progressWidth8: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor8:{
        type: 'string',
        default: '#30ac3d'
    },


    progressText9:{
        type: 'string',
        default: 'Item Title (2.5/5)'
    },
    showRatings9:{
        type: 'boolean',
        default: false
    },
    inOut9:{
        type: 'boolean',
        default: false
    },
    progressHeight9: {
        type: 'string',
        default: '25',
    },
    progressWidth9: {
        type: 'string',
        default: '2.5',
    },
    progressBgColor9:{
        type: 'string',
        default: '#30ac3d'
    },

    showTitle:{
        type: 'boolean',
        default: true
    },
    showSubTitle:{
        type: 'boolean',
        default: true
    },
}

export default attributes;