/**
 * Set inline styles.
 * @param  {object} props - The block object.
 * @return {object} The inline background type CSS.
 */

import affiliate_generateCSS from "./generateCSS"
import { cssGradient, cssBoxShadow,cssWithoutSelector,cssTextShadow, cssBackground } from '../components/cssHelper'
function affiliate_styling( props, id ) {

	const {
            uniqueId,
            block_id,
            titleLoadGoogleFonts,
            ratingBarSubTitle,
            className, 
            mainBgColor,
            titleTextColor,
            titlefontFamily,
            titlefontWeight,
            titlefontSubset,
            titlefontSizeType,
            titlefontSizeTypeMobile,
            titlefontSizeTypeTablet,
            titlefontSizeDesktop,
            titlefontSizeMobile,
            titlefontSizeTablet,
            titlelineHeight,
            titlelineHeightMobile,
            titlelineHeightTablet,
            titleletterSpacing,
            titleletterSpacingMobile,
            titleletterSpacingTablet,
            titleletterSpacingType,
            titleletterSpacingTypeTablet,
            titleletterSpacingTypeMobile,
            titletextTransform,
            titletextDecoration,
            titlefontStyle,            
            subTitleTextColor,
            // Sub Title
            subtitleLoadGoogleFonts,
            subtitleTextColor,
            subtitlefontFamily,
            subtitlefontWeight,
            subtitlefontSubset,
            subtitlefontSizeType,
            subtitlefontSizeTypeMobile,
            subtitlefontSizeTypeTablet,
            subtitlefontSizeDesktop,
            subtitlefontSizeMobile,
            subtitlefontSizeTablet,
            subtitlelineHeight,
            subtitlelineHeightMobile,
            subtitlelineHeightTablet,
            subtitleletterSpacing,
            subtitleletterSpacingMobile,
            subtitleletterSpacingTablet,
            subtitleletterSpacingType,
            subtitleletterSpacingTypeTablet,
            subtitleletterSpacingTypeMobile,
            subtitletextTransform,
            subtitletextDecoration,
            subtitlefontStyle,
            subtitleAlignment,
            subtitleAlignmentMobile,
            subtitleAlignmentTablet,
            ratingBarMainTitle,
            progressLoadGoogleFonts,
            progressColor,
            progressfontFamily,
            progressfontWeight,
            progressfontSubset,
            progressfontSizeType,
            progressfontSizeTypeMobile,
            progressfontSizeTypeTablet,
            progressfontSizeDesktop,
            progressfontSizeMobile,
            progressfontSizeTablet,
            progresslineHeight,
            progresslineHeightMobile,
            progresslineHeightTablet,
            progressletterSpacing,
            progressletterSpacingMobile,
            progressletterSpacingTablet,
            progressletterSpacingType,
            progressletterSpacingTypeTablet,
            progressletterSpacingTypeMobile,
            progresstextTransform,
            progresstextDecoration,
            progressfontStyle,
            progressTextColor,
            boxShadow,
            titleTag1,
            titleTag2,

            showRatings,
            inOut,
            progressBgColor,
            progressText,
            progressHeight,
            progressWidth,

            showRatings1,
            inOut1,
            progressBgColor1,
            progressText1,
            progressHeight1,
            progressWidth1,

            showRatings2,
            inOut2,
            progressBgColor2,
            progressText2,
            progressHeight2,
            progressWidth2,


            showRatings3,
            inOut3,
            progressBgColor3,
            progressText3,
            progressHeight3,
            progressWidth3,


            showRatings4,
            inOut4,
            progressBgColor4,
            progressText4,
            progressHeight4,
            progressWidth4,



            showRatings5,
            inOut5,
            progressBgColor5,
            progressText5,
            progressHeight5,
            progressWidth5,

            showRatings6,
            inOut6,
            progressBgColor6,
            progressText6,
            progressHeight6,
            progressWidth6,

            showRatings7,
            inOut7,
            progressBgColor7,
            progressText7,
            progressHeight7,
            progressWidth7,

            showRatings8,
            inOut8,
            progressBgColor8,
            progressText8,
            progressHeight8,
            progressWidth8,

            showRatings9,
            inOut9,
            progressBgColor9,
            progressText9,
            progressHeight9,
            progressWidth9,


      } = props.attributes
      
      const Tag1 = titleTag1
      const Tag2 = titleTag2

      var mobile_selectors = {}
      var tablet_selectors = {}
      var style = {}

      var progressWidthCal = (progressWidth*100)/5;
      var progressWidthCal1 = (progressWidth1*100)/5;
      var progressWidthCal2 = (progressWidth2*100)/5;
      var progressWidthCal3 = (progressWidth3*100)/5;
      var progressWidthCal4 = (progressWidth4*100)/5;

      var progressWidthCal5 = (progressWidth5*100)/5;
      var progressWidthCal6 = (progressWidth6*100)/5;
      var progressWidthCal7 = (progressWidth7*100)/5;
      var progressWidthCal8 = (progressWidth8*100)/5;
      var progressWidthCal9 = (progressWidth9*100)/5;

      // console.log(boxShadow)
        var selectors = {
            " .affiliate-rb-inner":{
                  "background":mainBgColor,            
                  "box-shadow":cssBoxShadow(boxShadow),
            },
            
            " .affiliate-progress-text":{
                  "font-family": progressfontFamily,
                  "font-size": progressfontSizeDesktop + progressfontSizeType,
                  "font-style":progressfontStyle,
                  "font-weight":progressfontWeight,
                  "letter-spacing":progressletterSpacing + progressletterSpacingType,
                  "line-height":progresslineHeight,
                  "text-decoration":progresstextDecoration,
                  "text-transform":progresstextTransform,
            },
            " .affiliate-rb-inner .affiliate-ratingbar-sub-title":{
                  "color": subTitleTextColor,
                  "font-family": subtitlefontFamily,
                  "font-size": subtitlefontSizeDesktop + subtitlefontSizeType,
                  "font-style":subtitlefontStyle,
                  "font-weight":subtitlefontWeight,
                  "letter-spacing":subtitleletterSpacing + subtitleletterSpacingType,
                  "line-height":subtitlelineHeight,
                  "text-decoration":subtitletextDecoration,
                  "text-transform":subtitletextTransform,
            },


            " .affiliate-progress-bar":{
                  "width": progressWidthCal + '%',
                  "height": progressHeight + 'px',
                  "background-color":progressBgColor
            },
            " .affiliate-progress":{
                  "height": progressHeight + 'px',
            },


            " .affiliate-progress-bar1":{
                  "width": progressWidthCal1 + '%',
                  "height": progressHeight1 + 'px',
                  "background-color":progressBgColor1
            },
            " .affiliate-progress1":{
                  "height": progressHeight1 + 'px',
            },


            " .affiliate-progress-bar2":{
                  "width": progressWidthCal2 + '%',
                  "height": progressHeight2 + 'px',
                  "background-color":progressBgColor2
            },
            " .affiliate-progress2":{
                  "height": progressHeight2 + 'px',
            },


            " .affiliate-progress-bar3":{
                  "width": progressWidthCal3 + '%',
                  "height": progressHeight3 + 'px',
                  "background-color":progressBgColor3
            },
            " .affiliate-progress3":{
                  "height": progressHeight3 + 'px',
            },


            " .affiliate-progress-bar4":{
                  "width": progressWidthCal4 + '%',
                  "height": progressHeight4 + 'px',
                  "background-color":progressBgColor4
            },
            " .affiliate-progress4":{
                  "height": progressHeight4 + 'px',
            },



            " .affiliate-progress-bar5":{
                  "width": progressWidthCal5 + '%',
                  "height": progressHeight5 + 'px',
                  "background-color":progressBgColor5
            },
            " .affiliate-progress5":{
                  "height": progressHeight5 + 'px',
            },

            " .affiliate-progress-bar6":{
                  "width": progressWidthCal6 + '%',
                  "height": progressHeight6 + 'px',
                  "background-color":progressBgColor6
            },
            " .affiliate-progress6":{
                  "height": progressHeight6 + 'px',
            },

            " .affiliate-progress-bar7":{
                  "width": progressWidthCal7 + '%',
                  "height": progressHeight7 + 'px',
                  "background-color":progressBgColor7
            },
            " .affiliate-progress7":{
                  "height": progressHeight7 + 'px',
            },

            " .affiliate-progress-bar8":{
                  "width": progressWidthCal8 + '%',
                  "height": progressHeight8 + 'px',
                  "background-color":progressBgColor8
            },
            " .affiliate-progress8":{
                  "height": progressHeight8 + 'px',
            },

            " .affiliate-progress-bar9":{
                  "width": progressWidthCal9 + '%',
                  "height": progressHeight9 + 'px',
                  "background-color":progressBgColor9
            },
            " .affiliate-progress9":{
                  "height": progressHeight9 + 'px',
            },


            
      }

      selectors[' .affiliate-rb-maintitle ' + Tag1] = {
            "font-family": titlefontFamily,
            "font-size": titlefontSizeDesktop + titlefontSizeType,
            "font-style":titlefontStyle,
            "font-weight":titlefontWeight,
            "letter-spacing":titleletterSpacing + titleletterSpacingType,
            "line-height":titlelineHeight,
            "text-decoration":titletextDecoration,
            "text-transform":titletextTransform,
            "color":titleTextColor,
      }, 
  
        tablet_selectors = {
       
        }

        mobile_selectors = {
       
        }



	var affiliate_styling_css = ""

	affiliate_styling_css = affiliate_generateCSS( selectors, `#${id}-${ props.clientId }` )

  affiliate_styling_css += affiliate_generateCSS( tablet_selectors, `#${id}-${ props.clientId }`, true, "tablet" )

  affiliate_styling_css += affiliate_generateCSS( mobile_selectors, `#${id}-${ props.clientId }`, true, "mobile" )

	return affiliate_styling_css
}

export default affiliate_styling
