import './editor.scss';
import './style.scss';
import Edit from './Edit';
import Save from './Save';
import attributes from './attributes';
import icons from '../../icons/icons';
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

registerBlockType('affiliate-booster/ab-tableof-content', {
    title: __('AB Table Of Content'),
    description: __(''),
    category: 'affiliate-booster',
    icon: icons.toc,
    keywords: [
        __('Table Of Content Block'),
        __('Showcase Table of Conetent'),
        __('Niche Table Of Content'),
    ],
    example: {
        attributes: {
            background: '#fff'
        },
    },
    attributes,
    edit: Edit,
    save: Save,
});
