<?php 
/**
 * AFFILIATE BOOSTER WELCOME PAGE.
 *
 * @package AFFILIATE
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if(isset($_POST['save_amazon']) && $_POST['save_amazon'] == 'yes'){   
	update_option( 'ab_amazon_api_key', $_POST['ab_amazon_api_key'] );
	if(isset($_POST['ab_amazon_api_secret'])){
		update_option( 'ab_amazon_api_secret', $_POST['ab_amazon_api_secret'] );
	}
	update_option( 'ab_amazon_country', $_POST['ab_amazon_country'] );
	update_option( 'ab_amazon_api_tracking_id', $_POST['ab_amazon_api_tracking_id'] );
}
?>  
<div class="gutenberg-free-container">
	<div class="top-banner-block" style="background-image: url('<?php echo AFB_URL.'/assets/images/top-banner-blog.png'; ?>');">
		<img src="<?php echo AFB_URL.'/assets/images/logo.png'; ?>" alt="Affiliate Booster">		
	</div>
	<div class="tab-block" style="margin-top: 0px;">
		<ul class="custon-tab-list" style="background: #002c51;margin: 0;padding-left: 46px;">
			<li class="custon-tab-li">
				<a class="custon-tab-link tab active" data-id="home" href="javascript:;">Affiliate Booster</a>
			</li>	
			<li class="custon-tab-li">
				<a class="custon-tab-link tab" data-id="home" href="options-general.php?page=affiliate_booster_blocks">Enable/Disable Blocks</a>
			</li>		
			<li class="custon-tab-li">
				<a class="custon-tab-link tab" data-id="menu1" href="javascript:;">How to use this plugin</a>
			</li>
			<li class="custon-tab-li">
				<a class="custon-tab-link tab" data-id="themetab" href="javascript:;">Affiliate Booster Theme</a>
			</li>
			<!-- <li class="custon-tab-li">
				<a class="custon-tab-link tab" data-id="ab_amazon" href="javascript:;">Amazon Product Advertising API</a>
			</li> -->
		</ul>
		<div class="custom-tab-content">
			<div class="custom-tab-pane custom-container tab-active" data-id="home">
				<div class="custom-row">
					<div class="custom-col-md-8">
						<div class="white-brdr-box left-side-content">
							<h3>Welcome to Affiliate Booster</h3>
							<p>Welcome to Affiliate Booster Plugin. This plugin has been developed to help affiliates to add pre-made designs in their blog posts to increase CTR and ultimately get more sales. Enjoy our 6 free blocks and check our premium plugin if you want to add more designs in your blog posts.</p>
						</div>
 
						<div class="white-brdr-box left-side-content">
							<?php 
							global $status;
							$license = get_option( 'affbooster_plugin_license_key' );
							$status  = get_option( 'affbooster_license_status' );
							?>
							<div id="acera-content1" class="affiliate-activation-wrapper1 tab-content1" style="display: block;">
								<h2><?php _e('Affiliate Booster Plugin License Key',AFB_DOMAIN); ?></h2>
								<!-- <h4><?php _e('How to Activate License Key.','affiliatebooster')?></h4>
								<ul>	
									<li><?php _e('<strong>Step 1:</strong> Enter your license key.','affiliatebooster')?></li>
									<li><?php _e('<strong>Step 2:</strong> Click on save changes button.','affiliatebooster')?></li>
									<li><?php _e('<strong>Step 3:</strong> Click on Activate license button.','affiliatebooster')?></li>
								</ul>  -->
								<table class="form-table">
									<tbody>
										 
										<tr valign="top">
											<th scope="row" valign="top">
												<?php _e('License Key',AFB_DOMAIN); ?>
											</th>
											<td>
												<?php  
												if(isset($license) && $license != ''){
													$license_length = strlen($license);
													$license_output = substr_replace($license, str_repeat('X', $license_length - 4), 0, $license_length - 4);
												}else{
													$license_output = '';
												}													
												esc_attr_e( $license_output );
												?>													  
												<?php if($license != '' ){ 
													if($status == 'valid') { ?>
													<!-- <span style="color:green;"><?php _e('Active',AFB_DOMAIN); ?></span>  -->
												<?php } else { ?>
													<span style="color:red;"><?php _e('Inactive',AFB_DOMAIN); ?></span>
												<?php } }else{ ?> 									
													<span style="color:red;"><?php _e('Please activate your copy of the Affiliate Booster Plugin to get update notifications, access to support features & other resources!',AFB_DOMAIN); ?></span>
												<?php } ?>
											</td>
										</tr> 											 
									</tbody>
								</table>
								<?php if(isset($license) && $license == ''){ ?>
									<form action="<?php echo EDD_SL_STORE_URL ?>auth/" method="get">
										<input type="hidden" name="dmverify" value="<?php echo base64_encode(get_site_url()) ?>"> 
										<input class="grdiant-btn" style="border:0px; cursor: pointer;" type="submit" name="active" value="Connect Your Account">
									</form>
								<?php }else{ ?>
									<form action="" method="POST">

										<?php wp_nonce_field( 'affiliate_post_nonce', 'affiliate_post_nonce' ); ?>
										<input type="submit" class="grdiant-btn" style="border:0px; cursor: pointer;"  name="affiliate_license_activate" value="<?php _e('Deactivate License',AFB_DOMAIN); ?>"/>
										<input type="hidden" name="affiliate_license_status" value="deactive"/>
 
									</form>
								<?php } ?>
							</div>	
						</div>		

					</div>
					<div class="custom-col-md-4">
						<div class="white-brdr-box right-side-content">
							<h3>Affiliate Booster Support</h3>
							<p>25+ Pre-Made Gutenberg Blocks for Affiliates</p>							
							<a href="https://www.affiliatebooster.com/support/" class="grdiant-btn" target="_blank">Get Support</a>							
						</div>

						<div class="white-brdr-box right-side-content">
							<h3>Affiliate Booster Knowledge Base</h3>
							<p>25+ Pre-Made Gutenberg Blocks for Affiliates</p>
							<a href="https://help.affiliatebooster.com/" class="grdiant-btn" target="_blank">Knowledge Base</a>							
						</div>

						<div class="white-brdr-box right-side-content">
							<h3>Affiliate Booster Theme</h3>
							<p>Get our FREE WordPress theme that's beautiful & flexible, and made especially for Affiliate Booster blocks and the new WordPress editor.</p>
							<a href="https://www.affiliatebooster.com/affiliate-booster-theme/" class="grdiant-btn" target="_blank">Get Affiliate Booster Theme</a> 
						</div>
					</div>
				</div>
			</div>
			
			<div class="custom-tab-pane custom-container" data-id="menu1">
				<div class="custom-row">
					<div class="custom-col-md-12">
						<div class="white-brdr-box left-side-content">
							<h3>How to use this plugin</h3>
							<p>Note: This is a Gutenberg plugin so this is going to work only and only if you are using Gutenberg editor. This would not work with Classic Editor.</p>
							<p><strong>Step 1:</strong> Add a new post/page or open any existing post/page.</p>
							<p><strong>Step 2:</strong> Click on the + button inside your Gutenberg editor to add new blocks.</p>
							<p><strong>Step 3:</strong> Find Affiliate Booster Blocks and pick your desired block in your post/page.</p>
							<p><strong>Step 4:</strong> Add the block and check settings at the right sidebar.</p>
							<p><strong>Step 5:</strong> Edit the block as per your needs.</p>
							<p>and Done.</p>
						</div>						
					</div>
				</div>
			</div>

			<div class="custom-tab-pane custom-container" data-id="themetab">
				<div class="custom-row">
					<div class="custom-col-md-12">
						<div class="white-brdr-box left-side-content">
							<img src="<?php echo AFB_URL.'/assets/images/themeimg.jpg'; ?>" alt="Affiliate Booster Theme" style="width:100%;">
							<a href="https://www.affiliatebooster.com/freetheme" class="grdiant-btn" target="_blank" style="width: 300px">Download FREE Version</a>
						</div>
					</div>
				</div>
			</div>
			<!-- <div class="custom-tab-pane custom-container" data-id="ab_amazon">
				<div class="custom-row">
					<div class="custom-col-md-8">
						<div class="white-brdr-box left-side-content">
							<?php  
							$ab_amazon_api_key = get_option( 'ab_amazon_api_key' );
							$ab_amazon_api_secret  = get_option( 'ab_amazon_api_secret' );
							$ab_amazon_country  = get_option( 'ab_amazon_country' );
							$ab_amazon_api_tracking_id  = get_option( 'ab_amazon_api_tracking_id' );
							?>
							<div id="acera-content1" class="affiliate-activation-wrapper1 tab-content1" style="display: block;">
								<h2><?php _e('Amazon Product Advertising API',AFB_DOMAIN); ?></h2>
								<p>
					                In order to use this plugin you have to register as an Amazon Associate, signup for using the Amazon Product Advertising API and receiving your personal API credentials. Please take a look into the documentation in case you need any assistance.            
					            </p>
					            <p>
					                <strong>Related links:</strong>&nbsp;
					                                    <a href="https://affiliate-program.amazon.com/" title="Amazon Associates" target="_blank">Amazon Associates</a>
					                    &nbsp;|&nbsp;
					                    <a href="https://affiliate-program.amazon.com/gp/flex/advertising/api/sign-in.html" title="Amazon Product Advertising API" target="_blank">Amazon Product Advertising API</a>
					                    &nbsp;|&nbsp;
					                                <a href="https://getaawp.com/amazon-api-key-checker/" target="_blank" rel="nofollow">API Key Validator</a>
					            </p>
					            <p>
					                <strong>Documentation:</strong>&nbsp;
					                <a href="https://www.affiliatebooster.com/amazon-product-advertising-api/" target="_blank" rel="nofollow">Creating API Keys</a>,&nbsp;
					                <a href="https://www.affiliatebooster.com/request-throttled-error/" target="_blank" rel="nofollow">“RequestThrottled” and how to fix it?</a>,&nbsp;
					                <a href="https://www.affiliatebooster.com/amazon-product-advertising-api-v5/" target="_blank" rel="nofollow">Amazon API v5 Migration</a>
					            </p>
								 
								<form method="post" action="admin.php?page=affiliate_booster"> 
									<table class="form-table">
										<tbody>
											<tr valign="top">
												<th scope="row" valign="top">
													<?php _e('API Key',AFB_DOMAIN); ?>
												</th>
												<td>
													<input id="ab_amazon_api_key" placeholder="<?php _e('Enter your amazon api key');?>" name="ab_amazon_api_key" type="text" class="regular-text" value="<?php esc_attr_e( $ab_amazon_api_key ); ?>" />
												</td>
											</tr>
											<tr valign="top">
												<th scope="row" valign="top">
													<?php _e('API Secret',AFB_DOMAIN); ?>
												</th>
												<td>
													<?php 
													//echo $license;
													if(isset($ab_amazon_api_secret) && $ab_amazon_api_secret != ''){
														$ab_amazon_api_secret_length = strlen($ab_amazon_api_secret);
														$ab_amazon_api_secret_output = substr_replace($ab_amazon_api_secret, str_repeat('X', $ab_amazon_api_secret_length - 4), 0, $ab_amazon_api_secret_length - 4);
													}else{
														$ab_amazon_api_secret_output = '';
													}

													if($ab_amazon_api_secret_output != ''){ ?>
														<input id="ab_amazon_api_secret" placeholder="<?php _e('Enter your amazon api secret');?>" name="ab_amazon_api_secret" type="text" class="regular-text" value="<?php esc_attr_e( $ab_amazon_api_secret_output ); ?>" readonly disabled /> <a href="javascript:;" onclick="resetfield()">Reset</a>
													<?php }else{ ?>
														<input id="ab_amazon_api_secret" placeholder="<?php _e('Enter your amazon api secret');?>" name="ab_amazon_api_secret" type="text" class="regular-text" value="<?php esc_attr_e( $ab_amazon_api_secret_output ); ?>" />
													<?php } ?>
												</td>
											</tr>
											<tr valign="top">
												<th scope="row" valign="top">
													<?php _e('Country',AFB_DOMAIN); ?>
												</th>
												<td>
													<select id="ab_amazon_country" name="ab_amazon_country">
														<option value="">Select Country</option>
					                                    <option value="ae" <?php if($ab_amazon_country == 'ae'){ ?> selected="selected" <?php } ?>>amazon.ae</option>
					                                    <option value="ca" <?php if($ab_amazon_country == 'ca'){ ?> selected="selected" <?php } ?>>amazon.ca</option>
					                                    <option value="cn" <?php if($ab_amazon_country == 'cn'){ ?> selected="selected" <?php } ?>>amazon.cn</option>
					                                    <option value="co.jp" <?php if($ab_amazon_country == 'co.jp'){ ?> selected="selected" <?php } ?>>amazon.co.jp</option>
					                                    <option value="co.uk" <?php if($ab_amazon_country == 'co.uk'){ ?> selected="selected" <?php } ?>>amazon.co.uk</option>
					                                    <option value="com" <?php if($ab_amazon_country == 'com'){ ?> selected="selected" <?php } ?>>amazon.com</option>
					                                    <option value="com.au" <?php if($ab_amazon_country == 'com.au'){ ?> selected="selected" <?php } ?>>amazon.com.au</option>
					                                    <option value="com.br" <?php if($ab_amazon_country == 'com.br'){ ?> selected="selected" <?php } ?>>amazon.com.br</option>
					                                    <option value="com.mx" <?php if($ab_amazon_country == 'com.mx'){ ?> selected="selected" <?php } ?>>amazon.com.mx</option>
					                                    <option value="com.tr" <?php if($ab_amazon_country == 'com.tr'){ ?> selected="selected" <?php } ?>>amazon.com.tr</option>
					                                    <option value="de" <?php if($ab_amazon_country == 'de'){ ?> selected="selected" <?php } ?>>amazon.de</option>
					                                    <option value="es" <?php if($ab_amazon_country == 'es'){ ?> selected="selected" <?php } ?>>amazon.es</option>
					                                    <option value="fr" <?php if($ab_amazon_country == 'fr'){ ?> selected="selected" <?php } ?>>amazon.fr</option>
					                                    <option value="in" <?php if($ab_amazon_country == 'in'){ ?> selected="selected" <?php } ?>>amazon.in</option>
					                                    <option value="it" <?php if($ab_amazon_country == 'it'){ ?> selected="selected" <?php } ?>>amazon.it</option>
					                                    <option value="nl" <?php if($ab_amazon_country == 'nl'){ ?> selected="selected" <?php } ?>>amazon.nl</option>
					                                    <option value="sa" <?php if($ab_amazon_country == 'sa'){ ?> selected="selected" <?php } ?>>amazon.sa</option>
					                                    <option value="se" <?php if($ab_amazon_country == 'se'){ ?> selected="selected" <?php } ?>>amazon.se</option>
					                                    <option value="sg" <?php if($ab_amazon_country == 'sg'){ ?> selected="selected" <?php } ?>>amazon.sg</option>
						                            </select>
												</td>
											</tr>
											<tr valign="top">
												<th scope="row" valign="top">
													<?php _e('Tracking ID',AFB_DOMAIN); ?>
												</th>
												<td>
													<input id="ab_amazon_api_tracking_id" placeholder="<?php _e('Enter your amazon tracking id');?>" name="ab_amazon_api_tracking_id" type="text" class="regular-text" value="<?php esc_attr_e( $ab_amazon_api_tracking_id ); ?>" />
												</td>
											</tr> 
										</tbody>
									</table>
									<input type="hidden" name="save_amazon" value="yes">
									<?php submit_button(); ?>
								</form>
							</div>	
						</div>
						
					</div>
					<div class="custom-col-md-4">

						<div class="white-brdr-box right-side-content"> 
							<h3>How to use amazon product shortcode</h3>
							<p style="margin-bottom: 0"><strong>Show Image Shortcode : </strong><br>[AB_AMAZON_IMAGE ASIN=B01DFKC2SO]</p>
							<p><strong>Show Price Shortcode : </strong>
								<br>[AB_AMAZON_PRICE ASIN=B01DFKC2SO]</p>
							<p><strong>Show Rating Shortcode : </strong><br>[AB_AMAZON_RATING ASIN=B01DFKC2SO]</p>
						</div>
					</div>
				</div>
			</div> -->
		</div>
	</div>
</div>
<script>
	jQuery('.custon-tab-link.tab').click(function(){  
    	jQuery(".custom-tab-pane").removeClass('tab-active');
      	jQuery(".custom-tab-pane[data-id='"+jQuery(this).attr('data-id')+"']").addClass("tab-active");
      	jQuery(".custon-tab-link").removeClass('active');
      	jQuery(this).parent().find(".custon-tab-link").addClass('active');
    });
	function resetfield(){
		jQuery('#ab_amazon_api_secret').val('');
		jQuery('#ab_amazon_api_secret').removeAttr('readonly');
		jQuery('#ab_amazon_api_secret').removeAttr('disabled');		
	}    
</script>

