<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Affiliate_Booster
 */
$main_width = get_theme_mod( 'aff_booster_container', '1350' );
$sidebar_width = get_theme_mod( 'sidebar_custom_width_settings', '400' );
$content_width = $main_width - $sidebar_width - 2;

get_header();

?>
<?php $image = get_theme_mod( '404_img_settings', '' ); 
$image_width = get_theme_mod('404_image_width_slider_settings','');
if (class_exists('Kirki')) {
	if($image == ''){
		$image = get_template_directory_uri(). '/images/404.png';
	}
}else{
	$image = get_template_directory_uri(). '/images/404.png';
	$image_width = '500';
}

?>

<main id="content" class="container-fluid aff-site-content" style="max-width: <?php echo $main_width.'px'; ?>">
	<div class="row">
		<div class="col-md-12 img_404">
			<img src="<?php echo esc_url( $image ); ?>" style="width: <?php echo $image_width.'px'; ?>">
			<p class="oops">Ooops!!</p>
			<p class="cl_unavailable">That page doesn't exist or is unavailable.</p>
			<a class="btn_404" href="<?php echo esc_url(home_url()); ?>">Back to home</a>
		</div>
	</div>
</main>

<?php
get_footer();
