<?php 
$container_option = get_theme_mod('aff_container_dropdown_settings', 'full'); 
$main_width = get_theme_mod( 'aff_booster_container', '1350' );
?>
<style>
	<?php if($container_option == 'contained'): ?>
		.container-fluid.top-header-parent{width: <?php echo $main_width.'px'; ?>;margin: 0 auto;padding: 0;}
		div.row.top-header-inner{padding: 0 15px !important;}
		.aff-header-wrapper {width: <?php echo $main_width.'px'; ?>; padding: 0; margin: 0 auto;}
		.aff-header-bottom.aff-head1-bottom{width: <?php echo $main_width.'px'; ?>; margin: 0 auto;}
		.aff-header-bottom.aff-head1-bottom .aff-site-content .row {padding: 0 0px; width: <?php echo $main_width.'px'; ?>; margin: 0 auto;}
		li.aff-action-search {padding-right: 5px;}
		@media only screen and (max-width: 991px){
			.container-fluid.top-header-parent, .aff-header-wrapper, .aff-header-bottom.aff-head1-bottom{width: 100% !important;}
			div.row.top-header-inner{width: 100% !important; padding: 0 15px !important;}
			.aff-header-1 {width: 100% !important; padding: 0 15px !important;}
		}
	<?php endif; ?>
	.aff-header-5 .aff-header-bottom.aff-head1-bottom ul.aff-actions.aff-menu li.aff-action-search span {top: 0;}
	.aff-header-bottom.aff-head1-bottom .aff-site-content {max-width: 100% !important;}
	.aff-header-bottom.aff-head1-bottom .aff-slot-l .aff-menu>li:first-child {margin-left: 0;}
	.aff-header-bottom.aff-head1-bottom  .aff-slot-c {display: flex;}
	.aff-header-middle {width: <?php echo $main_width.'px'; ?>; padding: 0;}
	ul#menu-footer li > a {padding-left: 0;}
	.aff-header-bottom.aff-head1-bottom .aff-site-content .row {padding: 0; width: <?php echo $main_width.'px'; ?>; margin: 0 auto;}
	ul#menu-footer-1 li a:first-child {padding-left: 0 !important;}
	ul#menu-footer-1 li ul.sub-menu a {padding-left: 10px !important;}
	@media only screen and (max-width: 991px){
		div.row.top-header-inner{width: 100% !important; padding: 0 15px !important;}
		.aff-header-1 {width: 100% !important; padding: 0 15px !important;}
		.aff-header-middle {width: 100% !important; padding: 0 15px;}
	}
	@media only screen and (max-width: 1024px) {
		.aff-header-bottom.aff-head1-bottom .aff-site-content .row {padding: 0;}
		.aff-header-5 .aff-header-bottom{padding-right: 10px;}
		.aff-header-5 .aff-header-bottom .aff-slot-l {display: none;}
		.aff-header-5 .aff-header-bottom ul.aff-actions.aff-menu {justify-content: space-between;display: flex;}
		.aff-header-5 .aff-header-bottom li.aff-actions-button.toggle_menu { width: 100%;display: flex;justify-content: left;}
		.aff-header-5 .aff-header-bottom span.aff-sidebar-action.bars {width: auto;}
	}
</style>
<div class="aff-header-5">
<?php 	if ( has_nav_menu( 'above-header-menu' ) || get_theme_mod( 'social_icon_show_hide_setting', '' ) == '1' ) { ?>
			<?php $menu_pos =  get_theme_mod('aff_widget_header_menu_position', 'left'); ?>
					<style>
						a.social_icons {font-size: <?php echo esc_attr( get_theme_mod( 'social_icon_font_size', '25' ).'px' ); ?>;}
						div.row.top-header-inner{align-items: center;width: <?php echo $main_width.'px'; ?>; margin: 0 auto;padding: 0}
						.head_pos_right, .social_pos_left {text-align: right; padding-right:0;}
						.head_pos_left, .social_pos_right {text-align: left; padding-left: 0;}
						@media only screen and (max-width:1024px){
							.above-header-mobile-menu i {float: none !important;}
						}
						@media (min-width: 768px) and (max-width: 1024px){
							a.social_icons {font-size: 20px;}
						}
						@media only screen and (max-width:575px){
							.social_pos_left {text-align: center;}
							.above-header-mobile-menu {display: flex;justify-content: center;}
						}
						@media only screen and (max-width:500px){
							div.top-header-parent .above-header-mobile-menu {text-align: center;}
							a.social_icons {font-size: 18px;}
							.head_pos_right, .social_pos_left {text-align: center;}
						}
					</style>
					<div class="container-fluid top-header-parent">
						<div class="row top-header-inner">
							<?php 
							if ($menu_pos == 'left') { ?>
								<div class="col-md-8 col-sm-8  <?php echo 'head_pos_'.$menu_pos; ?>">
									<?php if(has_nav_menu( 'above-header-menu' )): ?>
									<div class="above-header-menu">
										<!-- <div class="container-fluid aff-site-content"> -->
											<?php wp_nav_menu( array( 'theme_location' => 'above-header-menu', 'menu_class' => 'aff-main-nav aff-menu', ) ); ?>
										<!-- </div> -->
									</div>
								<?php endif; ?>
								</div>
								<div class="col-md-4 col-sm-4  social-main <?php echo 'social_pos_'.$menu_pos; ?>">
									<p class="font-social">
										<?php if(get_theme_mod( 'social_icon_show_hide_setting', '' ) != 0): ?>
											<?php if(get_theme_mod( 'above_header_fb_link', '') != '' ): ?>
												<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_fb_link', '')); ?>"><i class="fab fa-facebook-f"></i></a>
											<?php endif; ?>

											<?php if(get_theme_mod( 'above_header_twitter_link', '') != '' ): ?>
												<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_twitter_link', '')); ?>"><i class="fab fa-twitter"></i></a>
											<?php endif; ?>

											<?php if(get_theme_mod( 'above_header_ins_link', '') != '' ): ?>
												<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_ins_link', '')); ?>"><i class="fab fa-instagram"></i></a>
											<?php endif; ?>

											<?php if(get_theme_mod( 'above_header_linkedin_link', '') != '' ): ?>
												<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_linkedin_link', '')); ?>"><i class="fab fa-linkedin-in"></i></a>
											<?php endif; ?>

											<?php if(get_theme_mod( 'above_header_pin_link', '') != '' ): ?>
												<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_pin_link', '')); ?>"><i class="fab fa-pinterest-p"></i></a>
											<?php endif; ?>

											<?php if(get_theme_mod( 'above_header_youtube_link', '') != '' ): ?>
												<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_youtube_link', '')); ?>"><i class="fab fa-youtube"></i></a>
											<?php endif; ?>
										<?php endif; ?>
									</p>
								</div>
							<?php }else{ ?>
									<div class="col-md-4 col-sm-4 col-8 social-main <?php echo 'social_pos_'.$menu_pos; ?>">
										<p class="font-social">
											<?php if(get_theme_mod( 'social_icon_show_hide_setting', '' ) != 0): ?>
												<?php if(get_theme_mod( 'above_header_fb_link', '') != '' ): ?>
													<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_fb_link', '')); ?>"><i class="fab fa-facebook-f"></i></a>
												<?php endif; ?>

												<?php if(get_theme_mod( 'above_header_twitter_link', '') != '' ): ?>
													<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_twitter_link', '')); ?>"><i class="fab fa-twitter"></i></a>
												<?php endif; ?>

												<?php if(get_theme_mod( 'above_header_ins_link', '') != '' ): ?>
													<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_ins_link', '')); ?>"><i class="fab fa-instagram"></i></a>
												<?php endif; ?>

												<?php if(get_theme_mod( 'above_header_linkedin_link', '') != '' ): ?>
													<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_linkedin_link', '')); ?>"><i class="fab fa-linkedin-in"></i></a>
												<?php endif; ?>

												<?php if(get_theme_mod( 'above_header_pin_link', '') != '' ): ?>
													<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_pin_link', '')); ?>"><i class="fab fa-pinterest-p"></i></a>
												<?php endif; ?>

												<?php if(get_theme_mod( 'above_header_youtube_link', '') != '' ): ?>
													<a class="social_icons" target="blank" href="<?php echo esc_url(get_theme_mod( 'above_header_youtube_link', '')); ?>"><i class="fab fa-youtube"></i></a>
												<?php endif; ?>
											<?php endif; ?>
										</p>
									</div>
									<div class="col-md-8 col-sm-8 col-4 <?php echo 'head_pos_'.$menu_pos; ?>">
										<?php if(has_nav_menu( 'above-header-menu' )): ?>
										<div class="above-header-menu">
											<!-- <div class="container-fluid aff-site-content"> -->
												<?php wp_nav_menu( array( 'theme_location' => 'above-header-menu', 'menu_class' => 'aff-main-nav aff-menu', ) ); ?>
											<!-- </div> -->
										</div>
									<?php endif; ?>
									</div>
							<?php }?>
							
						</div>
					</div>
				<!-- </div> -->
<?php } ?>
	<div class="aff-header-wrapper">
		<div class="aff-header-middle container-fluid aff-site-content">
	
			<div class="aff-slot-l banner">
				<div class="aff-site-branding  ">
					<span class="site-title h2">
					<?php echo custom_logo(); ?>
					</span>
				</div>
			</div>
			<div class="aff-slot-r">
			<ul class="aff-ad clickable" onclick="location.href='#';">
				<?php 
				if ( is_active_sidebar( 'header-banner' ) ) { 
						dynamic_sidebar( 'header-banner' );
					}  ?>
			</ul>
			</div>
		</div>
	</div>
	<?php if ( has_nav_menu('header-menu') ) { ?>
<div class="aff-header-bottom aff-head1-bottom">
	<div class="container-fluid aff-site-content">
		<div class="row">
			<div class="aff-slot-c">
				<!-- <div class="container-fluid aff-site-content"> -->
			
				<?php wp_nav_menu(
					array(
					'theme_location' => 'header-menu',
					'container_class' => 'aff-slot-l',
					'items_wrap' => '<nav class="aff-main-navigation" itemtype="https://schema.org/SiteNavigationElement" itemscope><ul id="%1$s" class="%2$s">%3$s</ul></nav>',
					'menu_class' => 'aff-main-nav aff-menu',
					'menu' => 'menu-aff-main'
					)
				);
			?>
				<div class="aff-slot-r">
					<?php get_template_part('headers/elements/search-form'); ?>
				</div>
			<!-- </div> -->
			</div>
		</div><!-- .row -->
	</div>
</div>
<?php } ?>
</div>