<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Affiliate_Booster
 */
$main_width = get_theme_mod( 'aff_booster_container', '1350' );
$layout = get_theme_mod('homepage_layout', '');  
$mycls = '';
if ($layout == '12') {
	$mycls = 'last_lay_12';
}
?>
<?php get_header(); ?>

	<main id="content" class="<?php echo $mycls; ?> container-fluid aff-site-content" style="max-width: <?php echo $main_width.'px'; ?>;">
		<div class="row">
        <?php
				$pagelayout = get_theme_mod('homepage_layout');
				if(empty($pagelayout)){ $pagelayout = 1; }
				get_template_part( 'templates/homepage/layout'.$pagelayout);
			?>
		</div>
	</main>

<?php get_footer(); ?>