<?php
function aff_booster_widgets() {
	/*Main Sidebar */
		register_sidebar( array(
        'name'          => __( 'Main Sidebar', 'affiliatebooster' ),
        'id'            => 'left-sidebar',
        'description'   => __( 'Widgets in this area will be shown on all posts and pages.', 'affiliatebooster' ),
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget'  => '</li>',
        'before_title'  => '<h4 class="widgettitle">',
        'after_title'   => '</h4>',
    ) );
	/*Banner Header Sidebar */
		register_sidebar( array(
        'name'          => __( 'Header Banner', 'affiliatebooster' ),
        'id'            => 'header-banner',
        'description'   => __( 'Widgets in this area will be shown on Header 5, and 6', 'affiliatebooster' ),
        'before_widget' => '<li id="%1$s" class="header-widget %2$s">',
        'after_widget'  => '</li>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Above Title Ads', 'affiliatebooster' ),
        'id'            => 'before_title_sidebar_single',
        'description'   => __( 'Disaply any ads above the title in Single post.', 'affiliatebooster' ),
       
    ) );
	register_sidebar( array(
        'name'          => __( 'Below Title Ads', 'affiliatebooster' ),
        'id'            => 'after_title_sidebar',
        'description'   => __( 'Disaply any ads below the title in Single post.', 'affiliatebooster' ),
    ) );
	register_sidebar( array(
        'name'          => __( 'After Content Area', 'affiliatebooster' ),
        'id'            => 'after_content',
        'description'   => __( 'Widgets in this area will be shown after the content in post and pages.', 'affiliatebooster' ),
    ) );
	register_sidebar( array(
        'name'          => __( 'Before Footer - for Advertising', 'affiliatebooster' ),
        'id'            => 'before_footer',
        'description'   => __( 'Yo can display 728x90 or any wide image ads here.', 'affiliatebooster' ),
    ) );

    /* Below Header */
    register_sidebar( array(
        'name'          => __( 'Below Header', 'affiliatebooster' ),
        'id'            => 'below_header',
        'description'   => __( '', 'affiliatebooster' ),
    ) );
	
	/* Footer Sidebar Area 1*/
		register_sidebar(
			array(
				'id' => 'footer_sidebar_1',
				'name' => esc_html__( 'Footer Column 1', 'affiliatebooster' ),
				'description' => esc_html__( 'This is footer area column 1.', 'affiliatebooster' ),
				'before_widget' => '<div id="%1$s" class="aff-widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h4 class="aff-widget-title">',
				'after_title' => '</h4>'
			)
		);

		/* Footer Sidebar Area 2*/
		register_sidebar(
			array(
				'id' => 'footer_sidebar_2',
				'name' => esc_html__( 'Footer Column 2', 'affiliatebooster' ),
				'description' => esc_html__( 'This is footer area column 2.', 'affiliatebooster' ),
				'before_widget' => '<div id="%1$s" class="aff-widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h4 class="aff-widget-title">',
				'after_title' => '</h4>'
			)
		);


		/* Footer Sidebar Area 3*/
		register_sidebar(
			array(
				'id' => 'footer_sidebar_3',
				'name' => esc_html__( 'Footer Column 3', 'affiliatebooster' ),
				'description' => esc_html__( 'This is footer area column 3.', 'affiliatebooster' ),
				'before_widget' => '<div id="%1$s" class="aff-widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h4 class="aff-widget-title">',
				'after_title' => '</h4>'
			)
		);

		/* Footer Sidebar Area 4 */
		register_sidebar(
			array(
				'id' => 'footer_sidebar_4',
				'name' => esc_html__( 'Footer Column 4', 'affiliatebooster' ),
				'description' => esc_html__( 'This is footer area column 4.', 'affiliatebooster' ),
				'before_widget' => '<div id="%1$s" class="aff-widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h4 class="aff-widget-title">',
				'after_title' => '</h4>'
			)
		);
}
add_action( 'widgets_init', 'aff_booster_widgets' );

?>