<?php 
function affiliate_booster_theme_license_menu(){
	//add_menu_page('License', 'Affiliate Booster', 'manage_options', 'affiliatebooster', 'aff_theme_license_page', 'dashicons-admin-network');
}
add_action('admin_menu', 'affiliate_booster_theme_license_menu');

function aff_theme_license_page()
{
	$license = get_option('affiliate_booster_theme_license_key');
	$status  = get_option('affiliate_booster_theme_license_key_status');
	?>
	<div id="acera-content" class="wrap affiliate-activation-wrapper tab-content" style="display: block;">
		<h2><?php _e('Theme License Key', 'affiliatebooster'); ?></h2>
		<form method="post" action="options.php">
			<?php settings_fields('affiliate_booster_theme_license'); ?>
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th scope="row" valign="top">
							<?php _e('License Key', 'affiliatebooster'); ?>
						</th>
						<td>
							<input id="affiliate_booster_theme_license_key" name="affiliate_booster_theme_license_key" type="text" class="regular-text mundotxt" value="<?php echo esc_attr($license); ?>" />
							<label class="description" for="affbooster_plugin_license_key">
									<?php if($license !== '' ){ if( $status !== false && $status == 'valid') { ?>
										<span style="color:green;"><?php _e('Active','affiliatebooster'); ?></span>
										<?php wp_nonce_field( 'affiliate_post_nonce', 'affiliate_post_nonce' ); ?>
									<?php } else {
										wp_nonce_field( 'affiliate_post_nonce', 'affiliate_post_nonce' ); ?>
										<span class="error-message"><?php _e('Inactive','affiliatebooster'); ?></span>
									<?php } } ?>
							</label>
						</td>
					</tr>
					<?php if (false !== $license) { ?>
						<tr valign="top">
							<th scope="row" valign="top"><?php _e('License Status', 'affiliatebooster'); ?></th>
							<td>
								<?php if ($status !== false && $status == 'valid') { ?>
									<i class="cmsxx"><?php echo get_home_url(); ?></i>
									<?php wp_nonce_field('affiliate_booster_themes_nonce', 'affiliate_booster_themes_nonce'); ?>
									<input type="submit" class="button-secondary mundobt" name="affiliate_booster_theme_license_deactivate" value="<?php _e('Deactivate License', 'affiliatebooster'); ?>" />
								<?php } else {
										wp_nonce_field('affiliate_booster_themes_nonce', 'affiliate_booster_themes_nonce'); ?>
									<i class="cmsxx"><?php echo get_home_url(); ?></i>
									<input type="submit" class="button-secondary mundobt" name="affiliate_booster_theme_license_activate" value="<?php _e('Activate License', 'affiliatebooster'); ?>" />
								<?php } ?>
							</td>
						</tr>
					<?php } ?>
				</tbody>
			</table>
			<?php submit_button(); ?>
		</form>
	</div>
	<!-- check plugin is active or not -->
	<?php
}
