<?php 
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     1.6.4
 */
get_header();

$container_option = get_theme_mod('aff_container_dropdown_settings', 'full');
if ($container_option == 'contained') {
	$main_width = get_theme_mod( 'aff_booster_container', '1350' );
}else{
	$main_width = get_theme_mod( 'aff_booster_container', '1350' );
}

?>
<main id="content" class="container-fluid aff-site-content" style="max-width: <?php echo $main_width.'px'; ?>">
	<div class="row">
		<div class="col-md-12 single-blog-excerpt" style="padding: 0px 0px;" <?php aff_do_microdata( 'article' ); ?>>
			<div class="aff-single-content-bg">
				<?php get_template_part( 'woocommerce/single','product');  ?>
			</div>
		</div>
	</div>
</main>
<?php get_footer(); ?>