<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Affiliate_Booster
 */

?>

<?php $myposts = query_posts(array('posts_per_page' => '5','post_type' =>'post' ,'order'=> 'DESC')); //declare here your code
		if($myposts) {  foreach ($myposts as $key => $post) { ?>
		<article id="post-<?php the_ID(); ?>" class="aff-post has-post-thumbnail" <?php aff_do_microdata( 'article' ); ?>>
			<header class="aff-aff-post-header aff-aff-post-header cf">
				<div class="featured1">
					<a href="<?php echo get_permalink( $post->ID ); ?>" class="image-link media-ratio ratio-3-2">
						<?php echo get_the_post_thumbnail( $post->ID, 'full' ); ?>
					</a>
				</div>
			</header>
			<div class="aff-post-content cf aff-entry-content has-share-float aff-content-spacious">
				<div class="aff-post-meta aff-post-meta-c aff-post-meta-left the-aff-post-meta has-below">
					<h2 class="is-title aff-post-title-alt"><a href="<?php echo get_permalink( $post->ID ); ?>" title="<?php echo apply_filters( 'the_title', $post->post_title, $page->ID ); ?>"><?php echo apply_filters( 'the_title', $post->post_title, $post->ID ); ?></a></h2>
					<div class="aff-meta-above">
						<?php $categories=get_the_category($post->ID);//$post->ID
						if ( ! empty( $categories ) ) {
						?>
							<span class="aff-cat-labels"><a href="<?php echo esc_url( get_category_link( $categories[0]->term_id ) ); ?>" class="category" rel="category"><?php echo esc_html( $categories[0]->name ); ?></a></span>
						<?php }  ?>
					</div>
				</div>
				<p><?php echo get_the_excerpt(); ?></p>
				<div class="meta-title">
				<div class="aff-post-meta aff-post-meta-c aff-post-meta-left has-below">
					<div class="below meta-below">
					<?php $author_id=$post->post_author;  ?>
						<span class="aff-meta-item aff-post-author">
							<span class="by">By</span>
							<a href="#" title="Posts by <?php the_author_meta( 'user_nicename' , $author_id ); ?>">
								<?php the_author_meta( 'user_nicename' , $author_id ); ?>
							</a>
						</span>
						<span class="aff-meta-sep"></span>
						<a href="#" class="aff-meta-item date-link"><span class="post-date" ><?php echo get_the_date(); ?></span></a>
					</div>
				</div>
			</div>
			</div>
			
		</article>
		<?php } }?>
