<?php
/*
* Home page layout 10
* Full-width Grid Layout
*/
?>
<?php
 $date_format = get_option( 'date_format' );
 $date = get_the_date( $date_format, get_the_ID());
 $updated_date = get_the_modified_date($date_format, get_the_ID());
 $comment_count = get_comments_number(get_the_ID());
 $separator = get_theme_mod( 'homepage_layout_info_separator_type', '/' );
 $current_categoty = get_the_category_list($separator, get_the_ID());
 $template_parts = get_theme_mod( 'sortable_post_info_setting', array( 'option1', 'option2', 'option3' ) );
 
 $multicheck_post_info = get_theme_mod( 'homepage_layout_info_multicheck', array( 'option-1', 'option-2' ) );
 ?>
<div class="col-md-12 main-content full-layout-posts">
<?php if( is_archive() ){ ?>
<?php if(true == get_theme_mod('blog_archive_layout_header', true)) { ?>
			<header class="page-header">
				<?php
				the_archive_title( '<h2 class="aff-post-meta-c aff-post-title-alt text-center">', '</h2>' );
				the_archive_description( '<div class="archive-description">', '</div>' );
				?>
			</header>
<?php } ?>
<?php } ?>
<?php
if ( get_query_var( 'paged' ) ) { $paged = get_query_var( 'paged' ); }
elseif ( get_query_var( 'page' ) ) { $paged = get_query_var( 'page' ); }
else { $paged = 1; }
$args = array( 
    'post_type'      => 'post',
    'post_status'    => 'publish',
	'paged'          => $paged,
	'order'=> 'DESC'
);
$query = new WP_Query;
$myposts = $query->query($args); 
?>
<style>
 	.meta-title .aff-post-meta > *:not(first-child):after {content: "<?php echo $separator; ?>";font-size: 12px;}
    .meta-title .aff-post-meta > *:last-child:after{display: none;}
</style>
	<?php if($myposts) {  foreach ($myposts as $key => $post) { ?>
		<?php $img_id = get_post_thumbnail_id($post->ID);$alt_text = get_post_meta($img_id , '_wp_attachment_image_alt', true); ?>
		<article id="post-<?php the_ID(); ?>" class="lay-10 aff-post has-post-thumbnail" <?php aff_do_microdata( 'article' ); ?>>
		<?php if(true == get_theme_mod('homepage_layout_featured_image', true)) { ?>
			<header class="aff-aff-post-header aff-aff-post-header cf">
				<div class="featured1">
					<a href="<?php echo get_permalink( $post->ID ); ?>" class="image-link media-ratio ratio-3-2 lay_10_img" itemprop="url">
						<?php //the_post_thumbnail('full', array('itemprop'=>'image')); ?>
						<?php if ( has_post_thumbnail() ) { ?> 
	                		<img src="<?php echo esc_url( get_the_post_thumbnail_url( $post->ID, 'full' ) ); ?>" alt="<?php echo $alt_text; ?>" itemprop="image">
	                	<?php }else { ?>
	                		<!-- <img src="<?php //echo esc_url( get_template_directory_uri(). '/images/default.webp' ); ?>"> -->
	                	<?php } ?>
					</a>
				</div>
			</header>
		<?php } ?> 
			<div class="aff-post-content cf aff-entry-content has-share-float aff-content-spacious">
				<div class="aff-post-meta aff-post-meta-c aff-post-meta-left the-aff-post-meta has-below">
					<h2 class="is-title aff-post-title-alt" itemprop="headline"><a href="<?php echo get_permalink( $post->ID ); ?>" itemprop="url" title="<?php echo apply_filters( 'the_title', $post->post_title, $post->ID ); ?>"><?php echo apply_filters( 'the_title', $post->post_title, $post->ID ); ?></a></h2>

					<div class="meta-title">
						<div class="aff-post-meta aff-post-meta-c aff-post-meta-left has-below">
						<?php  
						$author_id=$post->post_author;
						foreach ($template_parts as $template_part) {
							
							if($template_part == 'option1'){ ?>
								<?php if(function_exists('get_avatar')) { echo get_avatar( $post->post_author, '96' ); } ?>
								<span class="aff-meta-item aff-post-author" itemprop="author">
									<span class="by"> Written by </span>
										<a href="<?php echo get_author_posts_url( $author_id ); ?>" itemprop="url" title="Posts by <?php the_author_meta( 'display_name' , $author_id ); ?>">
										<?php the_author_meta( 'display_name' , $author_id );?>
										</a>
									</span>
							<?php } ?>
							<?php if($template_part == 'option2') { ?>
									<span class="post-date" itemprop="datePublished"><?php echo " Published on  ". get_the_date(); ?></span>
							<?php } ?>
							<?php if($template_part == 'option3') { $updated_date = get_the_modified_date($date_format, $post->ID); ?>
								<span class="aff-meta-item aff-post-author" itemprop="dateModified">
									<?php if(function_exists('the_date')) { echo " Last Updated  ". $updated_date;  } ?>
								</span>	
							<?php } ?>
							<?php if($template_part == 'option4') { ?>
								<span class="aff-meta-item aff-post-author">
									<?php echo " Comment Count ".$comment_count; ?>
								</span>	
							<?php } ?>
							<?php if($template_part == 'option5') { 
								$current_category = get_the_category( $post->ID );
								$cat_link = get_category_link($current_category[0]->cat_ID);
								?>
								<span class="aff-meta-item aff-post-author">
									<?php echo " in Categories <a href='".$cat_link."'>".$current_category[0]->name."</a>"; ?>
								</span>
							<?php }

						}
						?>
						</div>
					</div><!-- .meta-title -->

					<div class="aff-meta-above">
							<?php $categories=get_the_category($post->ID);//$post->ID
							if ( ! empty( $categories ) ) {
							?>
								<span class="aff-cat-labels"><a href="<?php echo esc_url( get_category_link( $categories[0]->term_id ) ); ?>" class="category" rel="category"><?php echo esc_html( $categories[0]->name ); ?></a></span>
							<?php }  ?>
					</div>
				</div>
				<!-- <p><?php // echo get_the_excerpt(); ?></p> -->
				<?php $excerpt_length = get_theme_mod('homepage_layout_excerpt_length', '120'); ?>
				<p><?php echo the_excerpt_max_charlength($excerpt_length); ?></p>
				<?php 
				$readmore = get_theme_mod( 'radio_text_and_button_setting', 'text' );
				$readmore_text = get_theme_mod( 'read_more_text_setting', 'Read More' );
				if ($readmore_text == '') {
					$readmore_text = 'Read More';
				}
				if ( true == get_theme_mod( 'homepage_read_more_toggle', '' ) ) : 
					if($readmore == 'text'){
				?>
					<p class="readmore_text"><a href="<?php the_permalink( $post->ID ); ?>"><?php echo $readmore_text; ?></a></p>
				<?php
					}else{
				?>
					<p class="readmore_button"><a href="<?php the_permalink( $post->ID ); ?>"><?php echo $readmore_text; ?></a></p>
				<?php					
					}
				endif; 
				?>

			</div>
		</article>
			<?php } } ?>

			<?php
		// Bottom pagination (pagination arguments)
		if ( $query->max_num_pages > 1 ) {
		echo "<div class='page-nav-container'>" . paginate_links(array(
			'total' => $query->max_num_pages,
			'prev_text' => __('<', 'affiliatebooster'),
			'next_text' => __('>', 'affiliatebooster')
		)) . "</div>";
		}
		?>
</div>
<?php wp_reset_query(); ?>
