<?php 
	$title = get_theme_mod('aff_single_title', 'inside');
	$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );
	$breadcrums = $options ? in_array( 'remove-breadcrums', $options ) : false;
	$postmeta = $options ? in_array( 'remove-postmeta', $options ) : false;
	$remove_disclosure = $options ? in_array( 'remove-disclosure', $options ) : false;

	if(empty($title)){ $title = 'inside';}
	if($title == 'inside'){ ?>
		<style>
			@media only screen and (min-width: 768px){
				.aff-site-content > .row {
				    flex-wrap: nowrap;
				}
			}
		</style>
<div class="aff-post-title-container both-left-sidebar">
	<?php 
	//echo get_post_meta( $post->ID, 'aff_booster_sidebar_position', true );
	if(!$breadcrums):
		if ( true == get_theme_mod( 'single_post_breadcrums_settings', true ) ) : 
			custom_breadcrumbs();
		endif;
	endif;
	?>
	<?php
	if(!$remove_disclosure):
	$discloser_content = get_theme_mod('discloser_content_alignment', '');
	if($discloser_content == 'above-title') :
	 if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
	<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
		<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>

	</div><?php endif; endif; endif;?>
	<?php get_template_part('templates/widgets-area/before-title');?>
	<?php 
		$title = get_theme_mod('aff_single_title', 'inside');

		$remove_featured = $options ? in_array( 'remove-featured', $options ) : false;
		$remove_title = $options ? in_array( 'remove-title', $options ) : false;

		$date_format = get_option( 'date_format' );
		$date = get_the_date( $date_format, get_the_ID());
		$updated_date = get_the_modified_date($date_format, get_the_ID());
		$comment_count = get_comments_number(get_the_ID());
		$separator = get_theme_mod( 'aff_single_post_info_separator_type', '/' );
		//$current_categoty = get_the_category_list($separator, get_the_ID());
		$template_parts = get_theme_mod( 'sortable_single_post_info_setting', array( 'option1', 'option2' ) );
		$current_categoty = get_the_category_list($separator, 'multiple', get_the_ID());
		$multicheck_post_info = get_theme_mod( 'aff_single_post_info_multicheck', array( 'option-1', 'option-2' ) );


		$feat_image = get_theme_mod('aff_single_post_image', 'below-title');
		if(empty($feat_image)){ $feat_image = 'below-title';}
	?>
	<style>
		.meta-title .aff-post-meta > *:not(first-child):after {content: "<?php echo $separator; ?>";font-size: 12px;}
    	.meta-title .aff-post-meta > *:last-child:after{display: none;}
	</style>
	<?php
	if($feat_image == 'above-title') {  ?>
	<?php if(!$remove_featured) {
		if(( true == get_theme_mod( 'aff_single_post_featured_image', true ) )) { ?>
		<div class="aff-article-featured-image" data-override="off"> 
		<?php if (has_post_thumbnail()) {
			the_post_thumbnail('full', array('itemprop'=>'image'));
		}else{ ?> 
			<!-- <img src="<?php //echo esc_url( get_template_directory_uri(). '/images/default.webp' ); ?>"> -->
		<?php } ?>
		</div>
		<?php } }?> 
	<?php } ?>

	<?php if(!$remove_title) { ?>
	<header class="aff-post-title entry-header">
		<?php the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' ); ?>
	</header>
	<?php } ?>
	<?php get_template_part('templates/widgets-area/after-title'); 
	if (!$postmeta):
	?>
		<div class="meta-title">
			<div class="aff-post-meta aff-post-meta-c aff-post-meta-left has-below">
			<?php  
			$author_id=$post->post_author;
			foreach ($template_parts as $template_part) {
				
				if($template_part == 'option1'){ ?>

					<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '96' ); } ?>
					<span class="aff-meta-item aff-post-author" itemprop="author">
						<span class="by"> Written by </span>
							<a href="<?php echo get_author_posts_url( $author_id ); ?>" itemprop="url" title="Posts by <?php the_author_meta( 'display_name' , $author_id ); ?>">
							<?php the_author_meta( 'display_name' , $author_id );?>
							</a>
						</span>
				<?php } ?>
				<?php if($template_part == 'option2') { ?>
						<span class="post-date" itemprop="datePublished"><?php echo " Published on  ". get_the_date(); ?></span>
				<?php } ?>
				<?php if($template_part == 'option3') { $updated_date = get_the_modified_date($date_format, $post->ID); ?>
					<span class="post-last-date" itemprop="dateModified">
						<?php if(function_exists('the_date')) { echo " Last Updated  ". $updated_date;  } ?>
					</span>	
				<?php } ?>
				<?php if($template_part == 'option4') { ?>
					<span class="post-comment">
						<?php echo " Comment Count ".$comment_count; ?>
					</span>	
				<?php } ?>
				<?php if($template_part == 'option5') { 
					$current_category = get_the_category( $post->ID );
					$cat_link = get_category_link($current_category[0]->cat_ID);
					?>
					<span class="aff-meta-item aff-post-author">
						<?php echo " in Categories <a href='".$cat_link."'>".$current_category[0]->name."</a>"; ?>
					</span>
				<?php }

			}
			?>
			</div>
		</div><!-- .meta-title -->
		<?php 
	endif;
	if(!$remove_disclosure):
		if($discloser_content == 'below-title') :
			if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
				<br>
				<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
					<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>

				</div>
			<?php 
			endif; 
		endif;
	endif;
		?>
</div>
<?php 
if($feat_image == 'below-title') {  ?>
<?php if(!$remove_featured) { 
	if(( true == get_theme_mod( 'aff_single_post_featured_image', true ) )) { ?>
	<div class="aff-article-featured-image " data-override="off"> 
	<?php
	if (has_post_thumbnail()) {
		the_post_thumbnail('full', array('itemprop'=>'image'));
	}else{ ?> 
		<!-- <img src="<?php //echo esc_url( get_template_directory_uri(). '/images/default.webp' ); ?>"> -->
	<?php } ?>
	</div>
	<?php } }?> 
<?php } ?>
<?php } ?>
