<?php $feat_image = get_theme_mod('aff_single_post_image');



$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );



$remove_featured = $options ? in_array( 'remove-featured', $options ) : false;

$remove_title = $options ? in_array( 'remove-title', $options ) : false;



$date_format = get_option( 'date_format' );

$date = get_the_date( $date_format, get_the_ID());

$updated_date = get_the_modified_date($date_format, get_the_ID());

$comment_count = get_comments_number(get_the_ID());

$separator = get_theme_mod( 'aff_single_post_info_separator_type', '/' );

//$current_categoty = get_the_category_list($separator, get_the_ID());
$template_parts = get_theme_mod( 'sortable_single_post_info_setting', array( 'option1', 'option2' ) );

$current_categoty = get_the_category_list($separator, 'multiple', get_the_ID());

$multicheck_post_info = get_theme_mod( 'aff_single_post_info_multicheck', array( 'option-1', 'option-2' ) );



if($feat_image == 'above-title'){  ?>

<?php if(!$remove_featured) {

	if(( true == get_theme_mod( 'aff_single_post_featured_image', true ) )) { ?>

<div class="aff-article-featured-image " data-override="off"> 

	<?php the_post_thumbnail('full'); ?>

</div>

<?php } }?>

<?php } 

	$title = get_theme_mod('aff_single_title');

	if(empty($title)){ $title = 'inside';}

	if($title == 'outside'){ ?>


<style>
		.meta-title .aff-post-meta > *:not(first-child):after {content: "<?php echo $separator; ?>";font-size: 12px;}
    	.meta-title .aff-post-meta > *:last-child:after{display: none;}
	</style>
<div class="aff-post-title-container both-left-sidebar">

		

			<?php get_template_part('templates/widgets-area/before-title');?>

			<?php if(!$remove_title) { ?>

			<header class="aff-post-title entry-header">

				<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

			</header>

			<?php } ?>

		<?php get_template_part('templates/widgets-area/after-title'); 

		?>

		<div class="meta-title">
			<div class="aff-post-meta aff-post-meta-c aff-post-meta-left has-below">
			<?php  
			$author_id=$post->post_author;
			foreach ($template_parts as $template_part) {
				
				if($template_part == 'option1'){ ?>
					<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '96' ); } ?>
					<span class="aff-meta-item aff-post-author" itemprop="author">
						<span class="by"> Written by </span>
							<a href="<?php echo get_author_posts_url( $author_id ); ?>" itemprop="url" title="Posts by <?php the_author_meta( 'display_name' , $author_id ); ?>">
							<?php the_author_meta( 'display_name' , $author_id );?>
							</a>
						</span>
				<?php } ?>
				<?php if($template_part == 'option2') { ?>
						<span class="post-date" itemprop="datePublished"><?php echo " Published on  ". get_the_date(); ?></span>
				<?php } ?>
				<?php if($template_part == 'option3') { ?>
					<span class="post-last-date" itemprop="dateModified">
						<?php if(function_exists('the_date')) { echo " Last Updated  ". $updated_date;  } ?>
					</span>	
				<?php } ?>
				<?php if($template_part == 'option4') { ?>
					<span class="post-comment">
						<?php echo " Comment Count ".$comment_count; ?>
					</span>	
				<?php } ?>
				<?php if($template_part == 'option5') { 
					$current_category = get_the_category( $post->ID );
					$cat_link = get_category_link($current_category[0]->cat_ID);
					?>
					<span class="aff-meta-item aff-post-author">
						<?php echo " in Categories <a href='".$cat_link."'>".$current_category[0]->name."</a>"; ?>
					</span>
				<?php }

			}
			?>
			</div>
		</div><!-- .meta-title -->

<?php }

?>