class ReviewImageBottom extends React.Component {

	render() {

		const { attributes } = this.props 

		let url_chk = ""
		if( typeof attributes.imageBottom !== "undefined" && attributes.imageBottom !== null && attributes.imageBottom !=="" ){
			url_chk = attributes.imageBottom.url
		}
		
		let url = ""
		if( url_chk !== "" ){
			let size = attributes.imageBottom.sizes
			let imageBottomSize = attributes.imageBottomSize

			if ( typeof size !== "undefined" && typeof size[imageBottomSize] !== "undefined" ) {
			  url = size[imageBottomSize].url 
			}else{
			  url = url_chk 
			}

			return (				
				<div className="affiliate-coupon-imagetop">
					<img
						className =""
						src = { url }                        
						alt = { attributes.imageBottom.alt }                    
					/>						
				</div>				                 
			)
		} else {
			return null
		}       
	}
}

export default ReviewImageBottom
