/**
 * Set inline styles.
 * @param  {object} props - The block object.
 * @return {object} The inline background type CSS.
 */

import affiliate_generateCSS from "./generateCSS"
import { cssGradient, cssBoxShadow,cssWithoutSelector,cssTextShadow, cssBackground } from '../components/cssHelper'
function affiliate_styling( props, id ) {

	const {
            uniqueId,
            block_id,
            titleLoadGoogleFonts,
            listLoadGoogleFonts,
            list2LoadGoogleFonts,
            couponContent,
            priceBox1,
            priceBox2,
            priceBox3,
            className,
            recreateStyles,
            alignment,
            listType,
            bulletStyle,
            bulletStyleTwo,
            numberCorner,
            numberFontSize,
            numberBgSize,
            useNumberBg,
            numberBg,
            numberBgHover,
            boxBgColor,
            titleTextColor,
            titlefontFamily,
            titlefontWeight,
            titlefontSubset,
            titlefontSizeType,
            titlefontSizeTypeMobile,
            titlefontSizeTypeTablet,
            titlefontSizeDesktop,
            titlefontSizeMobile,
            titlefontSizeTablet,
            titlelineHeight,
            titlelineHeightMobile,
            titlelineHeightTablet,
            titleletterSpacing,
            titleletterSpacingMobile,
            titleletterSpacingTablet,
            titleletterSpacingType,
            titleletterSpacingTypeTablet,
            titleletterSpacingTypeMobile,
            titletextTransform,
            titletextDecoration,
            titlefontStyle,
            // 
            listfontFamily,
            listfontWeight,
            listfontSubset,
            listfontSizeType,
            listfontSizeTypeMobile,
            listfontSizeTypeTablet,
            listfontSizeDesktop,
            listfontSizeMobile,
            listfontSizeTablet,
            listlineHeight,
            listlineHeightMobile,
            listlineHeightTablet,
            listletterSpacing,
            listletterSpacingMobile,
            listletterSpacingTablet,
            listletterSpacingType,
            listletterSpacingTypeTablet,
            listletterSpacingTypeMobile,
            listtextTransform,
            listtextDecoration,
            listfontStyle,
            listTextColor,

            // 
            list2fontFamily,
            list2fontWeight,
            list2fontSubset,
            list2fontSizeType,
            list2fontSizeTypeMobile,
            list2fontSizeTypeTablet,
            list2fontSizeDesktop,
            list2fontSizeMobile,
            list2fontSizeTablet,
            list2lineHeight,
            list2lineHeightMobile,
            list2lineHeightTablet,
            list2letterSpacing,
            list2letterSpacingMobile,
            list2letterSpacingTablet,
            list2letterSpacingType,
            list2letterSpacingTypeTablet,
            list2letterSpacingTypeMobile,
            list2textTransform,
            list2textDecoration,
            list2fontStyle,
            list2TextColor,

            couponBgColor,
            couponTextColor,
            couponIconColor,
            couponBgColor1,
            couponTextColor2,
            couponIconColor2,
            couponListColor1,
            couponListColor,
            image,
            imageTop,
            imageBottom,
            minRate,
            maxRate,
            progressBgColor,
            // CTA BUTTON
            btnLoadGoogleFonts,
            btnfontFamily,
            btnfontWeight,
            listItems,
            btnfontSubset,
            btnfontSizeType,
            btnfontSizeTypeMobile,
            btnfontSizeTypeTablet,
            btnfontSizeDesktop,
            btnfontSizeMobile,
            btnfontSizeTablet,
            btnlineHeight,
            btnlineHeightMobile,
            btnlineHeightTablet,
            btnletterSpacing,
            btnletterSpacingMobile,
            btnletterSpacingTablet,
            btnletterSpacingType,
            btnletterSpacingTypeTablet,
            btnletterSpacingTypeMobile,
            btntextTransform,
            btntextDecoration,
            btnfontStyle,
            btnBgColor,
            btnHoverBgColor,
            btnTextColor,
            btnTextHoverColor,
            btnBorderColor,
            btnBorderHoverColor,
            btn_Htarget,
            spBtnText,
            spBtnHref,
            progressText,
            opPickMainTitle,
            btnPadding,
            btnPaddingMobile,
            btnPaddingTablet,
            btnMargin,
            btnMarginMobile,
            btnMarginTablet,
            btnAlignment,
            btnAlignmentMobile,
            btnAlignmentTablet,
            btnBorder,
            btnBorderType,
            btnBorderMobile,
            btnBorderTablet,
            btnBorderRadius,
            btnBorderRadiusMobile,
            btnBorderRadiusTablet,
            // Sub Title
            contentLoadGoogleFonts,
            contentTextColor,
            contentfontFamily,
            contentfontWeight,
            contentfontSubset,
            contentfontSizeType,
            contentfontSizeTypeMobile,
            contentfontSizeTypeTablet,
            contentfontSizeDesktop,
            contentfontSizeMobile,
            contentfontSizeTablet,
            contentlineHeight,
            contentlineHeightMobile,
            contentlineHeightTablet,
            contentletterSpacing,
            contentletterSpacingMobile,
            contentletterSpacingTablet,
            contentletterSpacingType,
            contentletterSpacingTypeTablet,
            contentletterSpacingTypeMobile,
            contenttextTransform,
            contenttextDecoration,
            contentfontStyle,
            contentAlignment,
            contentAlignmentMobile,
            contentAlignmentTablet,
            couponMainTitle,
            progressHeight,
            progressWidth,
            progressLoadGoogleFonts,
            progressColor,
            progressfontFamily,
            progressfontWeight,
            progressfontSubset,
            progressfontSizeType,
            progressfontSizeTypeMobile,
            progressfontSizeTypeTablet,
            progressfontSizeDesktop,
            progressfontSizeMobile,
            progressfontSizeTablet,
            progresslineHeight,
            progresslineHeightMobile,
            progresslineHeightTablet,
            progressletterSpacing,
            progressletterSpacingMobile,
            progressletterSpacingTablet,
            progressletterSpacingType,
            progressletterSpacingTypeTablet,
            progressletterSpacingTypeMobile,
            progresstextTransform,
            progresstextDecoration,
            progressfontStyle,
            progressTextColor,
            rateSize,
            rateColor,
            iconPosition,
            btnSize,
            buttonIcon,
            buttonWidth,
            bntRounded,
            boxShadow,
            imagePadding,
            imagePaddingMobile,
            imagePaddingTablet,
            customImgWidth,
            customImgWidthMobile,
            customImgWidthTablet,

            imageTopPadding,
            imageTopPaddingMobile,
            imageTopPaddingTablet,
            customTopImgWidth,
            customTopImgWidthMobile,
            customTopImgWidthTablet,

            imageBottomPadding,
            imageBottomPaddingMobile,
            imageBottomPaddingTablet,
            customBottomImgWidth,
            customBottomImgWidthMobile,
            customBottomImgWidthTablet,

            titleTag1,


            starAligment,
            starAligmentMobile,
            starAligmentTable,
            starsSize,
            starsSizeMobile,
            starsSizeTablet,
            ratings,
            ratingsColor,
            selectedStars,
            ratingAlignemt

      } = props.attributes
      
      const Tag1 = titleTag1

      var mobile_selectors = {}
      var tablet_selectors = {}
      var style = {}
      // console.log(boxShadow)
        var selectors = {
            " .affiliate-coupon-inner":{
                  "box-shadow":cssBoxShadow(boxShadow),
                  "background": boxBgColor,
            },
            " .affiliate-coupon-image":{
                  "padding" : ( imagePadding && undefined !== imagePadding[ 'top' ] && null !== imagePadding[ 'top' ] ? imagePadding[ 'top' ] + imagePadding['unit'] + ' ' + imagePadding[ 'right' ] + imagePadding['unit'] + ' ' + imagePadding[ 'bottom' ] + imagePadding['unit'] + ' ' + imagePadding[ 'left' ] + imagePadding['unit'] : '' ),
            },
            " .affiliate-coupon-image img":{
                  "width": customImgWidth + 'px'                  
            },

            " .affiliate-coupon-imagetop":{
                  "padding" : ( imageTopPadding && undefined !== imageTopPadding[ 'top' ] && null !== imageTopPadding[ 'top' ] ? imageTopPadding[ 'top' ] + imageTopPadding['unit'] + ' ' + imageTopPadding[ 'right' ] + imageTopPadding['unit'] + ' ' + imageTopPadding[ 'bottom' ] + imageTopPadding['unit'] + ' ' + imageTopPadding[ 'left' ] + imageTopPadding['unit'] : '' ),
            },
            " .affiliate-coupon-imagetop img":{
                  "width": customTopImgWidth + 'px'                  
            },

            " .affiliate-coupon-imagebottom":{
                  "padding" : ( imageBottomPadding && undefined !== imageBottomPadding[ 'top' ] && null !== imageBottomPadding[ 'top' ] ? imageBottomPadding[ 'top' ] + imageBottomPadding['unit'] + ' ' + imageBottomPadding[ 'right' ] + imageBottomPadding['unit'] + ' ' + imageBottomPadding[ 'bottom' ] + imageBottomPadding['unit'] + ' ' + imageBottomPadding[ 'left' ] + imageBottomPadding['unit'] : '' ),
            },
            " .affiliate-coupon-imagebottom img":{
                  "width": customBottomImgWidth + 'px'                  
            },            

            " .affiliate-coupon-starrating":{
                  'justify-content':ratingAlignemt
              }, 
              " .affiliate-coupon-starrating .affiliate-star-item svg":{
                  "height": starsSize + 'px',
                  "width": starsSize + 'px',
              },

            " .affiliate-coupon-btn-wrapper":{
                  "justify-content":btnAlignment
              },
            " .affiliate-progress-text":{
                  "font-family": progressfontFamily,
                  "font-size": progressfontSizeDesktop + progressfontSizeType,
                  "font-style":progressfontStyle,
                  "font-weight":progressfontWeight,
                  "letter-spacing":progressletterSpacing + progressletterSpacingType,
                  "line-height":progresslineHeight,
                  "text-decoration":progresstextDecoration,
                  "text-transform":progresstextTransform,
            },
            " .affiliate-coupon-review":{
                  "font-size":rateSize + 'px',
                  "color":rateColor
            },
            " .affiliate-progress-bar":{
                  "width": progressWidth + '%',
                  "height": progressHeight + 'px',
                  "background-color":progressBgColor
            },
            " .affiliate-progress":{
                  "height": progressHeight + 'px',
            },
            " .affiliate-coupon-inner .affiliate-couponTextColor":{
                  "color": couponTextColor,
            },
          " .affiliate-coupon-inner .affiliate-couponTextColor2":{
                  "color": couponTextColor2,
            },
            " .affiliate-coupon-inner .affiliate-coupon-list-one li:before":{
                  "color":couponIconColor,
            },
            " .affiliate-coupon-inner .affiliate-coupon-list-two li:before":{
                  "color":couponIconColor2,
            },
            " .affiliate-coupon-inner .affiliate-coupon-list-one li":{
                  "color":couponListColor,
            },
            " .affiliate-coupon-inner .affiliate-coupon-list-two li":{
                  "color":couponListColor1,
            },
            " .affiliate-coupon-inner .affiliate-coupon-content":{
                  "font-family": contentfontFamily,
                  "font-size": contentfontSizeDesktop + contentfontSizeType,
                  "font-style":contentfontStyle,
                  "font-weight":contentfontWeight,
                  "letter-spacing":contentletterSpacing + contentletterSpacingType,
                  "line-height":contentlineHeight,
                  "text-decoration":contenttextDecoration,
                  "text-transform":contenttextTransform,
            },
            " .affiliate-coupon-inner .affiliate-list.first ":{
                  "font-family": listfontFamily,
                  "font-size": listfontSizeDesktop + listfontSizeType,
                  "font-style":listfontStyle,
                  "font-weight":listfontWeight,
                  "letter-spacing":listletterSpacing + listletterSpacingType,
                  "line-height":listlineHeight,
                  "text-decoration":listtextDecoration,
                  "text-transform":listtextTransform,
            },
            " .affiliate-coupon-inner .affiliate-list.second ":{
                  "font-family": list2fontFamily,
                  "font-size": list2fontSizeDesktop + list2fontSizeType,
                  "font-style":list2fontStyle,
                  "font-weight":list2fontWeight,
                  "letter-spacing":list2letterSpacing + list2letterSpacingType,
                  "line-height":list2lineHeight,
                  "text-decoration":list2textDecoration,
                  "text-transform":list2textTransform,
            },
            " .affiliate-coupon-btn-wrapper .affiliate-btn":{
                  "font-family": btnfontFamily,
                  "font-size": btnfontSizeDesktop + btnfontSizeType,
                  "font-style":btnfontStyle,
                  "font-weight":btnfontWeight,
                  "letter-spacing":btnletterSpacing + btnletterSpacingType,
                  "line-height":btnlineHeight,
                  "text-decoration":btntextDecoration,
                  "text-transform":btntextTransform,
                  "background":btnBgColor,
                  "color":btnTextColor,
                  "border-color":btnBorderColor,
                  "border-style":btnBorderType,
                  "border-radius":( btnBorderRadius && undefined !== btnBorderRadius[ 'top' ] && null !== btnBorderRadius[ 'top' ] ? btnBorderRadius[ 'top' ] + btnBorderRadius['unit'] + ' ' + btnBorderRadius[ 'right' ] + btnBorderRadius['unit'] + ' ' + btnBorderRadius[ 'bottom' ] + btnBorderRadius['unit'] + ' ' + btnBorderRadius[ 'left' ] + btnBorderRadius['unit'] : '' ),
                  "border-width" : ( btnBorder && undefined !== btnBorder[ 'top' ] && null !== btnBorder[ 'top' ] ? btnBorder[ 'top' ] + btnBorder['unit'] + ' ' + btnBorder[ 'right' ] + btnBorder['unit'] + ' ' + btnBorder[ 'bottom' ] + btnBorder['unit'] + ' ' + btnBorder[ 'left' ] + btnBorder['unit'] : '' ),
                  "padding" : ( btnPadding && undefined !== btnPadding[ 'top' ] && null !== btnPadding[ 'top' ] ? btnPadding[ 'top' ] + btnPadding['unit'] + ' ' + btnPadding[ 'right' ] + btnPadding['unit'] + ' ' + btnPadding[ 'bottom' ] + btnPadding['unit'] + ' ' + btnPadding[ 'left' ] + btnPadding['unit'] : '' ),
                  "margin" : ( btnMargin && undefined !== btnMargin[ 'top' ] && null !== btnMargin[ 'top' ] ? btnMargin[ 'top' ] + btnMargin['unit'] + ' ' + btnMargin[ 'right' ] + btnMargin['unit'] + ' ' + btnMargin[ 'bottom' ] + btnMargin['unit'] + ' ' + btnMargin[ 'left' ] + btnMargin['unit'] : '' ),
            },
            " .affiliate-coupon-btn-wrapper .affiliate-btn:hover":{
                  "background":btnHoverBgColor,
                  "border-color":btnBorderHoverColor,
                  "color":btnTextHoverColor
            }
      }

      selectors[' .affiliate-coupon-maintitle '] = {
            "font-family": titlefontFamily,
            "font-size": titlefontSizeDesktop + titlefontSizeType,
            "font-style":titlefontStyle,
            "font-weight":titlefontWeight,
            "letter-spacing":titleletterSpacing + titleletterSpacingType,
            "line-height":titlelineHeight,
            "text-decoration":titletextDecoration,
            "text-transform":titletextTransform,
            "color":titleTextColor,
      }, 
  
        tablet_selectors = {
       
        }

        mobile_selectors = {
       
        }



	var affiliate_styling_css = ""

	affiliate_styling_css = affiliate_generateCSS( selectors, `#${id}-${ props.clientId }` )

  affiliate_styling_css += affiliate_generateCSS( tablet_selectors, `#${id}-${ props.clientId }`, true, "tablet" )

  affiliate_styling_css += affiliate_generateCSS( mobile_selectors, `#${id}-${ props.clientId }`, true, "mobile" )

	return affiliate_styling_css
}

export default affiliate_styling
