const attributes = {
    uniqueId: {
        type: 'string',
        default: ''
    },
    block_id: {
        type: 'string',
        default: ''
    },

    couponBoxType: {
        type: 'string',
        default: 'style1'
    },

    image: { 
        type: 'object', 
        default: {
            id:'',
            url:'',
            alt:'',
        } 
    },
    imageTop: { 
        type: 'object', 
        default: {
            id:'',
            url:'',
            alt:'',
        } 
    },

    imageBottom: { 
        type: 'object', 
        default: {
            id:'',
            url:'',
            alt:'',
        } 
    },

    listTextItems: {
        type:'array',
        // source: 'children',
        filterElements: true,
        // selector: '.test-list',
        default:[],
    },
    listTextItemsTwo: {
        type:'array',
        // source: 'children',
        filterElements: true,
        // selector: '.test-list',
        default:[],
	},
    designType:{
        type: "string",
        default:'ab-fixed-design',
    },
    imagePadding:{
        type: 'object', 
        default: []
    },
    customImgWidth:{
        type: "string",
        default:'',
    },
    customImgWidthMobile:{
        type: "string",
        default:'',
    },
    customImgWidthTablet:{
        type: "string",
        default:'',
    },
    imagePaddingMobile:{
        type: 'object', 
        default: []
    },
    imagePaddingTablet:{
        type: 'object', 
        default: []
    },
    imageSize:{
		type: "string",
		default: "full",
	},


    imageTopPadding:{
        type: 'object', 
        default: []
    },
    customTopImgWidth:{
        type: "string",
        default:'',
    },
    customTopImgWidthMobile:{
        type: "string",
        default:'',
    },
    customTopImgWidthTablet:{
        type: "string",
        default:'',
    },
    imageTopPaddingMobile:{
        type: 'object', 
        default: []
    },
    imageTopPaddingTablet:{
        type: 'object', 
        default: []
    },
    imageTopSize:{
        type: "string",
        default: "full",
    },


    imageBottomPadding:{
        type: 'object', 
        default: []
    },
    customBottomImgWidth:{
        type: "string",
        default:'',
    },
    customBottomImgWidthMobile:{
        type: "string",
        default:'',
    },
    customBottomImgWidthTablet:{
        type: "string",
        default:'',
    },
    imageBottomPaddingMobile:{
        type: 'object', 
        default: []
    },
    imageBottomPaddingTablet:{
        type: 'object', 
        default: []
    },
    imageBottomSize:{
        type: "string",
        default: "full",
    },


    boxShadow:{
        type: 'object',
        default: {
            openShadow: true,
            inset:'',
            horizontal: 0,
            vertical: 8,
            blur: 35,
            spread: 0,
            color:'rgba(0, 0, 0, 0.14)'
        }
    },
    showRatings:{
        type: 'boolean',
        default: false
    },
    titleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    listLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    list2LoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    actualPriceLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    discountPriceLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    savingPriceLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    couponContent: {
        type: 'string',
        default: 'Product description would go here. Edit this area to write your product description.'
    },
    priceBox1: {
        type: 'string',
        default: '$24.99/m',
    },
    priceBox2: {
        type: 'string',
        default: 'now $16.66/m',
    },
    priceBox3: {
        type: 'string',
        default: 'Save $75/year',
    },
    recreateStyles: {
        type: 'boolean',
        default: true,
    },
    listType: {
        type: 'string',
        default: 'unordered',
    },
    alignment: {
        type: 'string',
        default: 'left',
    },
    layout: {
        type: 'string',
        default: 'fill'
    },
    listItems: {
        type: 'array',
        default: ['']
    },
    listItemsTwo: {
        type: 'array',
        default: ['']
    },
    bulletStyle: {
        type: 'object',
        default: {
            name: 'circle',
            value: 'far fa-circle'
        }
    },
    bulletStyleTwo: {
        type: 'object',
        default: {
            name: 'check',
            value: 'far fa-check'
        }
    },
    bulletSize: {
        type: 'string',
        default: '16px',
    },
    bulletSizeCustom: {
        type: 'object',
        default: {
            md: 18,
            unit: 'px'
        },
    },
    bulletColor: {
        type: 'string',
        default: '',
    },
    bulletColorHover: {
        type: 'string',
        default: '',
    },
    useNumberBg: {
        type: 'boolean',
        default: true
    },
    numberFontSize: {
        type: 'string',
        default: '14',
    },
    numberBgSize: {
        type: 'string',
        default: '5',
    },
    numberBg: {
        type: 'string',
        default: '#c2e5ff',
    },
    numberBgHover: {
        type: 'string',
        default: '',
    },
    numberCorner: {
        type: 'string',
        default: '50',
    },
    color: {
        type: 'string',
        default: '#333',
    },
    colorHover: {
        type: 'string',
        default: '',
    },
    spacing: {
        type: 'object',
        default: {
            md: 5, unit: 'px'
        },
    },
    backgroundSize: {
        type: 'object',
        default: {
            openPadding: 1,
            paddingType: 'global',
            global: {
                md: '10',
                unit: 'px'
            }
        },
    },
    background: {
        type: 'string',
        default: '#f5f5f5',
    },
    backgroundHover: {
        type: 'string',
        default: '',
    },
    borderRadius: {
        type: 'object',
        default: {
            openBorderRadius: 1,
            radiusType: 'global'
        },
    },
    boxBgColor: {
        type: 'string',
        default:'#ffffff',
    },
    titleTextColor: {
        type: 'string',
        default:'#000000',
    },
    titlefontFamily: {
        type: 'string',
        default:'',
    },
    titlefontWeight: {
        type: 'string',
        default: '900',
    },
    titlefontSubset: {
        type: 'string',
        default: '',
    },
    titlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeDesktop: {
        type: 'number',
        default: '18',
    },
    titlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    titlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    titlelineHeight: {
        type: 'string',
        default: ''
    },
    titlelineHeightMobile: {
        type: 'string',
        default: ''
    },
    titlelineHeightTablet: {
        type: 'string',
        default: ''
    },
    titleletterSpacing: {
        type: 'number',
        default: ''
    },
    titleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    titleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    titleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    titletextTransform: {
        type: 'string',
        default: ''
    },
    titletextDecoration: {
        type: 'string',
        default: ''
    },
    titlefontStyle: {
        type: 'string',
        default: ''
    },
    // 
    listfontFamily: {
        type: 'string',
        default:'',
    },
    listfontWeight: {
        type: 'string',
        default: '',
    },
    listfontSubset: {
        type: 'string',
        default: '',
    },
    listfontSizeType: {
        type: 'string',
        default: 'px',
    },
    listfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    listfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    listfontSizeDesktop: {
        type: 'number',
        default: '14',
    },
    listfontSizeMobile: {
        type: 'number',
        default: '',
    },
    listfontSizeTablet: {
        type: 'number',
        default: '',
    },
    listlineHeight: {
        type: 'number',
        default: ''
    },
    listlineHeightMobile: {
        type: 'number',
        default: ''
    },
    listlineHeightTablet: {
        type: 'number',
        default: ''
    },
    listletterSpacing: {
        type: 'number',
        default: ''
    },
    listletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    listletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    listletterSpacingType: {
        type: 'string',
        default: ''
    },
    listletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    listletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    listtextTransform: {
        type: 'string',
        default: ''
    },
    listtextDecoration: {
        type: 'string',
        default: ''
    },
    listfontStyle: {
        type: 'string',
        default: ''
    },
    listTextColor: {
        type: 'string',
        default: ''
    },

    // 
    list2fontFamily: {
        type: 'string',
        default:'',
    },
    list2fontWeight: {
        type: 'string',
        default: '',
    },
    list2fontSubset: {
        type: 'string',
        default: '',
    },
    list2fontSizeType: {
        type: 'string',
        default: 'px',
    },
    list2fontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    list2fontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    list2fontSizeDesktop: {
        type: 'number',
        default: '12',
    },
    list2fontSizeMobile: {
        type: 'number',
        default: '',
    },
    list2fontSizeTablet: {
        type: 'number',
        default: '',
    },
    list2lineHeight: {
        type: 'number',
        default: ''
    },
    list2lineHeightMobile: {
        type: 'number',
        default: ''
    },
    list2lineHeightTablet: {
        type: 'number',
        default: ''
    },
    list2letterSpacing: {
        type: 'number',
        default: ''
    },
    list2letterSpacingMobile: {
        type: 'number',
        default: ''
    },
    list2letterSpacingTablet: {
        type: 'number',
        default: ''
    },
    list2letterSpacingType: {
        type: 'string',
        default: ''
    },
    list2letterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    list2letterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    list2textTransform: {
        type: 'string',
        default: ''
    },
    list2textDecoration: {
        type: 'string',
        default: ''
    },
    list2fontStyle: {
        type: 'string',
        default: ''
    },
    list2TextColor: {
        type: 'string',
        default: ''
    },


    // 
    actualPricefontFamily: {
        type: 'string',
        default:'',
    },
    actualPricefontWeight: {
        type: 'string',
        default: '',
    },
    actualPricefontSubset: {
        type: 'string',
        default: '',
    },
    actualPricefontSizeType: {
        type: 'string',
        default: 'px',
    },
    actualPricefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    actualPricefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    actualPricefontSizeDesktop: {
        type: 'number',
        default: '18',
    },
    actualPricefontSizeMobile: {
        type: 'number',
        default: '',
    },
    actualPricefontSizeTablet: {
        type: 'number',
        default: '',
    },
    actualPricelineHeight: {
        type: 'number',
        default: ''
    },
    actualPricelineHeightMobile: {
        type: 'number',
        default: ''
    },
    actualPricelineHeightTablet: {
        type: 'number',
        default: ''
    },
    actualPriceletterSpacing: {
        type: 'number',
        default: '0'
    },
    actualPriceletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    actualPriceletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    actualPriceletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    actualPriceletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    actualPriceletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    actualPricetextTransform: {
        type: 'string',
        default: ''
    },
    actualPricetextDecoration: {
        type: 'string',
        default: ''
    },
    actualPricefontStyle: {
        type: 'string',
        default: ''
    },
    actualPriceTextColor: {
        type: 'string',
        default: ''
    },



    // 
    discountPricefontFamily: {
        type: 'string',
        default:'',
    },
    discountPricefontWeight: {
        type: 'string',
        default: '',
    },
    discountPricefontSubset: {
        type: 'string',
        default: '',
    },
    discountPricefontSizeType: {
        type: 'string',
        default: 'px',
    },
    discountPricefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    discountPricefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    discountPricefontSizeDesktop: {
        type: 'number',
        default: '22',
    },
    discountPricefontSizeMobile: {
        type: 'number',
        default: '',
    },
    discountPricefontSizeTablet: {
        type: 'number',
        default: '',
    },
    discountPricelineHeight: {
        type: 'number',
        default: ''
    },
    discountPricelineHeightMobile: {
        type: 'number',
        default: ''
    },
    discountPricelineHeightTablet: {
        type: 'number',
        default: ''
    },
    discountPriceletterSpacing: {
        type: 'number',
        default: '0'
    },
    discountPriceletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    discountPriceletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    discountPriceletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    discountPriceletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    discountPriceletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    discountPricetextTransform: {
        type: 'string',
        default: ''
    },
    discountPricetextDecoration: {
        type: 'string',
        default: ''
    },
    discountPricefontStyle: {
        type: 'string',
        default: ''
    },
    discountPriceTextColor: {
        type: 'string',
        default: ''
    },


    // 
    savingPricefontFamily: {
        type: 'string',
        default:'',
    },
    savingPricefontWeight: {
        type: 'string',
        default: '',
    },
    savingPricefontSubset: {
        type: 'string',
        default: '',
    },
    savingPricefontSizeType: {
        type: 'string',
        default: 'px',
    },
    savingPricefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    savingPricefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    savingPricefontSizeDesktop: {
        type: 'number',
        default: '16',
    },
    savingPricefontSizeMobile: {
        type: 'number',
        default: '',
    },
    savingPricefontSizeTablet: {
        type: 'number',
        default: '',
    },
    savingPricelineHeight: {
        type: 'number',
        default: ''
    },
    savingPricelineHeightMobile: {
        type: 'number',
        default: ''
    },
    savingPricelineHeightTablet: {
        type: 'number',
        default: ''
    },
    savingPriceletterSpacing: {
        type: 'number',
        default: '0'
    },
    savingPriceletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    savingPriceletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    savingPriceletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    savingPriceletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    savingPriceletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    savingPricetextTransform: {
        type: 'string',
        default: ''
    },
    savingPricetextDecoration: {
        type: 'string',
        default: ''
    },
    savingPricefontStyle: {
        type: 'string',
        default: ''
    },
    savingPriceTextColor: {
        type: 'string',
        default: ''
    },

    couponBgColor: {
        type: 'string',
        default: ''
    },
    couponIconColor: {
        type: 'string',
        default: '#000000'
    },
    couponTextColor: {
        type: 'string',
        default: '#000000'
    },
    couponBgColor1: {
        type: 'string',
        default: ''
    },
    couponTextColor2: {
        type: 'string',
        default: '#000000'
    },
    couponIconColor2: {
        type: 'string',
        default: '#000000'
    },
    couponListColor1: {
        type: 'string',
        default: '#000000'
    },
    couponListColor: {
        type: 'string',
        default: '#000000'
    },
     // CTA BUTTON
     btnLoadGoogleFonts:{
        type: 'boolean',
        default: false
	},
    btnBgColor: {
        type: 'string',
        default:'#F9CC29',
    },
    btnTextColor: {
        type: 'string',
        default:'#000000',
    },
    btnfontFamily: {
        type: 'string',
        default:'',
    },
    btnfontWeight: {
        type: 'string',
        default: '',
    },
    btnfontSubset: {
        type: 'string',
        default: '',
    },
    btnfontSizeType: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeDesktop: {
        type: 'number',
        default: '18',
    },
    btnfontSizeMobile: {
        type: 'number',
        default: '',
    },
    btnfontSizeTablet: {
        type: 'number',
        default: '',
    },
    btnlineHeight: {
        type: 'string',
        default: ''
    },
    btnlineHeightMobile: {
        type: 'string',
        default: ''
    },
    btnlineHeightTablet: {
        type: 'string',
        default: ''
    },
    btnletterSpacing: {
        type: 'number',
        default: ''
    },
    btnletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    btnletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    btnletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    btntextTransform: {
        type: 'string',
        default: ''
    },
    btntextDecoration: {
        type: 'string',
        default: ''
    },
    btnfontStyle: {
        type: 'string',
        default: ''
	},
	btnBgColor:{
		type: 'string',
        default:'#F9CC29',
	},
	btnHoverBgColor:{
		type: 'string',
        default: '#00ffcc'
	},
	btnTextColor:{
		type: 'string',
        default: '#000000'
	},
	btnTextHoverColor:{
		type: 'string',
        default: '#000000'
	},
	btnBorderColor:{
		type: 'string',
        default: '#F9CC29'
    },
    btnBorderType:{
        type: 'string',
        default: ''
    },
	btnBorderHoverColor:{
		type: 'string',
        default: '#00ffcc'
    },
    spBtnText:{
        type: 'string',
        default: 'Activate Deal'
    },
    spBtnHref:{
        type: 'string',
        default: ''
    },
    btnAlignment: {
        type: 'string',
    },
    btnAlignmentMobile: {
        type: 'string',
    },
    btnAlignmentTablet: {
        type: 'string',
    },
    btnPadding:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMargin:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorder:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadius:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    // progress
    progressText:{
        type: 'string',
        default: 'Great'
    },
    progressBgColor:{
        type: 'string',
        default: '#007bff'
    },
    minRate:{
        type: 'string',
        default: '9.5'
    },
    maxRate:{
        type: 'string',
        default: '10'
    },
    couponMainTitle:{
        type: 'string',
        default: 'Product Headline Goes Here'
    },
    // Sub title
    contentLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    contentColor:{
        type: 'string',
        default: '#000000'
    },
    contentfontFamily: {
        type: 'string',
        default:'',
    },
    contentfontWeight: {
        type: 'string',
        default: '400',
    },
    contentfontSubset: {
        type: 'string',
        default: '',
    },
    contentfontSizeType: {
        type: 'string',
        default: 'px',
    },
    contentfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    contentfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    contentfontSizeDesktop: {
        type: 'number',
        default: '18',
    },
    contentfontSizeMobile: {
        type: 'number',
        default: '',
    },
    contentfontSizeTablet: {
        type: 'number',
        default: '',
    },
    contentlineHeight: {
        type: 'number',
        default: ''
    },
    contentlineHeightMobile: {
        type: 'number',
        default: ''
    },
    contentlineHeightTablet: {
        type: 'number',
        default: ''
    },
    contentletterSpacing: {
        type: 'number',
        default: ''
    },
    contentletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    contentletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    contentletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    contentletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    contentletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    contenttextTransform: {
        type: 'string',
        default: ''
    },
    contenttextDecoration: {
        type: 'string',
        default: ''
    },
    contentfontStyle: {
        type: 'string',
        default: ''
    },
    couponStyle: {
        type: 'string',
        default: 'style3'
    },
    flagStyle: {
        type: 'string',
        default: ''
    },
    titleTag1: {
        type: 'string',
        default: 'p'
    },
    titleTag2: {
        type: 'string',
        default: 'p'
    },
    btnRel: {
        type: 'string',
        default: 'nofollow'
    },
    contentTextColor: {
        type: 'string',
        default: ''
    },
    contentAlignment: {
        type: 'string',
        default: 'left',
    },
    contentAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    contentAlignmentTablet: {
        type: 'string',
        default: 'left',
    },
    // Progress
    progressHeight: {
        type: 'string',
        default: '15',
    },
    progressWidth: {
        type: 'string',
        default: '50',
    },
    progressLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    progressColor:{
        type: 'string',
        default: '#000000'
    },
    progressfontFamily: {
        type: 'string',
        default:'',
    },
    progressfontWeight: {
        type: 'string',
        default: '',
    },
    progressfontSubset: {
        type: 'string',
        default: '',
    },
    progressfontSizeType: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    progressfontSizeDesktop: {
        type: 'number',
        default: '',
    },
    progressfontSizeMobile: {
        type: 'number',
        default: '',
    },
    progressfontSizeTablet: {
        type: 'number',
        default: '',
    },
    progresslineHeight: {
        type: 'number',
        default: ''
    },
    progresslineHeightMobile: {
        type: 'number',
        default: ''
    },
    progresslineHeightTablet: {
        type: 'number',
        default: ''
    },
    progressletterSpacing: {
        type: 'number',
        default: ''
    },
    progressletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    progressletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    progressletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    progressletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    progressletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    progresstextTransform: {
        type: 'string',
        default: ''
    },
    progresstextDecoration: {
        type: 'string',
        default: ''
    },
    progressfontStyle: {
        type: 'string',
        default: ''
    },
    progressTextColor: {
        type: 'string',
        default: ''
    },
    progressAlignment: {
        type: 'string',
        default: 'left',
    },
    progressAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    progressAlignmentTablet: {
        type: 'string',
        default: 'left',
    },
    rateSize:{
        type: 'string',
        default:'20',
    },
    rateColor:{
        type: 'string',
        default:'#000000',
    },
    bntRounded:{
        type: 'boolean',
        default: false
    },
    btnSize:{
        type: 'string',
        default:'small'
    },
    buttonWidth:{
        type: 'string',
        default:'full'
    },
    buttonIcon:{
        type: 'string',
        default:''
    },
    iconPosition:{
        type: 'string',
        default:'af-icon-is-left'
    },
    btn_Htarget:{
        type: 'boolean',
        default: false
    },
    ratings:{
        type:'number',
        default:5
    },
    starsSize:{
        type:'string',
        default: 18
    },
    starsSizeMobile:{
        type:'string',
        default: 18
    },
    starsSizeTablet:{
        type:'string',
        default: 18
    },
    selectedStars: {
        type: 'number',
        default: 0
    },
    ratingsColor:{
        type: 'string',
        default: '#ffa500'
    },

    externalImage:{
        type: 'boolean',
        default: false
    },
    externalImageSrc:{
        type: "string",
        default:'',
    },


    showTitle:{
        type: 'boolean',
        default: true
    },
    showRating:{
        type: 'boolean',
        default: true
    },
    showContent:{
        type: 'boolean',
        default: true
    }, 
    showPrice:{
        type: 'boolean',
        default: true 
    },
    showButton:{
        type: 'boolean',
        default: true
    },


    btnBg: {
        type: 'object',
        default: {
            openBg : true, 
            bgDefaultColor: '#ffc207',   
            bgGradient:{
                color1:'#35c9ff',
                color2:'#39f768',
            },         
        },
    },

    btnBgHover: {
        type: 'object',
        default: {
            openBg : true,              
            bgDefaultColor: '#00ffcc',
            bgGradient:{
                color1:'#aefa57',
                color2:'#f7da1e',
            },
        },
    },

    enableGlimmerEffect:{
        type: 'boolean',
        default: false
    },

}

export default attributes;