/**
 * Set inline styles.
 * @param  {object} props - The block object.
 * @return {object} The inline background type CSS.
 */

import affiliate_generateCSS from "./generateCSS"
import { cssGradient, cssBoxShadow,cssWithoutSelector,cssTextShadow, cssBackground } from '../components/cssHelper'
function affiliate_styling( props, id ) {

	const {
            uniqueId,
            block_id,
            titleLoadGoogleFonts,
            listLoadGoogleFonts,
            propsTitle,
            consTitle,
            className,
            recreateStyles,
            alignment,
            listType,
            bulletStyle,
            bulletStyleTwo,
            numberCorner,
            numberFontSize,
            numberBgSize,
            useNumberBg,
            numberBg,
            numberBgHover,
            titleBgColor,
            titleTextColor,
            titlefontFamily,
            titlefontWeight,
            titlefontSubset,
            titlefontSizeType,
            titlefontSizeTypeMobile,
            titlefontSizeTypeTablet,
            titlefontSizeDesktop,
            titlefontSizeMobile,
            titlefontSizeTablet,
            titlelineHeight,
            titlelineHeightMobile,
            titlelineHeightTablet,
            titleletterSpacing,
            titleletterSpacingMobile,
            titleletterSpacingTablet,
            titleletterSpacingType,
            titleletterSpacingTypeTablet,
            titleletterSpacingTypeMobile,
            titletextTransform,
            titletextDecoration,
            titlefontStyle,
            // 
            listfontFamily,
            listfontWeight,
            listfontSubset,
            listfontSizeType,
            listfontSizeTypeMobile,
            listfontSizeTypeTablet,
            listfontSizeDesktop,
            listfontSizeMobile,
            listfontSizeTablet,
            listlineHeight,
            listlineHeightMobile,
            listlineHeightTablet,
            listletterSpacing,
            listletterSpacingMobile,
            listletterSpacingTablet,
            listletterSpacingType,
            listletterSpacingTypeTablet,
            listletterSpacingTypeMobile,
            listtextTransform,
            listtextDecoration,
            listfontStyle,
            listTextColor,
            propsBgColor,
            propsTextColor,
            propsIconColor,
            consBgColor,
            consTextColor,
            consIconColor,
            consListColor,
            propsListColor,
            image,
            minRate,
            maxRate,
            progressBgColor,
            // CTA BUTTON
            btnLoadGoogleFonts,
            btnfontFamily,
            btnfontWeight,
            listItems,
            btnfontSubset,
            btnfontSizeType,
            btnfontSizeTypeMobile,
            btnfontSizeTypeTablet,
            btnfontSizeDesktop,
            btnfontSizeMobile,
            btnfontSizeTablet,
            btnlineHeight,
            btnlineHeightMobile,
            btnlineHeightTablet,
            btnletterSpacing,
            btnletterSpacingMobile,
            btnletterSpacingTablet,
            btnletterSpacingType,
            btnletterSpacingTypeTablet,
            btnletterSpacingTypeMobile,
            btntextTransform,
            btntextDecoration,
            btnfontStyle,
            btnBgColor,
            btnHoverBgColor,
            btnTextColor,
            btnTextHoverColor,
            btnBorderColor,
            btnBorderHoverColor,
            btn_Htarget,
            spBtnText,
            spBtnHref,
            progressText,
            opPickMainTitle,
            btnPadding,
            btnPaddingMobile,
            btnPaddingTablet,
            btnMargin,
            btnMarginMobile,
            btnMarginTablet,
            btnAlignment,
            btnAlignmentMobile,
            btnAlignmentTablet,
            btnBorder,
            btnBorderType,
            btnBorderMobile,
            btnBorderTablet,
            btnBorderRadius,
            btnBorderRadiusMobile,
            btnBorderRadiusTablet,
            // Sub Title
            subtitleLoadGoogleFonts,
            subtitleTextColor,
            subtitlefontFamily,
            subtitlefontWeight,
            subtitlefontSubset,
            subtitlefontSizeType,
            subtitlefontSizeTypeMobile,
            subtitlefontSizeTypeTablet,
            subtitlefontSizeDesktop,
            subtitlefontSizeMobile,
            subtitlefontSizeTablet,
            subtitlelineHeight,
            subtitlelineHeightMobile,
            subtitlelineHeightTablet,
            subtitleletterSpacing,
            subtitleletterSpacingMobile,
            subtitleletterSpacingTablet,
            subtitleletterSpacingType,
            subtitleletterSpacingTypeTablet,
            subtitleletterSpacingTypeMobile,
            subtitletextTransform,
            subtitletextDecoration,
            subtitlefontStyle,
            subtitleAlignment,
            subtitleAlignmentMobile,
            subtitleAlignmentTablet,
            topPickMainTitle,
            progressHeight,
            progressWidth,
            progressLoadGoogleFonts,
            progressColor,
            progressfontFamily,
            progressfontWeight,
            progressfontSubset,
            progressfontSizeType,
            progressfontSizeTypeMobile,
            progressfontSizeTypeTablet,
            progressfontSizeDesktop,
            progressfontSizeMobile,
            progressfontSizeTablet,
            progresslineHeight,
            progresslineHeightMobile,
            progresslineHeightTablet,
            progressletterSpacing,
            progressletterSpacingMobile,
            progressletterSpacingTablet,
            progressletterSpacingType,
            progressletterSpacingTypeTablet,
            progressletterSpacingTypeMobile,
            progresstextTransform,
            progresstextDecoration,
            progressfontStyle,
            progressTextColor,
            rateSize,
            rateColor,
            iconPosition,
            btnSize,
            buttonIcon,
            buttonWidth,
            bntRounded,
            boxShadow,
            imagePadding,
            imagePaddingMobile,
            imagePaddingTablet,
            customImgWidth,
            customImgWidthMobile,
            customImgWidthTablet,
            titleTag1,


            enable_btn2,
            spBtnText2,
            spBtnHref2,
            buttonIcon2,
            buttonWidth2,
            bntRounded2,
            iconPosition2,
            btnLoadGoogleFonts2,
            btnfontFamily2,
            btnfontWeight2,
            btnfontSubset2,
            btnfontSizeType2,
            btnfontSizeTypeMobile2,
            btnfontSizeTypeTablet2,
            btnfontSizeDesktop2,
            btnfontSizeMobile2,
            btnfontSizeTablet2,
            btnlineHeight2,
            btnlineHeightMobile2,
            btnlineHeightTablet2,
            btnletterSpacing2,
            btnletterSpacingMobile2,
            btnletterSpacingTablet2,
            btnletterSpacingType2,
            btnletterSpacingTypeTablet2,
            btnletterSpacingTypeMobile2,
            btntextTransform2,
            btntextDecoration2,
            btnfontStyle2,
            btnBgColor2,
            btnHoverBgColor2,
            btnTextColor2,
            btnTextHoverColor2,
            btnBorderColor2,
            btnBorderHoverColor2,
            btn_Htarget2,
            btnPadding2,
            btnPaddingMobile2,
            btnPaddingTablet2,
            btnMargin2,
            btnMarginMobile2,
            btnMarginTablet2,
            btnAlignment2,
            btnAlignmentMobile2,
            btnAlignmentTablet2,
            btnBorder2,
            btnBorderType2,
            btnBorderMobile2,
            btnBorderTablet2,
            btnBorderRadius2,
            btnBorderRadiusMobile2,
            btnBorderRadiusTablet2,
            btnRel2,
            btnSize2,



            enable_btn3,
            spBtnText3,
            spBtnHref3,
            buttonIcon3,
            buttonWidth3,
            bntRounded3,
            iconPosition3,
            btnLoadGoogleFonts3,
            btnfontFamily3,
            btnfontWeight3,
            btnfontSubset3,
            btnfontSizeType3,
            btnfontSizeTypeMobile3,
            btnfontSizeTypeTablet3,
            btnfontSizeDesktop3,
            btnfontSizeMobile3,
            btnfontSizeTablet3,
            btnlineHeight3,
            btnlineHeightMobile3,
            btnlineHeightTablet3,
            btnletterSpacing3,
            btnletterSpacingMobile3,
            btnletterSpacingTablet3,
            btnletterSpacingType3,
            btnletterSpacingTypeTablet3,
            btnletterSpacingTypeMobile3,
            btntextTransform3,
            btntextDecoration3,
            btnfontStyle3,
            btnBgColor3,
            btnHoverBgColor3,
            btnTextColor3,
            btnTextHoverColor3,
            btnBorderColor3,
            btnBorderHoverColor3,
            btn_Htarget3,
            btnPadding3,
            btnPaddingMobile3,
            btnPaddingTablet3,
            btnMargin3,
            btnMarginMobile3,
            btnMarginTablet3,
            btnAlignment3,
            btnAlignmentMobile3,
            btnAlignmentTablet3,
            btnBorder3,
            btnBorderType3,
            btnBorderMobile3,
            btnBorderTablet3,
            btnBorderRadius3,
            btnBorderRadiusMobile3,
            btnBorderRadiusTablet3,
            btnRel3,
            btnSize3,

            btnBg,
            btnBgHover,
            btnBg2,
            btnBgHover2,
            btnBg3,
            btnBgHover3,


      } = props.attributes
      
      const Tag1 = titleTag1

      var mobile_selectors = {}
      var tablet_selectors = {}
      var style = {}
      // console.log(boxShadow)

      var styleBtnBg = cssBackground(btnBg);
      var styleBtnBgHover = cssBackground(btnBgHover);
      var styleBtnBg2 = cssBackground(btnBg2);
      var styleBtnBgHover2 = cssBackground(btnBgHover2);
      var styleBtnBg3 = cssBackground(btnBg3);
      var styleBtnBgHover3 = cssBackground(btnBgHover3);

        var selectors = {
            " .affiliate-pr-maintitle":{
                  "background":titleBgColor,
            },
            " .affiliate-pr-inner":{
                  "box-shadow":cssBoxShadow(boxShadow),
            },
            " .affiliate-pr-image":{
                  "padding" : ( imagePadding && undefined !== imagePadding[ 'top' ] && null !== imagePadding[ 'top' ] ? imagePadding[ 'top' ] + imagePadding['unit'] + ' ' + imagePadding[ 'right' ] + imagePadding['unit'] + ' ' + imagePadding[ 'bottom' ] + imagePadding['unit'] + ' ' + imagePadding[ 'left' ] + imagePadding['unit'] : '' ),
            },
            " .affiliate-pr-image img":{
                  "width": customImgWidth + 'px'                  
            },
            " .affiliate-pr-btn-wrapper":{
                  "justify-content":btnAlignment
              },
            " .affiliate-progress-text":{
                  "font-family": progressfontFamily,
                  "font-size": progressfontSizeDesktop + progressfontSizeType,
                  "font-style":progressfontStyle,
                  "font-weight":progressfontWeight,
                  "letter-spacing":progressletterSpacing + progressletterSpacingType,
                  "line-height":progresslineHeight,
                  "text-decoration":progresstextDecoration,
                  "text-transform":progresstextTransform,
            },
            " .affiliate-pr-review":{
                  "font-size":rateSize + 'px',
                  "color":rateColor
            },
            " .affiliate-progress-bar":{
                  "width": progressWidth + '%',
                  "height": progressHeight + 'px',
                  "background-color":progressBgColor
            },
            " .affiliate-progress":{
                  "height": progressHeight + 'px',
            },
            " .affiliate-pr-inner .affiliate-props-title":{
                  "color": propsTextColor,
            },
          " .affiliate-pr-inner .affiliate-const-title":{
                  "color": consTextColor,
            },
            " .affiliate-pr-inner .affiliate-props-list li:before":{
                  "color":propsIconColor,
            },
            " .affiliate-pr-inner .affiliate-cons-list li:before":{
                  "color":consIconColor,
            },
            " .affiliate-pr-inner .affiliate-props-list li":{
                  "color":propsListColor,
            },
            " .affiliate-pr-inner .affiliate-cons-list li":{
                  "color":consListColor,
            },
            " .affiliate-pr-inner .affiliate-propcon-title":{
                  "font-family": subtitlefontFamily,
                  "font-size": subtitlefontSizeDesktop + subtitlefontSizeType,
                  "font-style":subtitlefontStyle,
                  "font-weight":subtitlefontWeight,
                  "letter-spacing":subtitleletterSpacing + subtitleletterSpacingType,
                  "line-height":subtitlelineHeight,
                  "text-decoration":subtitletextDecoration,
                  "text-transform":subtitletextTransform,
            },
            " .affiliate-pr-inner .affiliate-list":{
                  "font-family": listfontFamily,
                  "font-size": listfontSizeDesktop + listfontSizeType,
                  "font-style":listfontStyle,
                  "font-weight":listfontWeight,
                  "letter-spacing":listletterSpacing + listletterSpacingType,
                  "line-height":listlineHeight,
                  "text-decoration":listtextDecoration,
                  "text-transform":listtextTransform,
            },
            " .affiliate-pr-btn-wrapper .affiliate-btn":{
                  "font-family": btnfontFamily,
                  "font-size": btnfontSizeDesktop + btnfontSizeType,
                  "font-style":btnfontStyle,
                  "font-weight":btnfontWeight,
                  "letter-spacing":btnletterSpacing + btnletterSpacingType,
                  "line-height":btnlineHeight,
                  "text-decoration":btntextDecoration,
                  "text-transform":btntextTransform,
                  "background":styleBtnBg,
                  "color":btnTextColor,
                  "border-color":btnBorderColor,
                  "border-style":btnBorderType,
                  "border-radius":( btnBorderRadius && undefined !== btnBorderRadius[ 'top' ] && null !== btnBorderRadius[ 'top' ] ? btnBorderRadius[ 'top' ] + btnBorderRadius['unit'] + ' ' + btnBorderRadius[ 'right' ] + btnBorderRadius['unit'] + ' ' + btnBorderRadius[ 'bottom' ] + btnBorderRadius['unit'] + ' ' + btnBorderRadius[ 'left' ] + btnBorderRadius['unit'] : '' ),
                  "border-width" : ( btnBorder && undefined !== btnBorder[ 'top' ] && null !== btnBorder[ 'top' ] ? btnBorder[ 'top' ] + btnBorder['unit'] + ' ' + btnBorder[ 'right' ] + btnBorder['unit'] + ' ' + btnBorder[ 'bottom' ] + btnBorder['unit'] + ' ' + btnBorder[ 'left' ] + btnBorder['unit'] : '' ),
                  "padding" : ( btnPadding && undefined !== btnPadding[ 'top' ] && null !== btnPadding[ 'top' ] ? btnPadding[ 'top' ] + btnPadding['unit'] + ' ' + btnPadding[ 'right' ] + btnPadding['unit'] + ' ' + btnPadding[ 'bottom' ] + btnPadding['unit'] + ' ' + btnPadding[ 'left' ] + btnPadding['unit'] : '' ),
                  "margin" : ( btnMargin && undefined !== btnMargin[ 'top' ] && null !== btnMargin[ 'top' ] ? btnMargin[ 'top' ] + btnMargin['unit'] + ' ' + btnMargin[ 'right' ] + btnMargin['unit'] + ' ' + btnMargin[ 'bottom' ] + btnMargin['unit'] + ' ' + btnMargin[ 'left' ] + btnMargin['unit'] : '' ),
            },
            " .affiliate-pr-btn-wrapper .affiliate-btn:hover":{
                  "background":styleBtnBgHover,
                  "border-color":btnBorderHoverColor,
                  "color":btnTextHoverColor
            },


            " .affiliate-pr-btn-wrapper .affiliate-btn.btn2":{
                  "font-family": btnfontFamily2,
                  "font-size": btnfontSizeDesktop2 + btnfontSizeType2,
                  "font-style":btnfontStyle2,
                  "font-weight":btnfontWeight2,
                  "letter-spacing":btnletterSpacing2 + btnletterSpacingType2,
                  "line-height":btnlineHeight2,
                  "text-decoration":btntextDecoration2,
                  "text-transform":btntextTransform2,
                  "background":styleBtnBg2,
                  "color":btnTextColor2,
                  "border-color":btnBorderColor2,
                  "border-style":btnBorderType2,
                  "border-radius":( btnBorderRadius2 && undefined !== btnBorderRadius2[ 'top' ] && null !== btnBorderRadius2[ 'top' ] ? btnBorderRadius2[ 'top' ] + btnBorderRadius2['unit'] + ' ' + btnBorderRadius2[ 'right' ] + btnBorderRadius2['unit'] + ' ' + btnBorderRadius2[ 'bottom' ] + btnBorderRadius2['unit'] + ' ' + btnBorderRadius2[ 'left' ] + btnBorderRadius2['unit'] : '' ),
                  "border-width" : ( btnBorder2 && undefined !== btnBorder2[ 'top' ] && null !== btnBorder2[ 'top' ] ? btnBorder2[ 'top' ] + btnBorder2['unit'] + ' ' + btnBorder2[ 'right' ] + btnBorder2['unit'] + ' ' + btnBorder2[ 'bottom' ] + btnBorder2['unit'] + ' ' + btnBorder2[ 'left' ] + btnBorder2['unit'] : '' ),
                  "padding" : ( btnPadding2 && undefined !== btnPadding2[ 'top' ] && null !== btnPadding2[ 'top' ] ? btnPadding2[ 'top' ] + btnPadding2['unit'] + ' ' + btnPadding2[ 'right' ] + btnPadding2['unit'] + ' ' + btnPadding2[ 'bottom' ] + btnPadding2['unit'] + ' ' + btnPadding2[ 'left' ] + btnPadding2['unit'] : '' ),
                  "margin" : ( btnMargin2 && undefined !== btnMargin2[ 'top' ] && null !== btnMargin2[ 'top' ] ? btnMargin2[ 'top' ] + btnMargin2['unit'] + ' ' + btnMargin2[ 'right' ] + btnMargin2['unit'] + ' ' + btnMargin2[ 'bottom' ] + btnMargin2['unit'] + ' ' + btnMargin2[ 'left' ] + btnMargin2['unit'] : '' ),
            },
            " .affiliate-pr-btn-wrapper .affiliate-btn.btn2:hover":{
                  "background":styleBtnBgHover2,
                  "border-color":btnBorderHoverColor2,
                  "color":btnTextHoverColor2
            },


            " .affiliate-pr-btn-wrapper .affiliate-btn.btn3":{
                  "font-family": btnfontFamily3,
                  "font-size": btnfontSizeDesktop3 + btnfontSizeType3,
                  "font-style":btnfontStyle3,
                  "font-weight":btnfontWeight3,
                  "letter-spacing":btnletterSpacing3 + btnletterSpacingType3,
                  "line-height":btnlineHeight3,
                  "text-decoration":btntextDecoration3,
                  "text-transform":btntextTransform3,
                  "background":styleBtnBg3,
                  "color":btnTextColor3,
                  "border-color":btnBorderColor3,
                  "border-style":btnBorderType3,
                  "border-radius":( btnBorderRadius3 && undefined !== btnBorderRadius3[ 'top' ] && null !== btnBorderRadius3[ 'top' ] ? btnBorderRadius3[ 'top' ] + btnBorderRadius3['unit'] + ' ' + btnBorderRadius3[ 'right' ] + btnBorderRadius3['unit'] + ' ' + btnBorderRadius3[ 'bottom' ] + btnBorderRadius3['unit'] + ' ' + btnBorderRadius3[ 'left' ] + btnBorderRadius3['unit'] : '' ),
                  "border-width" : ( btnBorder3 && undefined !== btnBorder3[ 'top' ] && null !== btnBorder3[ 'top' ] ? btnBorder3[ 'top' ] + btnBorder3['unit'] + ' ' + btnBorder3[ 'right' ] + btnBorder3['unit'] + ' ' + btnBorder3[ 'bottom' ] + btnBorder3['unit'] + ' ' + btnBorder3[ 'left' ] + btnBorder3['unit'] : '' ),
                  "padding" : ( btnPadding3 && undefined !== btnPadding3[ 'top' ] && null !== btnPadding3[ 'top' ] ? btnPadding3[ 'top' ] + btnPadding3['unit'] + ' ' + btnPadding3[ 'right' ] + btnPadding3['unit'] + ' ' + btnPadding3[ 'bottom' ] + btnPadding3['unit'] + ' ' + btnPadding3[ 'left' ] + btnPadding3['unit'] : '' ),
                  "margin" : ( btnMargin3 && undefined !== btnMargin3[ 'top' ] && null !== btnMargin3[ 'top' ] ? btnMargin3[ 'top' ] + btnMargin3['unit'] + ' ' + btnMargin3[ 'right' ] + btnMargin3['unit'] + ' ' + btnMargin3[ 'bottom' ] + btnMargin3['unit'] + ' ' + btnMargin3[ 'left' ] + btnMargin3['unit'] : '' ),
            },
            " .affiliate-pr-btn-wrapper .affiliate-btn.btn3:hover":{
                  "background":styleBtnBgHover3,
                  "border-color":btnBorderHoverColor3,
                  "color":btnTextHoverColor3
            }

      }

      selectors[' .affiliate-pr-maintitle ' + Tag1] = {
            "font-family": titlefontFamily,
            "font-size": titlefontSizeDesktop + titlefontSizeType,
            "font-style":titlefontStyle,
            "font-weight":titlefontWeight,
            "letter-spacing":titleletterSpacing + titleletterSpacingType,
            "line-height":titlelineHeight,
            "text-decoration":titletextDecoration,
            "text-transform":titletextTransform,
            "color":titleTextColor,
      }, 
  
        tablet_selectors = {
       
        }

        mobile_selectors = {
       
        }



	var affiliate_styling_css = ""

	affiliate_styling_css = affiliate_generateCSS( selectors, `#${id}-${ props.clientId }` )

  affiliate_styling_css += affiliate_generateCSS( tablet_selectors, `#${id}-${ props.clientId }`, true, "tablet" )

  affiliate_styling_css += affiliate_generateCSS( mobile_selectors, `#${id}-${ props.clientId }`, true, "mobile" )

	return affiliate_styling_css
}

export default affiliate_styling
