const { Component, Fragment } = wp.element;
import classnames from "classnames"
import ProductImage from './productImage';
// const { HelperFunction: { animationAttr, IsInteraction } } = wp.affiliateComponents
const { RichText,InnerBlocks } = wp.blockEditor;
const NEW_TAB_REL = 'noopener noreferrer';
class Save extends Component {
    renderListItems = () => {
        const { attributes: { listItems, listItemsTwo } } = this.props
        return listItems.map(item => <li>{item}</li>)
    }

    render() {
        const { attributes: { uniqueId, block_id,designType,titleTag2,btnRel,titleTag1, boxStyle,contentType,listTextItems, buttonIcon, buttonWidth, boxPosition, imagePosition, btnSize, iconPosition, bntRounded, spSubTitle, cntnText,cntnTextBottom, topBoxText, spBtnHref, btn_Htarget, image, spTitle, spBtnText, spContent, alignment, titlefontWeight, bulletStyle, listType, animation, interaction, consTitle, propsTitle,
            enable_btn1,
            enable_btn2,btnLoadGoogleFonts2,btnBgColor2,btnTextColor2,btnfontFamily2,btnfontWeight2,btnfontSubset2,btnfontSizeType2,btnfontSizeTypeMobile2,
btnfontSizeTypeTablet2,btnfontSizeDesktop2,btnfontSizeMobile2,btnfontSizeTablet2,btnlineHeight2,btnlineHeightMobile2,btnlineHeightTablet2,
btnletterSpacing2,btnletterSpacingMobile2,btnletterSpacingTablet2,btnletterSpacingType2,btnletterSpacingTypeTablet2,btnletterSpacingTypeMobile2,
btntextTransform2,btntextDecoration2,btnfontStyle2,btnHoverBgColor2,btnTextHoverColor2,btnBorderColor2,
btnBorderHoverColor2,btnRel2,btn_Htarget2,bntRounded2,btnSize2,buttonWidth2,buttonIcon2,iconPosition2,spBtnText2,spBtnHref2,btnAlignment2,
btnAlignmentMobile2,btnAlignmentTablet2,btnPadding2,btnPaddingTablet2,btnPaddingMobile2,btnMargin2,btnMarginTablet2,btnMarginMobile2,
btnBorder2,btnBorderMobile2,btnBorderTablet2,btnBorderRadius2,btnBorderRadiusMobile2,btnBorderRadiusTablet2,btnBorderType2,

enable_btn3,btnLoadGoogleFonts3,btnBgColor3,btnTextColor3,btnfontFamily3,btnfontWeight3,btnfontSubset3,btnfontSizeType3,btnfontSizeTypeMobile3,
btnfontSizeTypeTablet3,btnfontSizeDesktop3,btnfontSizeMobile3,btnfontSizeTablet3,btnlineHeight3,btnlineHeightMobile3,btnlineHeightTablet3,
btnletterSpacing3,btnletterSpacingMobile3,btnletterSpacingTablet3,btnletterSpacingType3,btnletterSpacingTypeTablet3,btnletterSpacingTypeMobile3,
btntextTransform3,btntextDecoration3,btnfontStyle3,btnHoverBgColor3,btnTextHoverColor3,btnBorderColor3,
btnBorderHoverColor3,btnRel3,btn_Htarget3,bntRounded3,btnSize3,buttonWidth3,buttonIcon3,iconPosition3,spBtnText3,spBtnHref3,btnAlignment3,
btnAlignmentMobile3,btnAlignmentTablet3,btnPadding3,btnPaddingTablet3,btnPaddingMobile3,btnMargin3,btnMarginTablet3,btnMarginMobile3,
btnBorder3,btnBorderMobile3,btnBorderTablet3,btnBorderRadius3,btnBorderRadiusMobile3,btnBorderRadiusTablet3,btnBorderType3,

            externalImage,
            externalImageSrc,

            showMainTitle,
            showFeature,
            showMainContent,

            enableGlimmerEffect,
            enableGlimmerEffect2,
            enableGlimmerEffect3,


         } } = this.props
        // const interactionClass = IsInteraction(interaction) ? 'qubley-block-interaction' : '';
        const ListTag = listType == 'ordered' ? 'ol' : 'ul'
        const Tag1  = titleTag1
        const Tag2  = titleTag2

        let newrel;
        if( !btn_Htarget){
            newrel = btnRel
        } else  if( !btn_Htarget && btnRel === NEW_TAB_REL){
            newrel = btnRel
        } else if ( btn_Htarget && !btnRel ) {
            newrel = NEW_TAB_REL
        } else {
            newrel = NEW_TAB_REL + ' ' + btnRel
        }


        let newrel2;
        if( !btn_Htarget2){
            newrel2 = btnRel2
        } else  if( !btn_Htarget2 && btnRel2 === NEW_TAB_REL){
            newrel2 = btnRel2
        } else if ( btn_Htarget2 && !btnRel2 ) {
            newrel2 = NEW_TAB_REL
        } else {
            newrel2 = NEW_TAB_REL + ' ' + btnRel
        }


        let newrel3;
        if( !btn_Htarget3){
            newrel3 = btnRel3
        } else  if( !btn_Htarget3 && btnRel3 === NEW_TAB_REL){
            newrel3 = btnRel3
        } else if ( btn_Htarget3 && !btnRel3 ) {
            newrel3 = NEW_TAB_REL
        } else {
            newrel3 = NEW_TAB_REL + ' ' + btnRel3
        }

        function removeDuplicateWords (s) {
            // your perfect code...
          var str = s.split(" ");
          var result = [];
          for(var i =0; i < str.length ; i++){
              if(result.indexOf(str[i]) === -1){
                result.push(str[i]);
              } 
          }
           return result.join(" ");
          }
          
        newrel = removeDuplicateWords(newrel).trim()

        let spTitleSlug = spTitle.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");
        let spSubTitleSlug = spSubTitle.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");

        return (
            <Fragment>
                <div id={`affiliate-style-${block_id}`} className={`affiliate-singleproductspecs`}>
                    <div className={`affiliate-singleproductspecs-main  affiliate-box-position-${boxPosition}`}>
                        <div className={`affiliate-singleproductspecs-wrapper`}>
                            
                            <div className={`affiliate-singleproductspecs-inner`}>
                                <div className={`affiliate-singleproductspecs-content affiliate-image-position-${imagePosition}`}>
                                    <div className={`affiliate-singleproductspecs-img-wrapper`}>

                                        <RichText.Content
                                            tagName="span"
                                            value={topBoxText}
                                            className="affiliate-singleproductspecs"
                                        />
 
                                        { designType && designType == 'ab-fixed-design' && !externalImage && !externalImage == true &&
                                             <ProductImage attributes={this.props.attributes} />
                                        }

                                        { designType && designType == 'ab-fixed-design' &&  externalImage && externalImage == true &&
                                            <div className={`affiliate-toppick-image`}>
                                                <img src={externalImageSrc} />
                                            </div>
                                        }
                                        
                                        { designType && designType == 'ab-dynamic-design' &&
                                            <div className={`aff-inner-block`}>
                                               <InnerBlocks.Content/>
                                            </div>
                                        }


                                       

                                    </div>
                                    <div className={`affiliate-singleproductspecs-cntn-wrapper affiliate-block-advanced-list`}>
                                        
                                        { showMainTitle && showMainTitle == true &&
                                            <RichText.Content
                                                tagName={Tag1}
                                                value={spTitle}
                                                className="affiliate-singleproductspecs-title"
                                                id={spTitleSlug} 
                                            />
                                        }

                                        { showFeature && showFeature == true &&
                                            <RichText.Content
                                                tagName="ul"
                                                multiline="li"
                                                className={`affiliate-list affiliate-singleproductspecs-cntn affiliate-list-type-unordered affiliate-list-bullet-${bulletStyle.name} affiliate-notice-content`}
                                                value={ listTextItems }
                                            />
                                        }

                                        { showMainContent && showMainContent == true &&
                                            <RichText.Content
                                                tagName="p"
                                                value={cntnText}
                                                className="affiliate-singleproductspecs-cntn"
                                            />
                                        }
                                       
                                        { enable_btn1 && enable_btn1 == true &&
                                             <div className={`affiliate-singleproductspecs-btn-wrapper`}>
                                                <a href={spBtnHref} className={classnames(`affiliate-singleproductspecs-btn  btn-is-${btnSize} ${buttonWidth === "full"? "btn-is-fullw" : buttonWidth === "flex" ? `btn-is-flex-${btnSize}` : "" } ${bntRounded ? 'btn-is-rounded' : ''} ${enableGlimmerEffect ? 'glimmer-effect' : ''}`).trim()} 
                                                    {...(btn_Htarget ? {...btn_Htarget && { rel: newrel }} : { rel: newrel }  )}
                                                    {...(btn_Htarget ? { target: '_blank' } : '' )}

                                                    >
                                                    {iconPosition && iconPosition == 'af-icon-is-left' &&
                                                        <i className={`affiliate-abbtn-icon ${buttonIcon} ${iconPosition}`}></i>
                                                    }
                                                    <RichText.Content value={spBtnText} />
                                                    {iconPosition && iconPosition == 'af-icon-is-right' &&
                                                        <i className={`affiliate-abbtn-icon ${buttonIcon} ${iconPosition}`}></i>
                                                    }
                                                </a>
                                            </div>
                                        }

                                        { enable_btn2 && enable_btn2 == true &&
                                            <div className={`affiliate-singleproductspecs-btn-wrapper`}>
                                                <a href={spBtnHref2} className={classnames(`affiliate-singleproductspecs-btn btn2 btn-is-${btnSize2} ${buttonWidth2 === "full"? "btn-is-fullw" : buttonWidth2 === "flex" ? `btn-is-flex-${btnSize2}` : "" } ${bntRounded2 ? 'btn-is-rounded' : ''}  ${enableGlimmerEffect2 ? 'glimmer-effect' : ''}`).trim()} 
                                                    {...(btn_Htarget2 ? {...btn_Htarget2 && { rel: newrel2 }} : { rel: newrel2 }  )}
                                                    {...(btn_Htarget2 ? { target: '_blank' } : '' )}

                                                    >
                                                    {iconPosition2 && iconPosition2 == 'af-icon-is-left' &&
                                                        <i className={`affiliate-abbtn-icon ${buttonIcon2} ${iconPosition2}`}></i>
                                                    }
                                                    <RichText.Content value={spBtnText2} />
                                                    {iconPosition2 && iconPosition2 == 'af-icon-is-right' &&
                                                        <i className={`affiliate-abbtn-icon ${buttonIcon2} ${iconPosition2}`}></i>
                                                    }
                                                </a>
                                            </div>
                                        }

                                        { enable_btn3 && enable_btn3 == true &&
                                            <div className={`affiliate-singleproductspecs-btn-wrapper`}>
                                                <a href={spBtnHref3} className={classnames(`affiliate-singleproductspecs-btn btn3 btn-is-${btnSize3} ${buttonWidth3 === "full"? "btn-is-fullw" : buttonWidth3 === "flex" ? `btn-is-flex-${btnSize3}` : "" } ${bntRounded3 ? 'btn-is-rounded' : ''}  ${enableGlimmerEffect3 ? 'glimmer-effect' : ''}`).trim()} 
                                                    {...(btn_Htarget3 ? {...btn_Htarget3 && { rel: newrel3 }} : { rel: newrel3 }  )}
                                                    {...(btn_Htarget3 ? { target: '_blank' } : '' )}

                                                    >
                                                    {iconPosition3 && iconPosition3 == 'af-icon-is-left' &&
                                                        <i className={`affiliate-abbtn-icon ${buttonIcon3} ${iconPosition3}`}></i>
                                                    }
                                                    <RichText.Content value={spBtnText3} />
                                                    {iconPosition3 && iconPosition3 == 'af-icon-is-right' &&
                                                        <i className={`affiliate-abbtn-icon ${buttonIcon3} ${iconPosition3}`}></i>
                                                    }
                                                </a>
                                            </div>
                                        }
                                        
                                    </div>
                                </div>

                                        
                            </div>
                        </div>
                    </div>
                </div>
            </Fragment>
        );
    }
}

export default Save;