import './editor.scss';
import './style.scss';
import Edit from './Edit';
import Save from './Save';
import attributes from './attributes';
import icons from '../../icons/icons';
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

registerBlockType('affiliate-booster/ab-single-product-specs', {
    title: __('AB - Single Product Specs'),
    description: __(''),
    category: 'affiliate-booster',
    icon: icons.toppick,
    keywords: [
        __('Top Pick'),
        __('Product Top Pick'),
        __('Product Comparison Box'),
    ],
    example: {
        attributes: {
            background: '#fff'
        },
    },
    attributes,
    edit: Edit,
    save: Save,
});
