const { Component,Fragment } = wp.element;
import classnames from "classnames"
import ProductImage from './productImage';
const { RichText,InnerBlocks } = wp.blockEditor;
const NEW_TAB_REL = 'noopener noreferrer';
class Save extends Component {
    renderListItems = () => {
        const { attributes: { listItems, listItemsTwo } } = this.props
        return listItems.map(item => <li>{item}</li>)
    }
    
    render() {
        const { attributes: { uniqueId,designType,btnRel, block_id,titleTag1,boxBackgroundColor,titleTag2,pContent,contentType,boxStyle,listTextItems,spSubTitle,spBtnHref,btn_Htarget,image,iconPosition,enable_btn1,buttonIcon,buttonWidth,btnSize,bntRounded,spTitle,spBtnText,spContent,alignment,titlefontWeight, bulletStyle, listType, animation, interaction, consTitle, propsTitle,
                enable_btn2,
                buttonIcon2,
                spBtnText2,
                spBtnHref2,
                btnRel2,
                btnSize2,
                btnLoadGoogleFonts2,
                btnfontFamily2,
                btnfontWeight2,
                btnfontSubset2,
                btnfontSizeType2,
                btnfontSizeTypeMobile2,
                btnfontSizeTypeTablet2,
                btnfontSizeDesktop2,
                btnfontSizeMobile2,
                btnfontSizeTablet2,
                btnlineHeight2,
                btnlineHeightMobile2,
                btnlineHeightTablet2,
                btnletterSpacing2,
                btnletterSpacingMobile2,
                btnletterSpacingTablet2,
                btnletterSpacingType2,
                btnletterSpacingTypeTablet2,
                btnletterSpacingTypeMobile2,
                btntextTransform2,
                btntextDecoration2,
                btnfontStyle2,
                btnBgColor2,
                btnHoverBgColor2,
                btnTextColor2,
                btnTextHoverColor2,
                btnBorderColor2,
                btnBorderHoverColor2,
                btn_Htarget2,
                btnPadding2,
                btnPaddingMobile2,
                btnPaddingTablet2,
                btnMargin2,
                btnMarginMobile2,
                btnMarginTablet2,
                btnAlignment2,
                btnAlignmentMobile2,
                btnAlignmentTablet2,
                btnBorder2,
                btnBorderType2,
                btnBorderMobile2,
                btnBorderTablet2,
                btnBorderRadius2,
                btnBorderRadiusMobile2,
                btnBorderRadiusTablet2,
                iconPosition2,
                buttonWidth2,
                bntRounded2,
                enableGlimmerEffect,
                enableGlimmerEffect2,
                enableGlimmerEffect3,

                enable_btn3,
                buttonIcon3,
                spBtnText3,
                spBtnHref3,
                btnRel3,
                btnSize3,
                btnLoadGoogleFonts3,
                btnfontFamily3,
                btnfontWeight3,
                btnfontSubset3,
                btnfontSizeType3,
                btnfontSizeTypeMobile3,
                btnfontSizeTypeTablet3,
                btnfontSizeDesktop3,
                btnfontSizeMobile3,
                btnfontSizeTablet3,
                btnlineHeight3,
                btnlineHeightMobile3,
                btnlineHeightTablet3,
                btnletterSpacing3,
                btnletterSpacingMobile3,
                btnletterSpacingTablet3,
                btnletterSpacingType3,
                btnletterSpacingTypeTablet3,
                btnletterSpacingTypeMobile3,
                btntextTransform3,
                btntextDecoration3,
                btnfontStyle3,
                btnBgColor3,
                btnHoverBgColor3,
                btnTextColor3,
                btnTextHoverColor3,
                btnBorderColor3,
                btnBorderHoverColor3,
                btn_Htarget3,
                btnPadding3,
                btnPaddingMobile3,
                btnPaddingTablet3,
                btnMargin3,
                btnMarginMobile3,
                btnMarginTablet3,
                btnAlignment3,
                btnAlignmentMobile3,
                btnAlignmentTablet3,
                btnBorder3,
                btnBorderType3,
                btnBorderMobile3,
                btnBorderTablet3,
                btnBorderRadius3,
                btnBorderRadiusMobile3,
                btnBorderRadiusTablet3,
                iconPosition3,
                buttonWidth3,
                bntRounded3,

                externalImage,
                externalImageSrc,

                amazonprice,
                amazonpriceposition,
                amazonrating,
                amazonratingposition,
                amazonimage,


                amazonpriceLoadGoogleFonts,
                amazonpriceTextColor,
                amazonpricefontFamily,
                amazonpricefontWeight,
                amazonpricefontSubset,
                amazonpricefontSizeType,
                amazonpricefontSizeTypeMobile,
                amazonpricefontSizeTypeTablet,
                amazonpricefontSizeDesktop,
                amazonpricefontSizeMobile,
                amazonpricefontSizeTablet,
                amazonpricelineHeight,
                amazonpricelineHeightMobile,
                amazonpricelineHeightTablet,
                amazonpriceletterSpacing,
                amazonpriceletterSpacingMobile,
                amazonpriceletterSpacingTablet,
                amazonpriceletterSpacingType,
                amazonpriceletterSpacingTypeTablet,
                amazonpriceletterSpacingTypeMobile,
                amazonpricetextTransform,
                amazonpricetextDecoration,
                amazonpricefontStyle, 
                amazonpriceAlignment,
                amazonpriceAlignmentMobile,
                amazonpriceAlignmentTablet,


                amazonratingLoadGoogleFonts,
                amazonratingTextColor,
                amazonratingfontFamily,
                amazonratingfontWeight,
                amazonratingfontSubset,
                amazonratingfontSizeType,
                amazonratingfontSizeTypeMobile,
                amazonratingfontSizeTypeTablet,
                amazonratingfontSizeDesktop,
                amazonratingfontSizeMobile,
                amazonratingfontSizeTablet,
                amazonratinglineHeight,
                amazonratinglineHeightMobile,
                amazonratinglineHeightTablet,
                amazonratingletterSpacing,
                amazonratingletterSpacingMobile,
                amazonratingletterSpacingTablet,
                amazonratingletterSpacingType,
                amazonratingletterSpacingTypeTablet,
                amazonratingletterSpacingTypeMobile,
                amazonratingtextTransform,
                amazonratingtextDecoration,
                amazonratingfontStyle, 
                amazonratingAlignment,
                amazonratingAlignmentMobile,
                amazonratingAlignmentTablet,

                showTitle,
                showSubTitle,
                showContent,

        } } = this.props
        const ListTag = listType == 'ordered' ? 'ol' : 'ul'
        const Tag1  = titleTag1
        const Tag2  = titleTag2

        let newrel;
        if( !btn_Htarget){
            newrel = btnRel
        } else  if( !btn_Htarget && btnRel === NEW_TAB_REL){
            newrel = btnRel
        } else if ( btn_Htarget && !btnRel ) {
        newrel = NEW_TAB_REL
        } else {
        newrel = NEW_TAB_REL + ' ' + btnRel
        }


        let newrel2;
        if( !btn_Htarget2){
            newrel2 = btnRel2
        } else  if( !btn_Htarget2 && btnRel2 === NEW_TAB_REL){
            newrel2 = btnRel2
        } else if ( btn_Htarget2 && !btnRel2 ) {
            newrel2 = NEW_TAB_REL
        } else {
            newrel2 = NEW_TAB_REL + ' ' + btnRel2
        }


        let newrel3;
        if( !btn_Htarget3){
            newrel3 = btnRel3
        } else  if( !btn_Htarget3 && btnRel3 === NEW_TAB_REL){
            newrel3 = btnRel3
        } else if ( btn_Htarget3 && !btnRel3 ) {
            newrel3 = NEW_TAB_REL
        } else {
            newrel3 = NEW_TAB_REL + ' ' + btnRel3
        }

        function removeDuplicateWords (s) {
            var str = s.split(" ");
            var result = [];
            for(var i =0; i < str.length ; i++){
                if(result.indexOf(str[i]) === -1){
                  result.push(str[i]);
                } 
            }
             return result.join(" ");
            }
            
             newrel = removeDuplicateWords(newrel).trim()
             let spTitleSlug = spTitle.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");
             let spSubTitleSlug = spSubTitle.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");

        return (
            <Fragment>
                <div id={`affiliate-style-${block_id}`}>
                <div className={"affiliate-sp-wrapper"}>
                    <div className={`affiliate-sp-inner`}>
                        { showTitle && showTitle == true &&
                            <RichText.Content
                                tagName={Tag1}
                                value={spTitle}
                                id={spTitleSlug}
                                className="affiliate-sp-title"
                            />
                        }
                        <div className={`affiliate-sp-content`}>
                        <div className={`affiliate-sp-img-wrapper`}>
                            { designType && designType == 'ab-fixed-design' && !externalImage && !externalImage == true &&
                                <ProductImage attributes={this.props.attributes} />
                            }

                            { designType && designType == 'ab-fixed-design' &&  externalImage && externalImage == true &&
                                <div className={`affiliate-sp-image`}>
                                    <img src={externalImageSrc} />
                                </div>
                            }

                            { designType && designType == 'ab-dynamic-design' &&
                                <div className={`aff-inner-block`}>
                                    <InnerBlocks.Content/>
                                </div>
                            }

                            { amazonimage && amazonimage != "" &&   
                            <div className={`affiliate-sp-image`}>  
                                <img src={amazonimage} className={`affiliate-sp-amzon-image`} />                                 
                            </div>
                            } 

                        </div>
                        <div className={`affiliate-sp-cntn-wrapper affiliate-block-advanced-list`}>
                            { showSubTitle && showSubTitle == true &&
                                <RichText.Content
                                    tagName={Tag2}
                                    value={spSubTitle}
                                    id={spSubTitleSlug}
                                    className="affiliate-sp-subtitle"
                                />
                            }


                            { showContent && showContent == true &&
                                <Fragment>
                                { contentType && contentType == 'is-list' &&
                                    <RichText.Content
                                        tagName="ul"
                                        multiline="li"
                                        className={`affiliate-list affiliate-list-type-unordered affiliate-list-bullet-${bulletStyle.name}`}
                                        value={ listTextItems }
                                    />
                                }
                                { contentType && contentType == 'is-p' &&
                                    <RichText.Content
                                        tagName={'p'}
                                        value={pContent}
                                        className={'affiliate-pr-pcontent'}
                                    />    
                                } 
                                </Fragment>
                            }  


                            { amazonpriceposition && amazonpriceposition == "Above Button" &&
                              <Fragment>
                                <div className={`affiliate-sp-amzon-price above`}>{amazonprice}</div>
                              </Fragment>
                              }

                             { amazonratingposition && amazonratingposition == "Above Button" &&
                              <Fragment>
                                <div className={`affiliate-sp-amzon-rating above`}>{amazonrating}</div>
                              </Fragment>
                              } 

                              { enable_btn1 && enable_btn1 == true &&
                                <div className={`affiliate-sp-btn-wrapper`}>
                                    <a href = {spBtnHref} className={classnames(`affiliate-sp-btn  btn-is-${btnSize} ${buttonWidth === "full" ? "btn-is-fullw": buttonWidth === "flex"? `btn-is-flex-${btnSize}`: ""} ${bntRounded ? 'btn-is-rounded' : ''}  ${enableGlimmerEffect ? 'glimmer-effect' : ''}`).trim()}  
                                        {...(btn_Htarget ? {...btn_Htarget && { rel: newrel }} : { rel: newrel }  )}
                                        {...(btn_Htarget ? { target: '_blank' } : '' )}
                                        >
                                        { iconPosition && iconPosition == 'af-icon-is-left' &&
                                            <i className={`affiliate-abbtn-icon ${buttonIcon} ${iconPosition}`}></i>
                                        }
                                        <RichText.Content value={spBtnText} />
                                        { iconPosition && iconPosition == 'af-icon-is-right' &&
                                            <i className={`affiliate-abbtn-icon ${buttonIcon} ${iconPosition}`}></i>
                                        }
                                    </a>
                                </div>
                            }

                            { enable_btn2 && enable_btn2 == true &&
                                <div className={`affiliate-sp-btn-wrapper`}>
                                    <a href = {spBtnHref2} className={classnames(`affiliate-sp-btn btn2 btn-is-${btnSize2} ${buttonWidth2 === "full" ? "btn-is-fullw": buttonWidth2 === "flex"? `btn-is-flex-${btnSize2}`: ""} ${bntRounded2 ? 'btn-is-rounded' : ''}  ${enableGlimmerEffect2 ? 'glimmer-effect' : ''}`).trim()}  
                                        {...(btn_Htarget2 ? {...btn_Htarget2 && { rel: newrel2 }} : { rel: newrel2 }  )}
                                        {...(btn_Htarget2 ? { target: '_blank' } : '' )}
                                        >
                                        { iconPosition2 && iconPosition2 == 'af-icon-is-left' &&
                                            <i className={`affiliate-abbtn-icon ${buttonIcon2} ${iconPosition2}`}></i>
                                        }
                                        <RichText.Content value={spBtnText2} />
                                        { iconPosition2 && iconPosition2 == 'af-icon-is-right' &&
                                            <i className={`affiliate-abbtn-icon ${buttonIcon2} ${iconPosition2}`}></i>
                                        }
                                    </a>
                                </div>
                            }


                            { enable_btn3 && enable_btn3 == true &&
                                <div className={`affiliate-sp-btn-wrapper`}>
                                    <a href = {spBtnHref3} className={classnames(`affiliate-sp-btn btn3 btn-is-${btnSize3} ${buttonWidth3 === "full" ? "btn-is-fullw": buttonWidth3 === "flex"? `btn-is-flex-${btnSize3}`: ""} ${bntRounded3 ? 'btn-is-rounded' : ''}  ${enableGlimmerEffect3 ? 'glimmer-effect' : ''}`).trim()}  
                                        {...(btn_Htarget3 ? {...btn_Htarget3 && { rel: newrel3 }} : { rel: newrel3 }  )}
                                        {...(btn_Htarget3 ? { target: '_blank' } : '' )}
                                        >
                                        { iconPosition3 && iconPosition3 == 'af-icon-is-left' &&
                                            <i className={`affiliate-abbtn-icon ${buttonIcon3} ${iconPosition3}`}></i>
                                        }
                                        <RichText.Content value={spBtnText3} />
                                        { iconPosition3 && iconPosition3 == 'af-icon-is-right' &&
                                            <i className={`affiliate-abbtn-icon ${buttonIcon3} ${iconPosition3}`}></i>
                                        }
                                    </a>
                                </div>
                            }


                             { amazonpriceposition && amazonpriceposition == "Below Button" &&
                                  <Fragment>
                                    <div className={`affiliate-sp-amzon-price below`}>{amazonprice}</div>
                                  </Fragment>
                                  }

                             { amazonratingposition && amazonratingposition == "Below Button" &&
                                  <Fragment>
                                    <div className={`affiliate-sp-amzon-rating below`}>{amazonrating}</div>
                                  </Fragment>
                                  }     

                          </div>  
                        </div>
                    </div>
                  </div>  
                </div>
            </Fragment>            
        );
    }
}

export default Save;