const attributes = {
	idtbl: {
		type: 'string',
	},
	block_id:{
		type: 'string',
		default: ''
    },
    boxShadow:{
        type: 'object',
        default: {
            openShadow: true,
            blur:35,
            color:"rgba(0, 0, 0, 0.14)",
            inset : 0,
            spread : 0,
            horizontal: 0,
            vertical : 8
        }
    },

    boxBgColor : { 
        type: 'string', 
        default: '#ffffff',         
    },

    // Title settings
    titleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    titleBgColor: {
        type: 'string',
        default:'',
    },
    titleTextColor: {
        type: 'string',
        default:'#ec4422',
    },
    titlefontFamily: {
        type: 'string',
        default:'',
    },
    titlefontWeight: {
        type: 'number',
        default: '900',
    },
    titlefontSubset: {
        type: 'string',
        default: '',
    },
    titlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    titlefontSizeDesktop: {
        type: 'number',
        default: '22',
    },
    titlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    titlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    titlelineHeight: {
        type: 'string',
        default: ''
    },
    titlelineHeightMobile: {
        type: 'string',
        default: ''
    },
    titlelineHeightTablet: {
        type: 'string',
        default: ''
    },
    titleletterSpacing: {
        type: 'number',
        default: ''
    },
    titleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    titleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    titleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    titleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    titletextTransform: {
        type: 'string',
        default: ''
    },
    titletextDecoration: {
        type: 'string',
        default: ''
    },
    titlefontStyle: {
        type: 'string',
        default: ''
    },
    titleTag1: {
        type: 'string',
        default: 'p'
    },
    mainTitle:{
        type: 'string',
        default: 'Title of the review'
    },
    
	
	// content 
	cntnfontFamily: {
        type: 'string',
        default:'',
    },
    cntnfontWeight: {
        type: 'number',
        default: '',
    },
    cntnfontSubset: {
        type: 'string',
        default: '',
    },
    cntnfontSizeType: {
        type: 'string',
        default: 'px',
    },
    cntnfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    cntnfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    cntnfontSizeDesktop: {
        type: 'string',
        default: '',
    },
    cntnfontSizeMobile: {
        type: 'string',
        default: '',
    },
    cntnfontSizeTablet: {
        type: 'string',
        default: '',
    },
    cntnlineHeight: {
        type: 'string',
        default: ''
    },
    cntnlineHeightMobile: {
        type: 'string',
        default: ''
    },
    cntnlineHeightTablet: {
        type: 'string',
        default: ''
    },
    cntnletterSpacing: {
        type: 'number',
        default: ''
    },
    cntnletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    cntnletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    cntnletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    cntnletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    cntnletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    cntntextTransform: {
        type: 'string',
        default: ''
    },
    cntntextDecoration: {
        type: 'string',
        default: ''
    },
    cntnfontStyle: {
        type: 'string',
        default: ''
	},
	cntnLoadGoogleFonts:{
		type: 'boolean',
        default: false
	},
	cntnBgColor:{
		type: 'string',
        default: ''
	},
	cntnHoverBgColor:{
		type: 'string',
        default: ''
	},
	cntnTextColor:{
		type: 'string',
        default: '#000000'
	},
	cntnTextHoverColor:{
		type: 'string',
        default: ''
	},
	cntnBorderColor:{
		type: 'string',
        default: ''
	},
	cntnBorderHoverColor:{
		type: 'string',
        default: ''
	},
    contentTextColor: {
        type: 'string',
        default:'#ec4422',
    },
    cntnLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    
    reviewbox: {
        type: 'array',
        default: [
                    {
                        reviewtitle: '',
                        highlightedStars: '',
                        selectedStars: '',
                    }
                ],
    },

    finalStar:{
        type:'number',
        default:5
    },

    //Ratings
    ratings:{
        type:'number',
        default:5
    },
    ratingsColor:{
        type: 'string',
        default: '#ffa500'
    },
    starsSize:{
        type:'string',
        default: 18
    },
    starsSizeMobile:{
        type:'string',
        default: 18
    },
    starsSizeTablet:{
        type:'string',
        default: 18
    },    


    // Sub title
    subTitle:{
        type: 'string',
        default: 'Conclusion'
    },
    subtitleLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    subtitleColor:{
        type: 'string',
        default: '#000000'
    },
    subtitlefontFamily: {
        type: 'string',
        default:'',
    },
    subtitlefontWeight: {
        type: 'string',
        default: '900',
    },
    subtitlefontSubset: {
        type: 'string',
        default: '',
    },
    subtitlefontSizeType: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    subtitlefontSizeDesktop: {
        type: 'number',
        default: '20',
    },
    subtitlefontSizeMobile: {
        type: 'number',
        default: '',
    },
    subtitlefontSizeTablet: {
        type: 'number',
        default: '',
    },
    subtitlelineHeight: {
        type: 'number',
        default: ''
    },
    subtitlelineHeightMobile: {
        type: 'number',
        default: ''
    },
    subtitlelineHeightTablet: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacing: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    subtitleletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    subtitleletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    subtitleletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    subtitletextTransform: {
        type: 'string',
        default: ''
    },
    subtitletextDecoration: {
        type: 'string',
        default: ''
    },
    subtitlefontStyle: {
        type: 'string',
        default: ''
    },
    titleTag2: {
        type: 'string',
        default: 'p'
    },
    
    subtitleAlignment: {
        type: 'string',
        default: 'left',
    },
    subtitleAlignmentMobile: {
        type: 'string',
        default: 'left',
    },
    subtitleAlignmentTablet: {
        type: 'string',
        default: 'left',
    },    
    
    
    starReviewContent: {
        type: 'string',
        default: 'Summary of the review goes here'
    },


    showTitle:{
        type: 'boolean',
        default: true
    },
    showRating:{
        type: 'boolean',
        default: true
    },
    showConclusionTitle:{
        type: 'boolean',
        default: true
    },
    showConclusionSummary:{
        type: 'boolean',
        default: true
    },


    //Button
    btnShow:{
        type: 'boolean',
        default: true
    },
    btnBgColor:{
        type: 'string',
        default:'#F9CC29'
    },
    btnSize:{
        type: 'string',
        default:'small'
    },
    btnRel: {
        type: 'string',
        default: 'nofollow'
    },
    btnWidth:{
        type: 'string',
        default:''
    },
    btnIcon:{
        type: 'string',
        default:''
    },
    btnTitle:{
        type:'string',
        default:'Button Text'
    },
    btnBgHoverColor:{
        type: 'string',
        default:'#00ffcc'
    }, 
    btnTarget:{
        type: 'boolean',
        default: false
    },
    bntRounded:{
        type: 'boolean',
        default: false
    }, 
    btnHref:{
        type:'string',
    }, 
    btnIconPosition:{
        type: 'string',
        default:''
    },
    btnAlignment: {
        type: 'string',
        default:'center'
    },
    btnAlignmentMobile: {
        type: 'string',
        default:''
    },
    btnAlignmentTablet: {
        type: 'string',
        default:''
    },
    btnPadding:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnPaddingMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMargin:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnMarginMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnLoadGoogleFonts:{
        type: 'boolean',
        default: false
    },
    btnfontFamily: {
        type: 'string',
        default:'',
    },
    btnfontWeight: {
        type: 'string',
        default: '',
    },
    btnfontSubset: {
        type: 'string',
        default: '',
    },
    btnfontSizeType: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeMobile: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeTypeTablet: {
        type: 'string',
        default: 'px',
    },
    btnfontSizeDesktop: {
        type: 'number',
        default: '',
    },
    btnfontSizeMobile: {
        type: 'number',
        default: '',
    },
    btnfontSizeTablet: {
        type: 'number',
        default: '',
    },
    btnlineHeight: {
        type: 'string',
        default: ''
    },
    btnlineHeightMobile: {
        type: 'string',
        default: ''
    },
    btnlineHeightTablet: {
        type: 'string',
        default: ''
    },
    btnletterSpacing: {
        type: 'number',
        default: ''
    },
    btnletterSpacingMobile: {
        type: 'number',
        default: ''
    },
    btnletterSpacingTablet: {
        type: 'number',
        default: ''
    },
    btnletterSpacingType: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeTablet: {
        type: 'string',
        default: 'px'
    },
    btnletterSpacingTypeMobile: {
        type: 'string',
        default: 'px'
    },
    btntextTransform: {
        type: 'string',
        default: ''
    },
    btntextDecoration: {
        type: 'string',
        default: ''
    },
    btnfontStyle: {
        type: 'string',
        default: ''
    },
    btnBorder:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadius:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusMobile:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderRadiusTablet:{
        type: 'object',
        default: {
            unit:'px',
        }
    },
    btnBorderColor:{
        type: 'string',
        default: '#F9CC29',
    },
    btnBorderHoverColor:{
        type: 'string',
        default: '#00ffcc'
    },
    btnBorderType:{
        type: 'string',
        default: ''
    }, 
    btnTextColor: {
        type: 'string',
        default:'#000000',
    },
    btnTextHoverColor: {
        type: 'string',
        default:'#000000',
    },


    btnBg: {
        type: 'object',
        default: {
            openBg : true, 
            bgDefaultColor: '#ffc207',   
            bgGradient:{
                color1:'#35c9ff',
                color2:'#39f768',
            },         
        },
    },

    btnBgHover: {
        type: 'object',
        default: {
            openBg : true,              
            bgDefaultColor: '#00ffcc',
            bgGradient:{
                color1:'#aefa57',
                color2:'#f7da1e',
            },
        },
    },

    enableGlimmerEffect:{
        type: 'boolean',
        default: false
    },
};

export default attributes;