const { Component,Fragment } = wp.element;
const { RichText,InnerBlocks } = wp.blockEditor;
class Save extends Component {
    
    render() {
        const { attributes: { uniqueId, block_id,titleText, titleTag1,boxStyle,buttonWidth,titleAlignment,buttonIcon,bntRounded,iconPosition,conPosition,btnSize, btnTarget,btnTitle,noticeBtnText,btnHref,noticeContent,alignment,titlefontWeight, bulletStyle, bulletStyleTwo, listType, animation, interaction, consTitle, propsTitle, ShowDivider } } = this.props
        const Tag1 = titleTag1
        let titleTextSlug = titleText.toString().toLowerCase().replace(/( |<.+?>|&nbsp;)/g, "-");
        return (
            <Fragment>
                    <div id={`affiliate-style-${block_id}`} className={"affiliate-title-wrapper "}>
                      <div className={`affiliate-title-inner`}>
                           <RichText.Content 
                                tagName={Tag1}
                                className={`affiliate-title`}
                                id={titleTextSlug}
                                value={titleText}    
                           />

                           { ShowDivider && ShowDivider == true &&
                              <div className={`affiliate-title-divider ${titleAlignment}`}></div>
                          }  

                      </div>
                  </div>
            </Fragment>
        );
    }
}

export default Save;