<?php if ( has_nav_menu( 'above-header-menu' ) ) { ?>
				<div class="above-header-menu">
					<div class="container-fluid aff-site-content">
						<?php wp_nav_menu( array( 'theme_location' => 'above-header-menu', 'menu_class' => 'aff-main-nav aff-menu', ) ); ?>
					</div>
				</div>
		<?php } ?>
<div class="aff-header-wrapper desktop">
	<div class="aff-header-1 aff-header-middle container-fluid aff-site-content">
		<div class="aff-slot-l">
			<div class="aff-site-branding">
				<span class="site-title h2">
					<?php echo custom_logo(); ?>
				</span>
			</div>
		</div>
	<div class="aff-slot-r">
		<nav class="aff-main-navigation" <?php aff_do_microdata( 'navigation' ); ?>>	
		<?php 
		if ( has_nav_menu('secondary-menu') ) {
			wp_nav_menu( array( 'theme_location' => 'secondary-menu', 'container'=> '', 
						'menu_class' => 'aff-main-nav aff-menu aff-7',  ) );
		}else
		{ if(current_user_can( 'manage_options' ) ){ ?>
			<ul class="aff-main-nav aff-menu">
			<li><a href="<?php echo esc_url(admin_url( 'nav-menus.php' )); ?>">Click here to add main navigation</a></li>
		</ul>
				<?php } 
		}
		?>
		</nav>
		<?php get_template_part('headers/elements/search-form-secondary'); ?>
		
	</div>
	
	</div>
</div>
<div class="aff-header-6 mobile_header" style="display:none;">
	<div class="aff-header-wrapper">
		<div class="aff-header-middle container-fluid aff-site-content">
			<div class="aff-slot-l">
				<div class="aff-site-branding  ">
					<span class="site-title h2">
						<?php echo custom_logo(); ?>
					</span>
				</div>
			</div>
			<div class="aff-slot-r">
			<ul class="aff-ad clickable" onclick="location.href='#';">
					<?php 
					if ( is_active_sidebar( 'header-banner' ) ) { 
							dynamic_sidebar( 'header-banner' );
						}  ?>
			</ul>
			</div>
		</div>
	</div>
</div>
<?php if ( has_nav_menu('header-menu') ) { ?>
<div class="aff-header-bottom aff-head1-bottom">
	<div class="container-fluid aff-site-content">
		<div class="aff-slot-c">
			<div class="container-fluid aff-site-content">
		
			<?php wp_nav_menu(
				array(
				'theme_location' => 'header-menu',
				'container_class' => 'aff-slot-l',
				'items_wrap' => '<nav class="aff-main-navigation" itemtype="https://schema.org/SiteNavigationElement" itemscope><ul id="%1$s" class="%2$s">%3$s</ul></nav>',
				'menu_class' => 'aff-main-nav aff-menu',
				'menu' => 'menu-aff-main'
				)
			);
		?>
			<div class="aff-slot-r">
				<?php get_template_part('headers/elements/search-form'); ?>
			</div>
		</div>
		</div>	
	</div>
</div>
<?php } ?>

