<?php
/*
** page-template.php
*/

get_header();

$aff_recent_posts = new WP_Query();
$aff_recent_posts->query('showposts=2');
while ($aff_recent_posts->have_posts()) : $aff_recent_posts->the_post();
	?>
<div class="aff-post-content-wrapper">
	<div class="aff-post-title-container">
		<header class="aff-post-title entry-header">
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		</header>
		<div class="aff-post-title-bottom">
			<div class="aff-post-title-inline-author">
				<div class="aff-post-date"><?php the_date(); ?></div>
			</div>
		</div>
	</div>
	<div class="aff-article-featured-image " data-override="off"> 
		<?php the_post_thumbnail('full'); ?>
		<div class="aff-featured_image_credit">Glamour</div>
	</div>
	<div class="aff-post-share-container">
		<div class="post-content-container">
			<div class="post-content entry-content">
				<?php the_excerpt(); ?>
			</div>						
		</div>
	</div>
	<aside class="aff-readmore">
		<div class="aff-readmore-title">Read More</div>
	</aside>
<?php endwhile; ?>
</div>