<?php

/*

** full-width-template.php

*/



get_header();

$title = get_theme_mod('aff_single_title', 'inside');

if(empty($title)){ $title = 'inside';}

if($title == 'outside'){

	get_template_part('templates/post/layout1/outside-title');

}

$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );
$remove_disclosure = $options ? in_array( 'remove-disclosure', $options ) : false;
?>

	<div class="col-md-12 single-blog-excerpt" style="padding: 0px 0px;" <?php aff_do_microdata( 'article' ); ?>>

		<div class="aff-single-content-bg">

			<?php get_template_part('templates/post/layout1/inside-title'); ?>

				<div class="aff-post-share-container">

					<div class="post-content-container">

					<?php 

					$title = get_theme_mod('aff_single_title', 'inside');



					$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );



					$remove_featured = $options ? in_array( 'remove-featured', $options ) : false;



					if($title == 'outside'){

					$feat_image = get_theme_mod('aff_single_post_image', 'below-title');

					if($feat_image == 'below-title'){  ?>

						<?php if(!$remove_featured) {

							if(( true == get_theme_mod( 'aff_single_post_featured_image', true ) )) { ?>

						<div class="aff-article-featured-image" data-override="off"> 

							<?php the_post_thumbnail('full'); ?>

						</div>

						<?php } } ?>

					<?php } ?>

					

					<?php } ?>

						<div class="post-content entry-content">

							<?php the_content(); ?>

						</div>

					</div>

				</div>
				<?php
				if(!$remove_disclosure):
					$discloser_content = get_theme_mod('discloser_content_alignment', '');
					if($discloser_content == 'below-content') :
	 					if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
							<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
								<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>
							</div>
						<?php
						endif;
					endif;
				endif;
				?>

		</div>

			<?php

			the_post_navigation(

				array(

					'prev_text' => '<span class="nav-subtitle">&larr;' . esc_html__( 'Previous Post', 'affiliatebooster' ),

					'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next Post', 'affiliatebooster' ).'&rarr;',

				)

			);

			?>

							<?php if ( true == get_theme_mod( 'aff_single_post_author_bio', true ) ) { ?>

				<div class="divauthor">

					<?php get_template_part('inc/author-section'); ?>

				</div>

			<?php } ?>	

				<div>

					<?php get_template_part('templates/post/realtedpost'); ?>

				</div>

				<div>

					<?php get_template_part('templates/widgets-area/after-content'); ?>

				</div>

				<div class="aff-comments-area">

					<?php comments_template(); ?>

				</div>

				

	</div>

	