<?php

/*

** right-sidebar-template.php

*/

$main_width = get_theme_mod( 'aff_booster_container', '1350' );
$sidebar_width = get_theme_mod( 'sidebar_custom_width_settings', '400' );
$content_width = $main_width - $sidebar_width - 2;

get_header();

$title = get_theme_mod('aff_single_title', 'inside');

if(empty($title)){ $title = 'inside';}

if($title == 'outside'){

	get_template_part('templates/post/layout1/outside-title');

} 

$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );
$remove_disclosure = $options ? in_array( 'remove-disclosure', $options ) : false;
?>

<style>
 	body main#content div.row {flex-wrap: nowrap;}
	div.col-lg-8.single-blog-excerpt{flex: auto;max-width: <?php echo $content_width.'px'; ?>;padding: 0;}
	aside.col-lg-4.sidebars{flex: auto;max-width: <?php echo $sidebar_width.'px'; ?>;}
	.col-12.out_cls {padding: 0;}
	@media only screen and (max-width: 1024px) {
		body main#content div.row {flex-wrap: wrap;}
		aside.col-lg-4.sidebars{max-width: 100%;padding-right: 0px;}
		aside.s_right, aside.s_left {padding-left: 0;margin-top: 20px;}
	}
</style>
<?php 
if ($title == 'outside') {
	$outside_cls = 'out_cls';
	?>
	<div class="col-12 <?php echo $outside_cls; ?>">
		<div class="row" style="flex-wrap: nowrap;">
	<?php
}
?>
<div class="col-lg-8 col-md-12 order-lg-3 single-blog-excerpt" <?php aff_do_microdata( 'article' ); ?>>

	<div class="aff-single-content-bg">

	<?php get_template_part('templates/post/layout1/inside-title'); ?>

	

		<div class="aff-post-share-container left-sidebar">

			<div class="post-content-container left-sidebar">

				<?php 

			$title = get_theme_mod('aff_single_title', 'inside');



			$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );



			$remove_featured = $options ? in_array( 'remove-featured', $options ) : false;



			if($title == 'outside'){

			$feat_image = get_theme_mod('aff_single_post_image', 'below-title');

			if($feat_image == 'below-title'){  ?>

			<?php if(!$remove_featured) {

				if(( true == get_theme_mod( 'aff_single_post_featured_image', true ) )) { ?>

			<div class="aff-article-featured-image " data-override="off"> 

				<?php if (has_post_thumbnail()) {
						the_post_thumbnail('full', array('itemprop'=> 'image'));
					}else{ ?> 
						<!-- <img src="<?php //echo esc_url( get_template_directory_uri(). '/images/default.webp' ); ?>"> -->
					<?php } ?>

					</div>

			<?php } } ?>

			<?php } ?>

			<?php } ?>

				<div class="post-content entry-content">

					<?php the_content(); ?>

				</div>

			</div>

			</div>
			<?php
			if(!$remove_disclosure):
				$discloser_content = get_theme_mod('discloser_content_alignment','');
				if($discloser_content == 'below-content') :
				 if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
				<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
					<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>

				</div>
			<?php endif; endif; endif;?>		

		</div>

		<?php

			the_post_navigation(

				array(

					'prev_text' => '<span class="nav-subtitle">&larr;' . esc_html__( 'Previous Post', 'affiliatebooster' ),

					'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next Post', 'affiliatebooster' ).'&rarr;',

				)

			);

		?>

					<?php if ( true == get_theme_mod( 'aff_single_post_author_bio', true ) ) { ?>

				<div class="divauthor">

					<?php get_template_part('inc/author-section'); ?>

				</div>

			<?php } ?>	

		<div>

			<?php get_template_part('templates/post/realtedpost'); ?>

		</div>

		<div>

			<?php get_template_part('templates/widgets-area/after-content'); ?>

		</div>

		<div class="aff-comments-area">

			<?php comments_template(); ?>

		</div>

		

	</div>
	<aside style="padding-left: 0px;" class="col-lg-4 col-md-12 order-lg-2 s_left sidebars sidebars-left-position" <?php aff_do_microdata( 'sidebar' ); ?>>

		<?php get_template_part('sidebar');  ?>

	</aside>

</div>
<?php 
if ($title == 'outside') {
	?>
		</div><!-- .col-12 -->
	</div><!-- .row -->
	
	<?php
}
?>