<?php 
$options = get_post_meta( get_the_ID(), 'aff_booster_options', true );
$remove_title = $options ? in_array( 'remove-title', $options ) : false;
$remove_featured = $options ? in_array( 'remove-featured', $options ) : false;
$remove_disclosure = $options ? in_array( 'remove-disclosure', $options ) : false;
$breadcrums = $options ? in_array( 'remove-breadcrums', $options ) : false;
$postmeta = $options ? in_array( 'remove-postmeta', $options ) : false;
$template_parts = get_theme_mod( 'sortable_single_post_info_setting', array( 'option1', 'option2' ) );
$date_format = get_option( 'date_format' );
$container_option = get_theme_mod('aff_container_dropdown_settings', 'full');
$main_width = '';
$new_container_meta = get_post_meta( $post->ID, '_mymetaboxname', true );

if ($container_option == 'contained') {
	if($new_container_meta == ''){
		$main_width = get_theme_mod( 'aff_booster_container', '1350' );
	}
	else{
		$main_width = $new_container_meta;
	}
}else{
	if($new_container_meta == ''){
		$main_width = get_theme_mod( 'aff_booster_container', '1350' );
	}
	else{
		$main_width = $new_container_meta;
	}
}
$discloser_content = get_theme_mod('discloser_content_alignment', '');
$background_top = get_theme_mod('background_color_settings', '#1b54d9');
$background_bottom = get_theme_mod('background_color_settings_bottom', '#1b54d9');
/*$background_top_position = get_theme_mod('color_top_position', '10');
$background_bottom_position = get_theme_mod('color_bottom_position', '20');*/

$height = get_theme_mod( 'height_settings', '250' );
$width = "";
$post_width = get_post_meta( get_the_ID(), '_mymetaboxname', true );
if($post_width == ""){
	$width = get_theme_mod('width_settings','1080');
}else
{
	$width = $post_width;
}

?>
<style type="text/css">

	.single-post .layout-container .aff-layout3-box,
	.single .layout-container .aff-layout3-box { width:<?php echo $width.'px'; ?>; margin-left: auto; margin-right: auto; }
    .bg-blue{background: <?php echo 'linear-gradient(to bottom, '.$background_top.','.$background_bottom.')'; ?>;height: <?php echo $height.'px'; ?>;position: relative;}
    ol, ul{margin: 0 0 1.5em 1.5em;}
</style>
<main id="content" class="container-fluid aff-site-content single-layout-3">
	<div class="single-layout-three">
		<section class="bg-blue"></section>
		<section class="leay-out layout-container">
			<div class="container" style="max-width: <?php echo $main_width.'px'; ?>">
				<div class="row aff-row-single-layout-3">
					<div class="col-lg-12">
						<div class="aff-layout3-box">
							<div class="aff-layout3-breadcrums">
								<?php 
								if(!$breadcrums):
									if ( true == get_theme_mod( 'single_post_breadcrums_settings', true ) ) : 
										custom_breadcrumbs();
									endif;
								endif;
								?>
							</div>
							<?php
							if(!$remove_disclosure):
							if($discloser_content == 'above-title') :
								if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
								<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
									<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>

								</div>
							<?php 
									endif; 
								endif;
							endif;
							?>
							<div class="aff-layout3-heading">
								<?php if ( !$remove_title ) {the_title( '<h1 class="entry-title">', '</h1>' );}?>
							</div>
							<?php 
							if(!$remove_disclosure):
							if($discloser_content == 'below-title') :
								if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
								<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
									<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>

								</div>
							<?php 
								endif; 
							endif;
							endif;
							?>
							<?php if (!$postmeta): ?>
							<hr class="aff-layout3-hr">
							<div class="aff-layout3-author">
								<div class="meta-title">
									<div class="aff-post-meta aff-post-meta-c aff-post-meta-left has-below">
									<?php  
									$author_id=$post->post_author;
									foreach ($template_parts as $template_part) {
										
										if($template_part == 'option1'){ ?>

											<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '96' ); } ?>
											<span class="aff-meta-item aff-post-author" itemprop="author">
												<span class="by"> Written by </span>
													<a href="<?php echo get_author_posts_url( $author_id ); ?>" itemprop="url" title="Posts by <?php the_author_meta( 'display_name' , $author_id ); ?>">
													<?php the_author_meta( 'display_name' , $author_id );?>
													</a>
												</span>
										<?php } ?>
										<?php if($template_part == 'option2') { ?>
												<span class="post-date" itemprop="datePublished"><?php echo " Published on  ". get_the_date(); ?></span>
										<?php } ?>
										<?php if($template_part == 'option3') { $updated_date = get_the_modified_date($date_format, $post->ID); ?>
											<span class="post-last-date" itemprop="dateModified">
												<?php if(function_exists('the_date')) { echo " Last Updated  ". $updated_date;  } ?>
											</span>	
										<?php } ?>
										<?php if($template_part == 'option4') { ?>
											<span class="post-comment">
												<?php echo " Comment Count ".$comment_count; ?>
											</span>	
										<?php } ?>
										<?php if($template_part == 'option5') { 
											$current_category = get_the_category( $post->ID );
											$cat_link = get_category_link($current_category[0]->cat_ID);
											?>
											<span class="aff-meta-item aff-post-author">
												<?php echo " in Categories <a href='".$cat_link."'>".$current_category[0]->name."</a>"; ?>
											</span>
										<?php }

									}
									?>
									</div>
								
								</div><!-- .meta-title -->
							</div><!-- .aff-layout3-author -->	
							<?php endif; ?>
							<div class="row">
								<div class="col-lg-12">
									<?php 
									$sing_prod = get_body_class();
									if (in_array('single-product', $sing_prod)) {
										while ( have_posts() ) : 
											the_post(); 
											wc_get_template_part( 'content', 'single-product' ); 
									 	endwhile;  
									}
									?>
								</div>
							</div>			
							<hr class="aff-layout3-hr">
							
								<?php 
								if ( !$remove_featured ) {

									if(( true == get_theme_mod( 'aff_single_post_featured_image', true ) )) {
										?>
										<div class="aff-layout3-img">
										<?php
											if (has_post_thumbnail()) {
												the_post_thumbnail('large', array('itemprop'=>'image'));
											}
										?>
								</div>
										<?php
									}
									else{}
								}
								?>
							
							<div class="aff-layout3-details">
								<p><?php the_content( $more_link_text = null, $strip_teaser = false ); ?></p>
							</div>
							<?php 
							if(!$remove_disclosure):
							if($discloser_content == 'below-content') :
								if ( true == get_theme_mod( 'discloser_on_off_settings', true ) ) : ?>
								<div class="discloser" style="background-color:<?php echo esc_url( get_theme_mod( 'discloser_background_settings', '#f7f7f7' ) ); ?>">
									<strong>Disclosure</strong>: <?php echo esc_attr( get_theme_mod('discolser_text_settings') ); ?>

								</div>
							<?php 
								endif; 
							endif;
							endif;
							?>
						</div>
					</div>
				</div><!-- .row -->
				<div class="row">
					<div class="col-lg-12">
						<?php
						$sing_post = get_body_class();
						if (in_array('single-post', $sing_post)) {
						the_post_navigation(
							array(
								'prev_text' => '<span class="nav-subtitle">&larr;' . esc_html__( 'Previous Post', 'affiliatebooster' ),
								'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next Post', 'affiliatebooster' ).'&rarr;',
							)
						);
					}
						?>
					</div>
				</div><!-- .row -->
				<div class="row">
					<div class="col-lg-12">
						<?php if ( true == get_theme_mod( 'aff_single_post_author_bio', true ) ) { ?>
							<div class="divauthor" style="border-radius: 5px;">
								<?php get_template_part('inc/author-section'); ?>
							</div>
						<?php } ?>
					</div>
				</div><!-- .row -->
				<div class="row">
					<div class="col-lg-12">
						<div class="related-post">
							<?php get_template_part('templates/post/realtedpost'); ?>
						</div>
					</div>
				</div><!-- .row -->
				<div class="row">
					<div class="after_content_widget_area col-lg-12">
						<?php get_template_part('templates/widgets-area/after-content'); ?>
					</div>
				</div><!-- .row -->
				<div class="row">
					<div class="col-lg-12">
						<div class="aff-comments-area" style="border-radius: 5px;">
							<?php comments_template(); ?>
						</div>
					</div>
				</div><!-- .row -->
			</div>
		</section>
	</div>
</main>
