<?php
/**
 * Template Name: Page Builder Full Width
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Affiliate_Booster
 */
?>
<?php get_header(); ?>
	<main id="content" class="container-fluid aff-full-width-template">
		<div class="row">
        <?php
        	the_content();
		?>
		</div>
	</main>

<?php get_footer(); ?>